2009-06-18 15:49  malo_pichot

	  src/java/fr/gouv/culture/sdx/search/lucene/:
	  query/SimpleQuery.java, queryparser/DefaultQueryParser.jj,
	  queryparser/QueryParser.java,
	  queryparser/ZeroPositionIncrementTokenQueryParser.jj:
	  ADD: Nouvel opérateur de recherche "$" permettant de sélectionner l'analyseur
	  du champ sur lequel porte la requête.

2009-06-18 15:49  malo_pichot

	  src/java/fr/gouv/culture/:
	  sdx/documentbase/AbstractDocumentBase.java,
	  oai/OAIHarvester.java, sdx/application/Application.java,
	  sdx/documentbase/DocumentBase.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/documentbase/SDXDocumentBase.java,
	  sdx/framework/FrameworkImpl.java,
	  sdx/oai/LuceneDocumentBaseOAIHarvester.java:
	  MODIF: Fermer proprement les bases de documents (y compris les moissonneurs
	  OAI).

2009-06-18 15:24  malo_pichot

	  src/java/fr/gouv/culture/sdx/oai/BasicOAIMetadataFormat.java:
	  DEBUG: Le formatage XML dans l'entrepôt OAI pouvait dupliquer les
	  attributs.

2008-12-05 23:05  malo_pichot

	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/filter/ISOLatin1AccentFilter.java:
	  DEBUG: Please take care of encoding.

2008-11-13 12:28  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl:
	  DEBUG: An exception was thrown when there was no user session with some
	  SDXResults manipulation.

2008-08-27 19:02  brihaye

	  build.xml: application NON fonctionnelle problème de JavaScript
	  (affichage des entités de lasélection sur le zoom de lanotice
	  courante !) marche en cartostatite apparemment

2008-03-12 13:39  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  Add informations on OAI harvest ending in application logs.

2008-03-12 13:26  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  DEBUG: OAI harvester does not work in SDX 2.3 !

2008-02-27 13:13  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx.xsl:
	  DEBUG: Yet, it was not possible to login in SDX administration interface.

2008-02-27 12:40  malo_pichot

	  src/java/fr/gouv/culture/sdx/utils/AbstractSdxObject.java:
	  OPTIMIZE: optimize large batch indexation by removing
	  getChildLogger() calling in getLog() method.

2008-02-27 12:33  malo_pichot

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  util/apache/cocoon/xml/AbstractSynchronizedXMLPipe.java:
	  DEBUG: OAI harvester does not work in SDX 2.3 !

2008-01-21 16:17  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx-parameters.xsl, sdx.xsl:
	  NEW: Ajout d'un nouvel attribut de sdx:page : create-session = "true | false"
	  permettant de ne pas créer systématiquement une session lorsqu'on utilise la
	  taglib de SDX.
	  Par défaut, create-session="true".

2007-09-10 09:09  malo_pichot

	  lib/core/xalan-addition.jar: Light Xalan to prevent
	  java.lang.NoClassDefFoundError:
	  org/apache/xml/utils/PrefixResolver

2007-04-26 07:27  msevigny

	  src/java/fr/gouv/culture/sdx/pipeline/AbstractPipeline.java:
	  Deletes temporary (empty)  file created when testing temporary
	  folder.

2007-04-08 11:19  msevigny

	  src/java/fr/gouv/culture/sdx/utils/database/ORACLEDatabase.java:
	  An Oracle implementation of the Database interface

2007-03-01 02:54  rpandey

	   src/java/fr/gouv/culture/util/apache/cocoon/xml/AbstractSynchronizedXMLPipe.java:
	  corrected nullpointer from
	  http://lists.gnu.org/archive/html/sdx-users/2007-02/msg00020.html

2007-02-28 09:35  msevigny

	  src/webapp/sdx/: sitemap.xmap, status/main.css, status/main.js,
	  status/status2html.xslt: Status page for Cocoon

2007-02-12 00:22  rpandey

	  src/java/fr/gouv/culture/util/apache/cocoon/xml/:
	  AbstractSynchronizedXMLProducer.java,
	  SynchronizedXMLProducer.java: fixed problem with synchronization
	  when changing consumer in midstream, synchronization was not
	  happening on second (changed) consumer as flag had been set to
	  indicate that synchronization had already taken place, I removed
	  flag and encapsulated the desired behavior in the object on which
	  synchronization is to take place

2007-02-12 00:16  rpandey

	   src/java/fr/gouv/culture/util/apache/cocoon/xml/AbstractSynchronizedXMLProducer.java,
	  src/java/fr/gouv/culture/util/apache/cocoon/xml/SynchronizedXMLConsumer.java,
	  src/java/fr/gouv/culture/util/apache/cocoon/xml/SynchronizedXMLProducer.java,
	  test/java/fr/gouv/culture/util/apache/cocoon/xml/SynchronizedXMLPipeTest.java:
	  fixed problem with synchronization when changing consumer in
	  midstream, synchronization was not happening on second (changed)
	  consumer as flag had been set to indicate that synchronization
	  had already taken place, I removed flag and encapsulated the
	  desired behavior in the object on which synchronization is to
	  take place

2007-02-11 20:47  rpandey

	  src/java/fr/gouv/culture/oai/AbstractOAIHarvester.java,
	  src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  src/java/fr/gouv/culture/util/apache/cocoon/xml/AbstractSynchronizedXMLProducer.java,
	  src/java/fr/gouv/culture/util/apache/cocoon/xml/SynchronizedXMLProducer.java,
	  test/java/fr/gouv/culture/util/apache/cocoon/xml/SynchronizedXMLPipeTest.java:
	  fixed problem with synchronization when changing consumer in
	  midstream, synchronization was not happening on second (changed)
	  consumer as flag had been set to indicate that synchronization
	  had already taken place, I removed flag and encapsulated the
	  desired behavior in the object on which synchronization is to
	  take place

2007-02-11 18:32  rpandey

	  src/java/fr/gouv/culture/oai/AbstractOAIHarvester.java: fixed
	  problem with synchronization when changing consumer in midstream,
	  synchronization was not happening on second (changed) consumer as
	  flag had been set to indicate that synchronization had already
	  taken place, I removed flag and encapsulated the desired behavior
	  in the object on which synchronization is to take place

2007-02-11 07:57  rpandey

	   src/java/fr/gouv/culture/util/apache/avalon/excalibur/concurrent/Mutex.java,
	  src/java/fr/gouv/culture/util/apache/cocoon/xml/AbstractSynchronizedXMLPipe.java,
	  src/java/fr/gouv/culture/util/apache/cocoon/xml/SynchronizedXMLConsumer.java,
	  src/java/fr/gouv/culture/util/apache/cocoon/xml/SynchronizedXMLProducer.java,
	  test/java/fr/gouv/culture/test.xml,
	  test/java/fr/gouv/culture/util/apache/cocoon/xml/SynchronizedXMLPipeTest.java:
	  fixed problem with synchronization when changing consumer in
	  midstream, synchronization was not happening on second (changed)
	  consumer as flag had been set to indicate that synchronization
	  had already taken place, I removed flag and encapsulated the
	  desired behavior in the object on which synchronization is to
	  take place

2007-02-06 07:04  rpandey

	  lib/test/junit-4.1.jar,
	  test/java/fr/gouv/culture/sdx/user/UserTest.java: 
		ADD: Adding junit jar and a first testcase

2006-12-20 16:06  malo_pichot

	  src/java/fr/gouv/culture/: oai/AbstractOAIRepository.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  DEBUG: it was impossible to validate a SDX OAI repository : SDX was not able to
	  return a document with a range query : from = until. Now, we add
	  23h59'59'' to a date with day granularity and 999 milliseconds to
	  a date with seconds granularity.

	  DEBUG: SDX OAI repository did not catch a bad OAI date. The
	  control is strict now. Dates must have one of the following
	  formats : - YYYY-MM-DD - YYYY-MM-DDThh:mm:ssZ

2006-12-20 16:02  malo_pichot

	   src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java:
	  FIXME about updating creation datestamp.

2006-11-27 17:04  mdelperier

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  no more problems with doc reindexation and oai deleted record
	  status for doc with keep=true transformation

2006-11-27 11:52  malo_pichot

	  src/java/fr/gouv/culture/: oai/AbstractOAIRepository.java,
	  oai/OAIError.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/utils/Date.java:
	  DEBUG: OAI : SDX OAI repository was invalid according to the
	  http://re.cs.uct.ac.za/ OAI reposytories testeur :
	  1- not support request with "day" granularity : yyyy-MM-dd ;
	  only yyyy-MM-ddThh:mm:ss.
	  2- bas control on same granularity for from and until param 3- bad reponse
	  for dummy resumptionToken

2006-11-26 19:40  msevigny

	   src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java:
	  Removed setDocCount() to avoid conflicts

2006-10-26 12:27  malo_pichot

	   src/java/fr/gouv/culture/sdx/search/lucene/analysis/AnalyzeString.java:
	  A new class
	  fr.gouv.culture.sdx.search.lucene.analysis.AnalyzeString with a
	  static method getAnalyzedString() to get a string tranformed by
	  an Analyzer from an XSLT.

2006-10-21 09:48  msevigny

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  Transform Date field to be human readable when sending record in
	  SDX format

2006-10-21 09:48  msevigny

	  src/java/fr/gouv/culture/oai/AbstractOAIMetadataFormat.java:
	  Removed duplicate xmlns:xsi attribute

2006-10-05 15:24  malo_pichot

	  src/: java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java,
	  webapp/sdx/oai/oai.xsp:
	  Debug of the oai repository is finish : the repository did not send response
	  to a bad resumptionToken request.

2006-09-27 14:17  malo_pichot

	  src/: java/fr/gouv/culture/oai/OAIRepository.java,
	  java/fr/gouv/culture/oai/OAIResponseImpl.java,
	  java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  webapp/sdx/oai/oai.xsp,
	  java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java,
	  java/fr/gouv/culture/sdx/documentbase/DocumentBase.java,
	  webapp/sdx/sitemap.xmap:
	  Debug : the OAI repository was instable when it receives two or more requests.

2006-09-22 11:02  malo_pichot

	  src/java/fr/gouv/culture/sdx/utils/xml/SimpleXPathString.java:
	  Debug : care of localName null before indexOf().

2006-06-26 09:49  msevigny

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl:
	  New implementation of complexQuery algorithm, using
	  LinearComplexQueryBuilder

2006-06-22 10:08  mdelperier

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  subdocs are deleted this their parents

2006-06-06 15:23  msevigny

	  build.xml: Version change

2006-04-05 18:12  msevigny

	   src/java/fr/gouv/culture/sdx/search/lucene/analysis/filter/ISOLatin1AccentFilter.java:
	  Isolate the accent removal in a public static method for external
	  access

2006-03-30 12:29  msevigny

	  src/java/fr/gouv/culture/sdx/repository/MYSQLRepository.java:
	  Make sure type=MYISAM for tables ; if not BLOB is not written?

2006-03-30 12:28  msevigny

	  src/java/fr/gouv/culture/sdx/:
	  document/AbstractIndexableDocument.java,
	  search/lucene/query/Results.java:
		Make sure XML fields are serialized and read as UTF-8.

2006-03-07 10:57  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_controle.xml:
	  DOC: Information contrôlée.

2006-03-07 10:49  msevigny

	  src/java/fr/gouv/culture/sdx/search/lucene/query/:
	  ComplexQuery.java, LinearComplexQueryBuilder.java: New class to
	  facilitate sdx:executeComplexQuery ; change in the ComplexQuery
	  for NOT operator : first criteria is not exluded (as if it was an
	  AND)

2006-03-05 12:56  msevigny

	  src/java/fr/gouv/culture/sdx/utils/Date.java: 
		Added a method formatUtcISO8601Date() to get current date in ISO format

2006-02-22 09:39  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: 
		DEBUG: update the date *and* the number of results in sdx:historic

2006-02-20 06:46  msevigny

	  src/java/fr/gouv/culture/oai/OAIResponseImpl.java: 
		Bug fix : the URL of the xsi namespace was wrongly set to OAI namespace
		instead of W3C Schema...

2006-02-17 11:27  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: 
		NEW: update user's parameters in historic

2006-02-16 15:52  malo_pichot

	  src/java/fr/gouv/culture/sdx/document/AbstractDocument.java:
	  Debug : it was impossible to define an specific URL for an
	  AbstractDocument (usefull for URL repository) with
	  <sdx:uploadDocument file="" />

2006-02-16 15:50  malo_pichot

	   src/java/fr/gouv/culture/sdx/search/lucene/queryparser/DefaultQueryParser.jj:
	  Change the visibility of the Analyzer in DefaultQueryParser.

2006-02-16 15:49  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx.xsl: Debug : sdx:addToHistoric war unable to work with
	  current sdx_qid without an explicit parameter New : modification
	  on generation of the xml:lang for Cocoon 2.1.8 compatibilty

2006-02-07 13:58  fglorieux

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-parameters.xsl,
	  sdx-pipelines.xsl, sdx-queries.xsl, sdx.xsl: suppress all xml:*
	  namespace usage

2006-02-07 13:55  fglorieux

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: History
	  : first in, last out

2006-01-04 14:16  msevigny

	   src/java/fr/gouv/culture/sdx/thesaurus/LuceneThesaurusBuilder.java:
	  Forcing the usage of Saxon for building the thesaurus... Saxon
	  needs to be in the CLASSPATH in order to use a thesaurus!

2006-01-04 14:15  msevigny

	  lib/: core/saxon-6.5.3.jar, optional/saxon-6.5.3.jar: Saxon is in
	  the core libraries since we need it to compile (class
	  SDXDocumentBase, for XML type fields)

2006-01-04 14:12  msevigny

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  Forcing usage of Saxon for fields of type XML => Saxon needs to
	  be in the classpath in order to index documents!

2006-01-03 16:24  msevigny

	   src/java/fr/gouv/culture/sdx/pipeline/SAXONXSLTTransformation.java:
	  Simple class to force the usage of Saxon

2005-12-21 13:51  mdelperier

	  src/webapp/WEB-INF/cocoon.xconf: accroissement pool xslt

2005-12-18 17:28  malo_pichot

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  debug: docs was not delete before new indexation when documents
	  base does not have repository.

2005-12-13 15:10  malo_pichot

	   src/java/fr/gouv/culture/sdx/search/lucene/query/SortSpecification.java:
	  encoding problem

2005-12-13 15:10  malo_pichot

	  src/java/fr/gouv/culture/sdx/search/lucene/query/:
	  DateIntervalQuery.java, SDXRangeQuery.java: New:
	  DateIntervalQuery: @luceneQuery is readable by human ;-) The
	  dates are decoded.

2005-12-13 15:10  malo_pichot

	  src/java/fr/gouv/culture/sdx/search/lucene/query/:
	  FieldQuery.java, SDXTermQuery.java: New: @luceneQuery: for a
	  fieldQuery, the query text is escaped by pipes "|"

2005-12-13 15:07  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: New :
	  sdx:historic it's possible to force id generation

2005-12-12 15:14  malo_pichot

	  src/java/fr/gouv/culture/sdx/: documentbase/SDXDocumentBase.java,
	  search/lucene/query/LuceneIndex.java: Debug : the file
	  last-modification-date was not updated after
	  indexation/suppression.

2005-11-30 13:29  msevigny

	   src/java/fr/gouv/culture/sdx/search/lucene/query/ComplexQuery.java:
	  Check for a null searchlocations()

2005-11-14 15:29  fglorieux

	  src/webapp/sdx/admin/apps.xsp: Voir l'effet d'une action sur les
	  applications.

2005-11-14 13:57  mdelperier

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl: tomcat 5512 bug
	  on session.getAttribute(null)

2005-11-14 11:41  malo_pichot

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  Debug: we must recycle the Lucene IndexSearcher after indexation
	  of single document.

2005-11-14 11:39  malo_pichot

	  src/java/fr/gouv/culture/sdx/utils/Utilities.java: Organise
	  imports.

2005-11-09 23:09  fglorieux

	  src/webapp/sdx/admin/sdx-admin.xmap: Un truc qui m'énervait fort,
	  les liens en dur dans l'interface d'admin

2005-11-09 22:50  fglorieux

	  src/webapp/sdx/: admin/sdx-admin.xmap, sitemap.xmap,
	  admin/applications.xsp, admin/apps.xsp, admin/index.xsp,
	  admin/welcome.xsp, admin/xsl/apps.xsl, admin/xsl/bases.xsl,
	  admin/xsl/index.xsl, admin/xsl/skin.xsl, admin/xsl/welcome.xsl:
	  Un truc qui m'énervait fort, les liens en dur dans l'interface
	  d'admin

2005-11-09 18:57  fglorieux

	  src/webapp/sdx/admin/: xsl/explorer.xsl, res/explore.css,
	  res/html.css, res/sdx.css, res/sdx.gif, res/selects.js,
	  res/xform-dom.css, res/xform.css, xsl/skin.xsl: Un truc qui
	  m'énervait fort, les liens css trop en dur

2005-11-08 09:35  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: debug:
	  xsp:logic for all !

2005-11-03 15:12  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx.xsl: debug: it was not possible to use sdx:caddy and
	  sdx:historic in the same XSP.

2005-11-02 10:05  malo_pichot

	  src/webapp/sdx/admin/bases.xsp: debug: it was not possible de
	  start SDX when there was no files in WEB-INF/sdx/applications
	  new: reload fieldList and dynamic application.xconf (Cocoon
	  pipeline). Work in progress...

2005-11-02 10:01  malo_pichot

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  debug: it was not possible to update a document using
	  useMetadata='false'

2005-10-27 13:25  malo_pichot

	  src/java/fr/gouv/culture/sdx/application/Application.java:
	  comment on what to do to disable userDatabase

2005-10-27 13:24  malo_pichot

	  src/java/fr/gouv/culture/sdx/framework/FrameworkImpl.java: debug:
	  to reconfigure application by its path

2005-10-27 10:30  fglorieux

	  src/documentation/misc/sdx-over-cocoon-en.txt: Juste un test CVS

2005-10-27 09:34  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl:
	  sdx:historic, time in milliseconds is better for id

2005-10-26 17:28  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: debug:
	  it was not possible to use <sdx:showCaddy> and <sdx:showHistoric>
	  in the same XSP page.

2005-10-25 11:56  malo_pichot

	  src/webapp/sdx/admin/applications.xsp: debug: it was not possible
	  de start SDX when there was no files in WEB-INF/sdx/applications
	  new: reload fieldList and dynamic application.xconf (Cocoon
	  pipeline). Work in progress...

2005-10-24 10:13  malo_pichot

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  Update Lucene indexes after reloading fields list.

2005-10-24 08:41  malo_pichot

	   src/java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java:
	  organize imports

2005-10-24 08:41  malo_pichot

	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/:
	  Analyzer_fr.java, DefaultAnalyzer.java,
	  tokenizer/LaxistLowerCaseTokenizer.java,
	  tokenizer/LetterOrDigitTokenizer.java: Pierre Dittgen patch:
	  management of numbers in research

2005-10-23 19:04  malo_pichot

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  Reload a dynamic fieldList (Cocoon pipeline).

2005-10-23 16:28  malo_pichot

	  src/java/fr/gouv/culture/sdx/framework/FrameworkImpl.java: trash
	  bad code

2005-10-23 15:18  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: new:
	  developer can add parameters to the caddy and the historic with
	  sdx:parameter.

2005-10-21 16:41  malo_pichot

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  framework/FrameworkImpl.java, utils/Utilities.java: debug: it was
	  not possible de start SDX when there was no files in
	  WEB-INF/sdx/applications new: reload fieldList and dynamic
	  application.xconf (Cocoon pipeline). Work in progress...

2005-10-21 16:40  malo_pichot

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  oai/OAIObjectImpl.java, oai/OAIRequestImpl.java,
	  oai/OAIResponseImpl.java,
	  sdx/document/AbstractIndexableDocument.java,
	  sdx/utils/constants/Node.java: debug: OAI harvester and OAI
	  repository was unusable with XALAN, wich is buggy with namespaces
	  and prefix mapping. XML field was unsable with XALAN for the same
	  problem. There's steel a bug with XALAN and XML field when you
	  index more than one document. Work in progress...

2005-10-20 21:49  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx.xsl: new: session historic for user's searches todo: use
	  dev's params to easily add params in historic

2005-10-18 14:47  malo_pichot

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  search/lucene/query/LuceneIndex.java,
	  utils/database/LuceneDatabase.java,
	  utils/lucene/LuceneDataStore.java: debug : disable automatique
	  optimization of Lucene indexes

2005-10-18 14:46  malo_pichot

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/AbstractDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  repository/AbstractDatabaseBackedRepository.java,
	  repository/FSRepository.java, repository/URLRepository.java,
	  utils/database/DatabaseBacked.java: new feature :
	  <sdx:documentBase useMetadata="false"> to work without SDX system
	  database. CAUTION ! Work only if you use zero or one repository
	  and it's not URL or FS repository, and you do not use
	  sub-documents and attached documents

2005-10-18 14:34  malo_pichot

	  src/java/fr/gouv/culture/sdx/search/lucene/query/Terms.java:
	  comments

2005-10-18 14:31  malo_pichot

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  document/BinaryDocument.java: comments

2005-10-12 14:26  malo_pichot

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  search/lucene/query/LuceneIndex.java,
	  utils/lucene/LuceneDataStore.java: new : reload fieldList
	  dynamically debug : autoOptimize attribute of an
	  <sdx:documentBase>, Lucene index optimization

2005-10-10 09:37  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx.xsl: caddy: default limit (1 000) and now we can use query
	  qid, page, no.

2005-10-07 16:42  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx-queries.xsl, sdx.xsl: New : caddy session in logicsheet

2005-10-06 17:10  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx.xsl: New : sdx:caddy. On work.

2005-10-06 11:29  malo_pichot

	  src/java/fr/gouv/culture/sdx/exception/: errors_en.properties,
	  errors_fr.properties: Debug: SDX did not harvest repository with
	  day granularity (YYYY-DD-MM).  New: two new parameters for
	  indexation : sdxoaidate, sdxoaiid when indexable document is an
	  OAI document.

2005-10-06 10:56  malo_pichot

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  sdx/document/OAIDocument.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java: Debug: SDX did not
	  harvest repository with day granularity (YYYY-DD-MM).  New: two
	  new parameters for indexation : sdxoaidate, sdxoaiid when
	  indexable document is an OAI document.

2005-10-06 10:56  malo_pichot

	  src/documentation/src/xml/fr/oai/: entrepot.xml, intro.xml,
	  moissonneur.xml: Documentation sur la configuration de la
	  granularité d'un entrepôt à moissonner.

2005-10-05 17:05  malo_pichot

	  src/java/fr/gouv/culture/: oai/OAIObject.java,
	  oai/OAIRequest.java, oai/OAIRequestImpl.java,
	  sdx/document/OAIDocument.java,
	  sdx/documentbase/SDXDocumentBase.java,
	  sdx/exception/SDXExceptionCode.java,
	  sdx/exception/errors_fr.properties,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/DocumentBaseOAIHarvester.java: Debug: SDX did not harvest
	  repository with day granularity (YYYY-DD-MM).  New: two new
	  parameters for indexation : sdxoaidate, sdxoaiid when indexable
	  document is an OAI document.

2005-08-25 10:45  msevigny

	   src/java/fr/gouv/culture/sdx/search/lucene/query/SortSpecification.java:
	  Bas usage of getLog

2005-08-25 09:56  malo_pichot

	  src/java/fr/gouv/culture/sdx/search/lucene/queryparser/:
	  DefaultQueryParser.jj: the lucene query parser now accept ET, OU,
	  SAUF for AND, OR, NOT operator

2005-08-12 16:47  msevigny

	  src/java/fr/gouv/culture/sdx/utils/AbstractSdxObject.java: Bug
	  fix: big performance lost because of multiple reuse of
	  getChildLogger()! Indexing time of large sets (20000 docs) are
	  something like 10 times less!

2005-08-11 09:46  malo_pichot

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  search/lucene/query/LuceneIndex.java: 
		Changes to index in RAMDirectory instead of a FSDirectory, 
		like in SDX v. 2.2.x

2005-08-08 09:11  msevigny

	  src/java/fr/gouv/culture/sdx/documentbase/: SDXDocumentBase.java:
	  Small change to better manage memory when indexing large number
	  of documents

2005-07-28 11:17  msevigny

	  src/java/fr/gouv/culture/sdx/: repository/JDBCRepository.java,
	  utils/database/HSQLDatabase.java,
	  utils/database/AbstractJDBCDatabase.java: executeUpdate instead
	  of executeQuery

2005-07-28 11:15  msevigny

	  src/java/fr/gouv/culture/sdx/repository/: MSSQLRepository.java:
	  New class to use MS SQLServer

2005-06-23 14:46  malo_pichot

	   src/java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java:
	  debug: xml field does not run with Xalan

2005-06-15 12:16  malo_pichot

	   src/java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java:
	  debug: xml field ; sdx prefix in sdx:fragment was not declared

2005-06-13 14:37  vjaulin

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl: Added: appbypath

2005-05-20 10:31  malo_pichot

	  src/documentation/src/xml/fr/reference/parametres_sdx.xml: ajout
	  d'un exemple sur l'utilisation de nameStrings

2005-05-03 13:11  fglorieux

	  src/webapp/sitemap.xmap: Lighter root sitemap for faster startup.

2005-05-03 13:10  fglorieux

	  src/webapp/sdxtest/: conf/application.xconf, xsl/login.xsl:
	  Default admin has "admin" as password

2005-05-03 09:52  fglorieux

	  lib/core/commons-jxpath-20030909.jar: Needed lib when cocoon is
	  working under jetty (a non apache servlet engine)

2005-04-29 19:40  msevigny

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  application/ApplicationSourceValidity.java,
	  documentbase/AbstractDocumentBase.java,
	  documentbase/DocumentBase.java,
	  documentbase/DocumentBaseSourceValidity.java: Added methods and
	  classes to enable caching of XSP based on last modification date
	  of document bases or whole applications.

2005-04-29 11:26  fglorieux

	  src/webapp/WEB-INF/cocoon.xconf: Some more input modules for
	  cocoon sitemaps

2005-04-29 10:31  fglorieux

	  src/webapp/sitemap.xmap: Pour moins de warn dans les logs (pb de
	  l'automount)

2005-04-29 10:05  fglorieux

	  src/webapp/favicon.ico: Une favicon transparente, pour moins de
	  warn en log.

2005-04-20 11:02  malo_pichot

	  src/: java/fr/gouv/culture/sdx/document/OAIDocument.java,
	  java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  webapp/WEB-INF/sdx/sdx.xconf:
	  DEBUG: sdxoaidate was not consider as a date field, so it was not
		possible to build date queries on

2005-04-20 10:25  malo_pichot

	  src/java/fr/gouv/culture/oai/AbstractOAIHarvester.java:
	  DEBUG: we	do not use shouldHarvestDocument() anymore

2005-04-20 10:21  malo_pichot

	   src/java/fr/gouv/culture/util/apache/cocoon/xml/AbstractSynchronizedXMLPipe.java:
	  DEBUG: suppress SAXException catch in endDocument()

2005-04-20 10:18  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  DEBUG: use binaries operators instead of logics operators

2005-04-19 12:31  malo_pichot

	   src/java/fr/gouv/culture/util/apache/cocoon/xml/AbstractSynchronizedXMLPipe.java:
	  Add a try and finally blocs in endDocument() method of
	  AbstractSynchronizedXMLPipe

2005-04-19 12:30  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  DEBUG: use binaries operators instead of logics operators

2005-04-19 12:29  malo_pichot

	  src/java/fr/gouv/culture/oai/AbstractOAIHarvester.java:
	  DEBUG: we	do not use shouldHarvestDocument() anymore

2005-04-16 20:08  malo_pichot

	  src/java/fr/gouv/culture/oai/AbstractOAIHarvester.java: 
		DEBUG: java.IOException Bad file descriptor due to the abort capture
	  record logic in AbstractOAIHarvester. Abortion have to be done at
	  the end element <record>

2005-04-16 20:06  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  DEBUG: suppressed unused imports in AbstractDocumentBaseOAIHarvester

2005-04-16 20:06  malo_pichot

	   src/java/fr/gouv/culture/util/apache/cocoon/xml/AbstractSynchronizedXMLPipe.java:
	  DEBUG: synchronise startElement() and endElement() methods in
	  AbstractSynchronizedXMLPipe

2005-04-13 13:58  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  DEBUG: if the response of the provider ends with deleted
	  record(s), we do not index !

2005-04-12 23:38  malo_pichot

	  src/java/fr/gouv/culture/sdx/oai/:
	  AbstractDocumentBaseOAIHarvester.java: 
		DEBUG: the shouldHarvestDocument() method in
	  fr.gouv.culture.sdx.oai.AbstractDocumentBaseOAIHarvester bugs to
	  get the request params.

2005-04-12 16:09  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  DEBUG: if the response of the provider ends with deleted
	  record(s), we do not index !

2005-04-08 23:46  malo_pichot

	  src/java/fr/gouv/culture/sdx/oai/:
	  AbstractDocumentBaseOAIHarvester.java: 
		DEBUG: the number of docs harvested or deleted was not reset
		after the harvest. Il was a problem for harvester with 
		providers.

2005-04-08 21:42  malo_pichot

	  src/java/fr/gouv/culture/sdx/oai/:
	  LuceneDocumentBaseOAIRepository.java: DEBUG: in case of an update
	  harvest with no new records, we tried to delete infos about
	  resumptionToken in SDX database that not exists.

2005-04-07 11:57  malo_pichot

	  src/java/fr/gouv/culture/: oai/AbstractOAIMetadataFormat.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/BasicOAIMetadataFormat.java:
	  DEBUG: 'xmlns:xsi' wad notadded to the first child element of 'metadata' and
	  'xsi:schemaLocation' was added without checking if it exists

2005-03-22 09:57  malo_pichot

	  src/documentation/src/xml/fr/reference/: actions_amender.xml,
	  DOC: actions_index.xml: Correction de la doc sur le croisement d'index
	  avec sdx:terms

2005-03-16 12:44  msevigny

	  src/documentation/src/xml/fr/reference/actions_controle.xml:
	  DOC: Ajout d'une doc sur l'attribut sessionObjectLimit

2005-03-15 00:23  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  DEBUG: creates resumption token and stocks results in context
	  only if needed

2005-03-15 00:22  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIRepository.java:
	  Unused import :
	  fr.gouv.culture.sdx.documentbase.AbstractDocumentBase

2005-03-15 00:21  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  DEBUG: harvester index one by one 
		DEBUG: impossible to get verb of the request when worked a resumption 
		token

2005-03-15 00:18  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  DEBUG: creates resumption token and stocks results in context
	  only if needed

2005-03-15 00:17  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  DEBUG: harvester index one by one DEBUG: impossible to get verb
	  of the request when worked a resumption token

2005-03-15 00:15  malo_pichot

	  src/java/fr/gouv/culture/oai/AbstractOAIHarvester.java: 
		Finally resest all fields at the end of the harvest

2005-03-14 14:39  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  Better work on OAI request errors.

2005-03-14 14:38  malo_pichot

	  src/java/fr/gouv/culture/: oai/AbstractOAIRepository.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  DEBUG: suppress sort in resumptionToken logic. Resolving resumptionToken 
		with a sort on sdxmoddate was not a good idea ; it will cause
	  java.lang.outOfMemoryError with large document bases.

2005-03-14 13:34  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIRepository.java:
	  DEBUG: suppress unused method createResumptionToken(OAIRequest
	  resquest, String nextModDate, DatabaseEntity docsWithSameDate).

2005-03-14 10:52  malo_pichot

	  src/java/fr/gouv/culture/: oai/AbstractOAIRepository.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  Removing code from dateQuery not necessary

2005-03-11 16:06  malo_pichot

	  src/java/fr/gouv/culture/sdx/oai/:
	  AbstractDocumentBaseOAIRepository.java,
	  LuceneDocumentBaseOAIRepository.java: 
		DEBUG: suppress sort in
	  resumptionToken logic wich cause java.lang.outOfMemoryError with
	  large document bases New: factorize code between ListIdentifiers
	  and ListRecords New: send resumptionToken informations even at
	  the end of the harvest

2005-03-11 16:02  malo_pichot

	  src/java/fr/gouv/culture/oai/AbstractOAIRepository.java: New :
	  support completeListSize in resumptionToken element

2005-03-11 16:01  malo_pichot

	  src/java/fr/gouv/culture/oai/AbstractOAIHarvester.java: Debug:
	  oai harvester : release harvester in finally block

2005-03-10 09:11  malo_pichot

	  src/documentation/src/xml/fr/oai/: entrepot.xml, moissonneur.xml:
	  Mise à jour de la documentation sur la configuration d'un
	  moissonneur OAI.

2005-03-04 16:09  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  TermQuery("sdxall", "1") is better than WildcardQuery("sdxdocid",
	  "*")

2005-03-04 09:27  malo_pichot

	  src/documentation/src/xml/fr/reference/: actions_amender.xml,
	  actions_index.xml: Nouvel exemple pour croiser deux index avec
	  sdx:terms et sdx:filter. Ca manquait !

2005-03-03 10:20  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  Using the Lucene sort (new with Lucene 1.4.3) instead of SDX
	  sort. It's may be more efficient we large document bases.

2005-03-03 10:14  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  Debug targetTriggered : we have to remember the original request

2005-03-03 10:00  malo_pichot

	  src/java/fr/gouv/culture/oai/AbstractOAIHarvester.java: Debug
	  URLSource.toSax exception when missing componentManager and/or
	  mime-type

2005-03-03 09:59  malo_pichot

	  build.xml: Include all packages fr.gouv.culture.* for javadocs

2005-02-25 13:41  malo_pichot

	  src/documentation/src/xml/fr/oai/moissonneur.xml: Documentation
	  de l'attribut useLastHarvestDate

2005-02-25 13:40  malo_pichot

	  src/documentation/src/xml/fr/oai/entrepot.xml: Documentation de
	  l'attribut noPerResponse

2005-02-22 11:19  mdelperier

	  src/webapp/sdx/sitemap.xmap: modif in sitemap for using saxon if
	  both saxon and xalan are present

2005-02-20 19:10  malo_pichot

	  src/documentation/src/xml/fr/oai/: entrepot.xml, moissonneur.xml:
	  Mise à jour des informations pour la configuration OAI

2005-02-18 16:10  malo_pichot

	  src/documentation/src/xml/fr/oai/moissonneur.xml: Correct javadoc
	  construction

2005-02-18 16:10  malo_pichot

	  src/documentation/src/xml/fr/oai/moissonneur.xml: Mise à jour des
	  informations sur la configuration du moissonneur OAI.

2005-02-18 16:07  malo_pichot

	  src/documentation/src/xml/fr/oai/moissonneur.xml: Mise à jour des
	  informations sur la configuration du moissonneur OAI.

2005-02-18 15:43  malo_pichot

	  build.xml: Correct javadoc construction

2005-02-18 15:28  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  Syntax correction in saveCriticalFields().

2005-02-18 15:25  malo_pichot

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  oai/OAIHarvester.java, oai/OAIRequest.java,
	  oai/OAIRequestImpl.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/DocumentBaseOAIHarvester.java: Implement lastHarvestDate
	  in OAI Harvester. Now, we can change the request URL according to
	  the last harvest.

2005-02-18 15:23  malo_pichot

	  src/java/fr/gouv/culture/oai/AbstractOAIHarvester.java: Typoes in
	  javadoc

2005-02-18 13:08  malo_pichot

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  oai/OAIHarvester.java, oai/OAIRequest.java,
	  oai/OAIRequestImpl.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java: Implement
	  lastHarvestDate in OAI Harvester. Now, we can change the request
	  URL according to the last harvest.

2005-02-16 10:46  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_generalites.xml:
	  some fixme

2005-02-16 10:27  malo_pichot

	   src/documentation/src/xml/fr/reference/actions_identification.xml:
	  some fixme

2005-02-15 14:20  malo_pichot

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java: Debug: correct the
	  logic of the resumptionToken in harvester.

2005-02-15 14:11  malo_pichot

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java: Debug : correct
	  the logic of the resumptionToken in OAI repository.

2005-01-16 09:55  msevigny

	  src/webapp/sdx/resources/conf/analysis/: ca.xml: Catalan stop
	  words, contributed by VIncent Leconte (Mobydoc)

2005-01-07 15:44  malo_pichot

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/AbstractDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  oai/AbstractDocumentBaseOAIHarvester.java: Debug memorization of
	  oai infos to index records

2005-01-07 15:40  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  typoes

2005-01-07 15:35  malo_pichot

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/AbstractDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  oai/AbstractDocumentBaseOAIHarvester.java: debug : memorize oai
	  infos to index records

2005-01-07 10:08  malo_pichot

	  src/java/fr/gouv/culture/sdx/oai/OAIEnvelopStripper.java:
	  Comments and use system variable instead of string

2005-01-07 10:07  malo_pichot

	   src/java/fr/gouv/culture/sdx/utils/database/AbstractJDBCDatabase.java:
	  Debug : search with two params. Warm ! search with more than two
	  params is not implemented

2005-01-07 10:06  malo_pichot

	   src/java/fr/gouv/culture/sdx/utils/database/AbstractJDBCDatabase.java:
	  Debug: search with two params. Warm ! search with more than two
	  params is not implemented

2005-01-07 10:06  malo_pichot

	  src/java/fr/gouv/culture/sdx/oai/:
	  AbstractDocumentBaseOAIHarvester.java: Debug: OAI harvester when
	  harverts deleted document.

2005-01-07 10:05  malo_pichot

	  src/java/fr/gouv/culture/oai/: AbstractOAIHarvester.java: Debug:
	  OAI harvester when harverts deleted document.  Debug : save
	  critical fields (infos on an harvest) at the end (all
	  resumptionToken close)

2005-01-07 10:03  malo_pichot

	  src/java/fr/gouv/culture/sdx/oai/OAIEnvelopStripper.java: SDX
	  system field name in variable.

2005-01-07 09:01  malo_pichot

	  build.xml: To build Javadoc from fr.gouv.culture.* instead of
	  fr.gouv.culture.sdx.*

2005-01-04 10:36  malo_pichot

	  src/java/fr/gouv/culture/sdx/document/OAIDocument.java: SDX
	  system field name in variable.

2005-01-04 10:30  malo_pichot

	   src/java/fr/gouv/culture/sdx/utils/database/AbstractJDBCDatabase.java:
	  Still bug in SQL syntax : INTERSECT not supported by Mysql. We
	  have to find another one...

2005-01-04 10:29  malo_pichot

	  src/java/fr/gouv/culture/sdx/oai/OAIEnvelopStripper.java:
	  Comments

2005-01-04 10:28  malo_pichot

	  src/java/fr/gouv/culture/sdx/oai/:
	  AbstractDocumentBaseOAIHarvester.java, SDXOAIMetadataFormat.java:
	  Unused imports.

2005-01-04 10:11  malo_pichot

	   src/java/fr/gouv/culture/sdx/utils/database/AbstractJDBCDatabase.java:
	  Still bug in SQL syntax : INTERSECT not supported by Mysql. We
	  have to find another one...

2005-01-04 10:11  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  Unuse imports and debug OAI tempDir name (ISODate was not a good
	  idea)

2005-01-03 15:58  malo_pichot

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  Debug configuration of the indexation pipeline for OAI
	  harversters

2004-12-21 17:54  malo_pichot

	  src/: java/fr/gouv/culture/oai/AbstractOAIHarvester.java,
	  java/fr/gouv/culture/sdx/document/HTMLDocument.java,
	  java/fr/gouv/culture/sdx/document/IndexableDocument.java,
	  java/fr/gouv/culture/sdx/document/OAIDocument.java,
	  java/fr/gouv/culture/sdx/document/XMLDocument.java,
	  java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java,
	  java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  java/fr/gouv/culture/sdx/oai/OAIEnvelopStripper.java,
	  java/fr/gouv/culture/sdx/utils/Utilities.java,
	  webapp/WEB-INF/sdx/sdx.xconf: Missing classes for OAI.

2004-12-21 17:53  malo_pichot

	  src/java/fr/gouv/culture/sdx/:
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  document/HTMLDocument.java, document/OAIDocument.java,
	  document/XMLDocument.java, oai/OAIEnvelopStripper.java: Debug :
	  missing classes for OAI.

2004-12-17 14:53  malo_pichot

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  sdx/document/IndexableDocument.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/framework/FrameworkImpl.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/utils/Utilities.java: Debug OAI harvester.

2004-12-17 14:28  malo_pichot

	  src/webapp/WEB-INF/sdx/sdx.xconf: Debug OAI harvester. Now, we
	  have 2 new internal fields : sdxoaiid, sdxoaidate.

2004-11-25 12:35  mdelperier

	  src/webapp/: sitemap.xmap, sdxtest/sitemap.xmap: about sitemaps

2004-11-18 11:25  mdelperier

	  src/webapp/sitemap.xmap: xdepo root sitemap modif for xdepo
	  integration

2004-11-17 07:22  mdelperier

	  src/webapp/: WEB-INF/cocoon.xconf, sdxtest/sitemap.xmap: sdxtest
	  sitemap

2004-11-15 12:35  mdelperier

	  src/:
	  java/fr/gouv/culture/sdx/search/lucene/analysis/filter/ISOLatin1AccentFilter.java,
	  webapp/WEB-INF/web.xml: unicode value in
	  ISOLatin1AccentFilter.java

2004-11-15 11:36  mdelperier

	   src/java/fr/gouv/culture/sdx/search/lucene/analysis/filter/ISOLatin1AccentFilter.java:
	  unicode value in ISOLatin1AccentFilter.java

2004-11-10 10:05  mdelperier

	  build.sh, build.xml: build modif for linux distrib

2004-11-09 17:09  mdelperier

	  build.xml, src/java/fr/gouv/culture/sdx/framework/Framework.java:
	  sdx-version number

2004-11-09 10:21  mdelperier

	  src/webapp/WEB-INF/web.xml: mysql in web.xml

2004-11-08 08:15  mdelperier

	  src/java/org/apache/lucene/search/UnanalyzedQuery.java: good
	  @luceneQuery when |blah blah|

2004-11-04 13:25  mdelperier

	  src/webapp/WEB-INF/web.xml: resolving encoding pbs : we should
	  not put container_encoding=utf-8 in web.xml

2004-11-04 11:09  mdelperier

	  src/java/fr/gouv/culture/: oai/OAIError.java,
	  sdx/oai/BasicOAIMetadataFormat.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/search/lucene/query/AbstractQuery.java,
	  sdx/search/lucene/query/DateIntervalQuery.java: reparing oai bugs
	  for : include and exclude resumptionToken

2004-11-04 08:22  mdelperier

	  src/java/fr/gouv/culture/sdx/utils/database/:
	  AbstractJDBCDatabase.java, POSTGRESQLDatabase.java: adding
	  postgresql database

2004-11-04 07:42  mdelperier

	  src/:
	  java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java,
	  java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java,
	  webapp/WEB-INF/web.xml: subdocs indexation

2004-11-03 10:55  mdelperier

	  src/java/fr/gouv/culture/: oai/OAIResponseImpl.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java: oai include and
	  exclude

2004-10-28 11:52  mdelperier

	  src/java/fr/gouv/culture/: oai/AbstractOAIRepository.java,
	  oai/OAIResponseImpl.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/search/lucene/query/DateIntervalQuery.java,
	  sdx/utils/Date.java,
	  sdx/utils/database/AbstractJDBCDatabase.java,
	  sdx/utils/database/HSQLDatabase.java,
	  sdx/utils/database/LuceneDatabase.java,
	  sdx/utils/rdbms/JDBC.java: oai resumptionToken bug

2004-10-20 14:51  mdelperier

	   src/java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java:
	  null pointer exception at indexation with subdocs corrected

2004-10-20 14:15  mdelperier

	   src/java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java:
	  null pointer exception at indexation with subdocs corrected

2004-10-20 10:42  mdelperier

	   src/java/fr/gouv/culture/sdx/utils/database/AbstractJDBCDatabase.java:
	  no more null pointer exception when sdx starts with mysql
	  databases

2004-10-19 14:48  mdelperier

	  src/java/fr/gouv/culture/sdx/: logicsheet/sdx-parameters.xsl,
	  logicsheet/sdx-queries.xsl, logicsheet/sdx.xsl,
	  search/lucene/query/AbstractQuery.java: bug corrected for
	  listQuery with empty values

2004-10-19 10:47  mdelperier

	  src/java/fr/gouv/culture/sdx/: logicsheet/sdx-actions.xsl,
	  oai/LuceneDocumentBaseOAIRepository.java: oai : way to send
	  deleted records

2004-10-19 08:09  mdelperier

	  src/java/fr/gouv/culture/sdx/:
	  document/AbstractIndexableDocument.java,
	  documentbase/SDXDocumentBase.java: attached doc id after
	  indexation

2004-10-18 16:05  mdelperier

	  src/java/fr/gouv/culture/sdx/document/AbstractDocument.java,
	  src/java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java,
	  src/java/fr/gouv/culture/sdx/document/XMLDocument.java,
	  tools/loader/Loader$RepositoryClassLoader.class,
	  tools/loader/Loader.class, tools/src/loader/Loader.java: indexing
	  subdocs bug

2004-10-14 14:04  mdelperier

	   src/java/fr/gouv/culture/sdx/search/lucene/query/SortSpecification.java:
	  comparing dates bug fixed

2004-10-14 13:09  mdelperier

	  src/java/fr/gouv/culture/sdx/: logicsheet/sdx-queries.xsl,
	  search/lucene/query/DateIntervalQuery.java: dateQuery bug  (with
	  Or) corrected

2004-10-14 12:05  mdelperier

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  pb aoi harvester in storeHarvestedData corrected

2004-10-14 11:43  mdelperier

	  src/java/fr/gouv/culture/: oai/AbstractOAIRepository.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java: no more bugs with
	  oai validation

2004-10-13 14:53  mdelperier

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  list of records after deletion

2004-10-13 14:22  mdelperier

	  .cvsignore,
	  src/java/fr/gouv/culture/oai/AbstractOAIRepository.java,
	  src/java/fr/gouv/culture/oai/OAIError.java,
	  src/java/fr/gouv/culture/oai/OAIResponseImpl.java,
	  src/java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java,
	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java,
	  src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  src/java/fr/gouv/culture/sdx/user/UserDatabase.java,
	  src/java/fr/gouv/culture/sdx/utils/database/AbstractJDBCDatabase.java,
	  src/java/fr/gouv/culture/sdx/utils/database/Database.java,
	  src/java/fr/gouv/culture/sdx/utils/database/DatabaseEntity.java,
	  src/java/fr/gouv/culture/sdx/utils/database/HSQLDatabase.java,
	  src/java/fr/gouv/culture/sdx/utils/database/LuceneDatabase.java,
	  src/java/fr/gouv/culture/sdx/utils/database/Property.java,
	  src/java/fr/gouv/culture/sdx/utils/rdbms/JDBC.java: giving parent
	  information in hsql_database + having the list of oai deleted
	  results

2004-09-09 21:25  jlecren

	  src/: java/fr/gouv/culture/sdx/application/Application.java,
	  java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java,
	  java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java,
	  java/fr/gouv/culture/sdx/exception/SDXExceptionCode.java,
	  java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl,
	  java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  java/fr/gouv/culture/sdx/repository/FSRepository.java,
	  java/fr/gouv/culture/sdx/repository/HSQLRepository.java,
	  java/fr/gouv/culture/sdx/repository/JDBCRepository.java,
	  java/fr/gouv/culture/sdx/repository/MYSQLRepository.java,
	  java/fr/gouv/culture/sdx/repository/ORACLERepository.java,
	  java/fr/gouv/culture/sdx/repository/POSTGRESQLRepository.java,
	  java/fr/gouv/culture/sdx/search/Index.java,
	  java/fr/gouv/culture/sdx/search/lucene/query/Index.java,
	  java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java,
	  java/fr/gouv/culture/sdx/search/lucene/query/RemoteIndex.java,
	  java/fr/gouv/culture/sdx/user/UserDatabase.java,
	  java/fr/gouv/culture/sdx/utils/Utilities.java,
	  java/fr/gouv/culture/sdx/utils/database/AbstractJDBCDatabase.java,
	  java/fr/gouv/culture/sdx/utils/database/HSQLDatabase.java,
	  java/fr/gouv/culture/sdx/utils/database/JDBCDatabase.java,
	  java/fr/gouv/culture/sdx/utils/database/MYSQLDatabase.java,
	  java/fr/gouv/culture/sdx/utils/io/IOWrapper.java,
	  java/fr/gouv/culture/sdx/utils/lucene/LuceneDataStore.java,
	  java/fr/gouv/culture/sdx/utils/save/SaveParameters.java,
	  java/fr/gouv/culture/sdx/utils/save/SaveParametersBuilder.java,
	  java/fr/gouv/culture/sdx/utils/save/StringComparator.java,
	  java/fr/gouv/culture/sdx/utils/zip/ZipWrapper.java,
	  webapp/sdx/admin/explorer.xsp: Some save and restore
	  implementation

2004-09-06 12:34  jlecren

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl: Give
	  'from' and 'to' parameters default values

2004-09-06 11:09  jlecren

	   src/java/fr/gouv/culture/sdx/search/lucene/query/DateIntervalQuery.java:
	  allow from and to to be null parameters : give begin and end
	  dates default values

2004-09-02 15:28  malo_pichot

	  src/webapp/sdxtest/conf/application.xconf: Miss 'sdx' prefix for
	  the <split> element.

2004-09-02 15:27  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_recherche.xml:
	  Mise a jour de la table des matières.

2004-09-02 09:49  jlecren

	  src/documentation/misc/sdx-avec-java1.3.txt: Changes to do to
	  compile SDX with Java 1.3

2004-09-01 18:09  jlecren

	  build.xml: change vm12 to vm13.  build.compiler is now set to
	  "modern"

2004-09-01 18:06  jlecren

	  src/java/fr/gouv/culture/sdx/utils/jvm/vm13/URLCoderWrapper.java:
	  change vm12 to vm13. It is not possible to compile SDX with Java
	  1.2

2004-09-01 17:01  jlecren

	  src/java/fr/gouv/culture/sdx/utils/Utilities.java: correction in
	  replaceAllSubString

2004-09-01 12:34  jlecren

	  src/java/fr/gouv/culture/sdx/utils/Utilities.java: hack a methos
	  too replace String.replaceAll

2004-09-01 12:31  jlecren

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  search/lucene/query/LuceneIndex.java: remove the regexp call

2004-09-01 09:22  jlecren

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/AbstractDocumentBase.java,
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  documentbase/SimpleIDGenerator.java,
	  pipeline/AbstractTransformation.java,
	  repository/AbstractDatabaseBackedRepository.java,
	  repository/FSRepository.java, repository/JDBCRepository.java,
	  repository/URLRepository.java, search/lucene/Field.java,
	  search/lucene/FieldList.java, search/lucene/query/Results.java,
	  sitemap/DocumentReader.java, thesaurus/LuceneThesaurus.java,
	  user/UserInformation.java, utils/AbstractSdxObject.java,
	  utils/database/HSQLDatabase.java,
	  utils/database/JDBCDatabase.java,
	  utils/xml/AbstractSdxXMLPipe.java: change some method calls to be
	  compatible with Java 1.3

2004-08-31 15:24  jlecren

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  move the declaration of local argument "current_doc" out of the
	  loops

2004-08-31 14:53  jlecren

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  move the creation of the transformer factory before the batch
	  loop

2004-08-31 12:00  larcaini

	  build.xml: Native-Regex fix

2004-08-31 11:20  jlecren

	  sdx.properties: remove the build.src variable. It is present in
	  build.xml. T

2004-08-31 11:14  larcaini

	  src/webapp/WEB-INF/cocoon.xconf: Added ESQL logichseet
	  declaration

2004-08-31 11:10  larcaini

	  build.xml: Small fix for java 1.2

2004-08-30 18:31  jlecren

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  documentbase/AbstractDocumentBase.java,
	  application/Application.java, documentbase/DocumentBase.java,
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  oai/DocumentBaseOAIHarvester.java,
	  repository/AbstractDatabaseBackedRepository.java,
	  repository/FSRepository.java, repository/HSQLRepository.java,
	  repository/JDBCRepository.java, repository/MYSQLRepository.java,
	  repository/ORACLERepository.java,
	  repository/POSTGRESQLRepository.java, repository/Repository.java,
	  repository/URLRepository.java, search/Index.java,
	  search/lucene/query/Index.java,
	  search/lucene/query/LuceneIndex.java,
	  search/lucene/query/RemoteIndex.java, user/UserDatabase.java,
	  utils/constants/ContextKeys.java,
	  utils/database/AbstractJDBCDatabase.java,
	  utils/database/Database.java, utils/database/HSQLDatabase.java,
	  utils/database/LuceneDatabase.java,
	  utils/database/MYSQLDatabase.java,
	  utils/save/SaveParameters.java, utils/save/Saveable.java: first
	  steps to the backup capability

2004-08-30 13:09  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  search/lucene/query/LuceneIndex.java,
	  utils/lucene/LuceneDataStore.java: Removed some useless code

2004-08-30 13:05  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  search/lucene/query/LuceneIndex.java,
	  thesaurus/LuceneThesaurus.java, utils/Utilities.java,
	  utils/lucene/LuceneDataStore.java: Code optimization for
	  indexation optimization. Should be faster now

2004-08-26 09:54  larcaini

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl:
	  Optimization by SDX parameter

2004-08-25 18:41  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  search/lucene/query/LuceneIndex.java: Document deletion fix

2004-08-25 18:41  larcaini

	  src/java/fr/gouv/culture/sdx/documentbase/SimpleIDGenerator.java:
	  Licence update

2004-08-25 16:47  larcaini

	  legal/: LICENSE.rdffilter, LICENSE.commons-collections,
	  LICENSE.commons-httpclient, LICENSE.commons-lang,
	  LICENSE.excalibur, LICENSE.jakarta-poi, LICENSE.jcs,
	  LICENSE.jena, LICENSE.jfor, LICENSE.jimi, LICENSE.jing,
	  LICENSE.jisp, LICENSE.jstyle, LICENSE.maybeupload,
	  LICENSE.resolver, LICENSE.rhino, LICENSE.xalan,
	  LICENSE.xml-commons-resolver, LICENSE.xt: Licence update

2004-08-25 16:12  larcaini

	  src/java/fr/gouv/culture/sdx/: user/SuperuserInformation.java,
	  utils/database/MYSQLDatabase.java,
	  utils/database/JDBCDatabase.java,
	  utils/database/JDBCDatabaseConnection.java,
	  utils/logging/LoggingUtils.java: Licence update

2004-08-25 16:09  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  search/lucene/query/CachingRewrittenQueryWrapper.java,
	  search/lucene/query/AbstractResponse.java,
	  search/lucene/query/Query.java,
	  search/lucene/query/ResultDocuments.java,
	  search/lucene/XMLFieldFilter.java, search/Query.java,
	  search/TermHighlighter.java, thesaurus/AbstractThesaurus.java,
	  thesaurus/LuceneConcept.java, thesaurus/LuceneThesaurus.java:
	  Licence update

2004-08-25 16:03  larcaini

	  src/java/fr/gouv/culture/sdx/: oai/DocumentBaseOAIHarvester.java,
	  oai/DocumentBaseOAIRecord.java,
	  oai/DocumentBaseOAIRepository.java,
	  pipeline/AbstractNodeBasedTransformation.java: Licence update

2004-08-25 15:58  larcaini

	  src/java/fr/gouv/culture/: oai/OAIRecord.java,
	  oai/OAIResponseImpl.java,
	  sdx/document/ParsableDocumentSource.java: Licence update

2004-08-25 15:56  larcaini

	  build.xml, src/java/fr/gouv/culture/sdx/framework/Framework.java:
	  Version number change

2004-08-25 15:53  larcaini

	  build.xml: Added sdx-cocoon target (installation over an existing
	  cocoon webapp)

2004-08-25 13:39  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  search/lucene/query/LuceneIndex.java: Indexation bug fix. Need
	  some improvments but it's functionnal

2004-08-25 10:49  msevigny

	  src/documentation/src/xml/fr/reference/parametres_requetes.xml:
	  Tiny correction to XML tagging.

2004-08-25 10:23  msevigny

	  src/documentation/misc/sdx-over-cocoon-en.txt: Infos for
	  installing SDX over Cocoon.

2004-08-25 09:51  msevigny

	  src/documentation/src/xml/fr/reference/parametres_requetes.xml:
	  Informations sur le paramètre boost.

2004-08-25 08:53  msevigny

	  src/documentation/src/xml/: fr/indexation/sortie.xml,
	  fr/configuration/base.xml, schemas/application-xconf.xsd,
	  schemas/sdx-document-indexation.xsd: Travail sur les nouveautes.

2004-08-24 16:02  larcaini

	  lib/core/: commons-logging-1.0.3.jar,
	  commons-collections-3.0.jar: Missing jetty libraries fix

2004-08-24 13:28  larcaini

	  src/webapp/sitemap.xmap, src/webapp/WEB-INF/cocoon.xconf,
	  src/webapp/WEB-INF/logkit.xconf, src/webapp/WEB-INF/web.xml,
	  src/webapp/sdxtest/conf/application.xconf,
	  src/java/fr/gouv/culture/sdx/application/Application.java,
	  create-docs.bat, create-docs.sh, sdx.properties: Webapp
	  configuration files location changes as well as some minor update

2004-08-24 11:20  larcaini

	  build.xml: build update (including the come back to core /
	  optional library structure)

2004-08-24 11:19  larcaini

	  lib/: core/cocoon-asciiart-block.jar,
	  core/cocoon-authentication-fw-block.jar,
	  core/cocoon-batik-block.jar, core/cocoon-jsp-block.jar,
	  core/cocoon-lucene-block.jar, core/cocoon-portal-fw-block.jar,
	  core/cocoon-profiler-block.jar, core/cocoon-scratchpad-block.jar,
	  core/cocoon-session-fw-block.jar, core/cocoon-xsp-block.jar,
	  core/commons-cli-1.0.jar, core/commons-httpclient-2.0-final.jar,
	  core/commons-lang-2.0.jar, core/excalibur-component-1.2.jar,
	  core/excalibur-event-api-1.1.jar,
	  core/excalibur-event-impl-1.1.jar, core/excalibur-i18n-1.1.jar,
	  core/excalibur-instrument-1.0.jar,
	  core/excalibur-instrument-manager-1.0.jar,
	  core/excalibur-instrument-manager-interfaces-1.0.jar,
	  core/excalibur-logger-1.1.jar, core/excalibur-monitor-1.0.2.jar,
	  core/excalibur-store-1.0.jar, core/hsqldb-1.7.1.jar,
	  core/jcs-1.0-dev-20040516.jar, core/logkit-1.2.2.jar,
	  core/pizza-1.1.jar, core/util.concurrent-1.3.3.jar,
	  optional/batik-all-1.5.1.jar, optional/cocoon-deli-block.jar,
	  optional/cocoon-linkrewriter-block.jar,
	  optional/cocoon-naming-block.jar,
	  optional/cocoon-repository-block.jar,
	  optional/cocoon-serializers-block.jar,
	  optional/cocoon-taglib-block.jar,
	  optional/cocoon-webdav-block.jar, optional/chaperon-20040205.jar,
	  optional/cocoon-axis-block.jar, optional/cocoon-bsf-block.jar,
	  optional/cocoon-chaperon-block.jar,
	  optional/cocoon-cron-block.jar,
	  optional/cocoon-databases-block.jar,
	  optional/cocoon-eventcache-block.jar,
	  optional/cocoon-fop-block.jar, optional/cocoon-forms-block.jar,
	  optional/cocoon-hsqldb-block.jar, optional/cocoon-html-block.jar,
	  optional/cocoon-itext-block.jar, optional/cocoon-jfor-block.jar,
	  optional/cocoon-mail-block.jar, optional/cocoon-midi-block.jar,
	  optional/cocoon-php-block.jar, optional/cocoon-poi-block.jar,
	  optional/cocoon-portal-block.jar,
	  optional/cocoon-proxy-block.jar, optional/cocoon-slop-block.jar,
	  optional/cocoon-swf-block.jar,
	  optional/cocoon-velocity-block.jar,
	  optional/cocoon-web3-block.jar, optional/cocoon-xmldb-block.jar,
	  optional/fop-0.20.5.jar, optional/mm.mysql-2.0.11-bin.jar,
	  optional/saxon-6.5.3.jar, optional/velocity-1.4.jar,
	  optional/xmldb-api-20030701.jar: Library structure adjustments

2004-08-24 10:20  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  search/lucene/query/LuceneIndex.java: Added subIndex constructor

2004-08-24 10:06  malo_pichot

	  src/documentation/src/xml/fr/reference/: actions_controle.xml,
	  parametres_requetes.xml: Plus d'information sur le nommage d'un
	  résultat de requête et sa mémorisation.

2004-08-24 09:28  jlecren

	   src/java/fr/gouv/culture/sdx/search/lucene/queryparser/ZeroPositionIncrementTokenQueryParser.jj:
	  sync with DefaultQueryParser

2004-08-24 09:15  malo_pichot

	  src/documentation/src/xml/fr/reference/parametres_requetes.xml:
	  Lien erroné vers sdx:results.

2004-08-23 10:51  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  search/lucene/query/LuceneIndex.java: Index split by document
	  number fix

2004-08-19 18:58  jlecren

	   src/java/fr/gouv/culture/sdx/search/lucene/query/SearchLocations.java:
	  call the toSAX of the index raher than one of the documentbase

2004-08-19 18:05  jlecren

	   src/java/fr/gouv/culture/sdx/search/lucene/queryparser/DefaultQueryParser.jj:
	  the +, -, ?, * can now be at the beginning of the query

2004-08-19 15:53  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  search/lucene/query/LuceneIndex.java: SubIndex change to work
	  with CompoundFiles set to false

2004-08-19 15:24  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  search/lucene/query/LuceneIndex.java,
	  documentbase/LuceneDocumentBase.java: SubIndex improvments

2004-08-19 10:27  larcaini

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  SubIndex directories name convention change

2004-08-19 09:34  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  search/lucene/query/LuceneIndex.java,
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java: Some changes for index
	  splitting to work with autoOptimize=true

2004-08-18 16:07  larcaini

	  src/:
	  java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  java/fr/gouv/culture/sdx/logicsheet/sdx-parameters.xsl,
	  java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java,
	  java/fr/gouv/culture/sdx/search/lucene/query/SearchLocations.java,
	  java/fr/gouv/culture/sdx/utils/lucene/LuceneDataStore.java,
	  java/fr/gouv/culture/sdx/utils/Utilities.java,
	  webapp/sdxtest/conf/application.xconf: Index spliter now fully
	  functionnal even after index optimization (!) Search / Read
	  interfaces now use documentbase instead of index (multiple
	  indexes per docbase) All of this only tested with Compound File
	  set to true. Enjoy

2004-08-18 14:27  jlecren

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl: give the
	  result a manager

2004-08-18 11:01  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  search/lucene/query/LuceneIndex.java: Optimization fixes for
	  splitted indexes, and temp index renamed to current

2004-08-17 18:19  jlecren

	  src/java/fr/gouv/culture/sdx/search/lucene/query/Results.java:
	  add the name attribute to the xml field result

2004-08-17 17:59  jlecren

	  src/java/fr/gouv/culture/sdx/utils/constants/Node.java: add the
	  FRAGMENT constant name

2004-08-17 17:59  jlecren

	  src/java/fr/gouv/culture/sdx/search/lucene/Field.java: handle the
	  xml fields. It has the same properties as the unindexed field

2004-08-17 17:54  jlecren

	  src/java/fr/gouv/culture/sdx/:
	  document/AbstractIndexableDocument.java,
	  search/lucene/query/LinearQuery.java,
	  search/lucene/query/Results.java: handle the xml fields

2004-08-17 17:53  jlecren

	  src/java/fr/gouv/culture/sdx/: documentbase/SDXDocumentBase.java,
	  document/IndexableDocument.java: give the xml field list and a
	  transformer to analyse them to each IndexableDocument

2004-08-17 16:44  jlecren

	  src/java/fr/gouv/culture/sdx/search/lucene/Field.java: add the
	  XML field

2004-08-17 16:40  jlecren

	  src/java/fr/gouv/culture/sdx/search/lucene/XMLFieldFilter.java:
	  filter for the xml field value

2004-08-17 16:35  larcaini

	  src/webapp/sdxtest/conf/application.xconf: autoOptimize set to
	  true..

2004-08-17 16:24  larcaini

	  src/: webapp/sdxtest/conf/application.xconf,
	  java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java,
	  java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  Finished adding index spliting capabilities (see
	  application.xconf).  Working but useless at the moment, because
	  MultiSearcher need to be implemented to search in sub-indexes.

2004-08-17 15:04  larcaini

	  src/java/fr/gouv/culture/sdx/thesaurus/LuceneThesaurus.java:
	  Adding split index capabilities. Do NOT use it yet, still need
	  work.

2004-08-17 14:53  jlecren

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  add the _xmlFieldlist and its getter

2004-08-17 14:38  larcaini

	  src/java/fr/gouv/culture/sdx/documentbase/:
	  LuceneDocumentBase.java, SDXDocumentBase.java: Adding split index
	  capabilities. Do NOT use it yet, still need work.

2004-08-17 14:34  larcaini

	  src/java/fr/gouv/culture/sdx/: utils/lucene/LuceneDataStore.java,
	  search/lucene/query/LuceneIndex.java: Adding split index
	  capabilities. Do NOT use it yet, still need work.

2004-08-16 17:36  larcaini

	  src/java/fr/gouv/culture/sdx/utils/Utilities.java: added a
	  copyFile method (related to index splitting)

2004-08-16 11:26  larcaini

	   src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java:
	  Replaced RAMDirectory with FSDirectory for tempBatch (still
	  require optimization to be searchable at the moment)

2004-08-16 11:25  larcaini

	  src/java/fr/gouv/culture/sdx/documentbase/:
	  AbstractDocumentBase.java, SDXDocumentBase.java: Index split
	  configuration revised

2004-08-16 11:25  larcaini

	  src/webapp/sdxtest/conf/application.xconf: Split configuration
	  example added

2004-08-12 17:50  larcaini

	  lib/core/lucene-1.5-rc1-sdx.jar: Back to non-patched Lucene.
	  Added backup system for RAMDirectory, cron optimization, some
	  refactorisation, more data in exploration interface.	Added some
	  empty method for future functionnalities, and implemented split
	  index configuration

2004-08-12 16:00  larcaini

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  Back to non-patched Lucene.  Added backup system for
	  RAMDirectory, cron optimization, some refactorisation, more data
	  in exploration interface.  Added some empty method for future
	  functionnalities, and implemented split index configuration

2004-08-12 15:55  larcaini

	  src/java/fr/gouv/culture/sdx/documentbase/:
	  AbstractDocumentBase.java, SDXDocumentBaseTarget.java,
	  LuceneDocumentBase.java, DocumentBase.java: Back to non-patched
	  Lucene.  Added backup system for RAMDirectory, cron optimization,
	  some refactorisation, more data in exploration interface.  Added
	  some empty method for future functionnalities, and implemented
	  split index configuration

2004-08-12 15:51  larcaini

	  src/java/fr/gouv/culture/sdx/: utils/lucene/LuceneDataStore.java,
	  search/lucene/query/LuceneIndex.java, logicsheet/sdx.xsl,
	  logicsheet/sdx-actions.xsl: Back to non-patched Lucene.  Added
	  backup system for RAMDirectory, cron optimization, some
	  refactorisation, more data in exploration interface.	Added some
	  empty method for future functionnalities, and implemented split
	  index configuration

2004-08-12 15:48  larcaini

	  lib/core/lucene-1.4-final.jar,
	  src/webapp/sdxtest/conf/application.xconf,
	  src/webapp/sdx/resources/css/explore.css,
	  src/webapp/sdx/admin/explorer.xsp,
	  src/webapp/sdx/admin/xsl/explorer.xsl,
	  src/java/fr/gouv/culture/sdx/application/Application.java: Back
	  to non-patched Lucene.  Added backup system for RAMDirectory,
	  cron optimization, some refactorisation, more data in exploration
	  interface.  Added some empty method for future functionnalities,
	  and implemented split index configuration

2004-08-12 09:57  jlecren

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl: load the
	  default value for maxsort

2004-08-12 09:57  jlecren

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-parameters.xsl: load
	  the default value for hpp

2004-08-11 15:54  jlecren

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  add the MaxSort property

2004-08-11 11:45  jlecren

	  src/java/fr/gouv/culture/sdx/search/lucene/query/:
	  AbstractQuery.java, ComplexQuery.java, Query.java: resolve a
	  boost issue with the ListQueries

2004-08-11 11:43  jlecren

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/AbstractDocumentBase.java,
	  documentbase/DocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  search/lucene/query/SortSpecification.java: add the MaxSort
	  property

2004-08-09 17:51  jlecren

	   src/java/fr/gouv/culture/sdx/search/lucene/query/SortSpecification.java:
	  add the getMaxSort and setMaxSort functions

2004-08-09 17:50  jlecren

	   src/java/fr/gouv/culture/sdx/search/lucene/query/AbstractQuery.java:
	  avoid a negative value for the boost

2004-08-09 17:46  jlecren

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl: add the
	  maxsort parameter and correct the multiple sort

2004-08-09 16:30  larcaini

	  lib/core/lucene-1.4-final.jar: Removed old lucene jar (the
	  non-patched one : 1.4-final)

2004-08-09 16:29  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  search/lucene/query/LuceneIndex.java: Manual / auto optimization
	  is now mainly working.  It needs the patched lucene jar to work.
	  The code will need optimization and a few fixes on doc deletion
	  (seems to work but return a few error messages)

2004-08-09 16:27  larcaini

	  lib/core/lucene-1.5-rc1-sdx.jar: Latest version of Lucene JAR
	  (1.5-rc1), patched for SDX (see IndexWriter)

2004-08-09 11:15  jlecren

	   src/java/fr/gouv/culture/sdx/search/lucene/query/SortSpecification.java:
	  correction on the comparison of dates

2004-08-09 09:49  larcaini

	   src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java:
	  Minor update

2004-08-09 09:49  larcaini

	  src/java/fr/gouv/culture/sdx/documentbase/:
	  LuceneDocumentBase.java, SDXDocumentBase.java: Refactoring

2004-08-05 17:25  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  search/lucene/query/LuceneIndex.java: fixes

2004-08-05 16:14  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  search/lucene/query/LuceneIndex.java: Some more stuff for
	  optimization, still need some work though.

2004-08-05 15:12  larcaini

	   src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java:
	  Removed optimization part in merge batch

2004-08-05 13:56  larcaini

	  src/java/fr/gouv/culture/sdx/documentbase/:
	  LuceneDocumentBase.java, SDXDocumentBase.java: AutoOptimize
	  should now be taken into account with the indexation process.
	  Also refactored some code.

2004-08-05 13:51  mdelperier

	  src/java/fr/gouv/culture/sdx/utils/Utilities.java: enable
	  attachedDocuments for url : http://...

2004-08-05 13:35  larcaini

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl:
	  Completed and fixed optimization sent by parameters

2004-08-05 12:20  larcaini

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl:
	  DocumentBase optimization via parameter should work now

2004-08-05 12:14  larcaini

	  src/webapp/sdx/resources/css/explore.css: Some nicer display
	  stuff

2004-08-05 11:51  larcaini

	  src/webapp/sdx/admin/: explorer.xsp, xsl/explorer.xsl: Now
	  allowing global application optimization

2004-08-05 11:44  larcaini

	  src/java/fr/gouv/culture/sdx/application/Application.java: Added
	  some optimization method at the application level

2004-08-05 10:38  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  utils/lucene/LuceneDataStore.java: refactoring

2004-08-05 10:36  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Added optimization
	  informations (documentbase and index)

2004-08-05 10:22  larcaini

	  src/java/fr/gouv/culture/sdx/utils/Utilities.java: Fix : Document
	  upload via url.

2004-08-05 10:15  larcaini

	  src/webapp/sdxtest/conf/application.xconf: Added optionnal
	  autoOptimize configuration attribute for documentbase to keep a
	  verbose configuration file

2004-08-05 10:14  larcaini

	  src/java/fr/gouv/culture/sdx/documentbase/:
	  AbstractDocumentBase.java, LuceneDocumentBase.java,
	  SDXDocumentBase.java: More stuff for documentbase's optimization,
	  including a few toSax events

2004-08-05 09:40  larcaini

	  src/java/fr/gouv/culture/sdx/documentbase/:
	  AbstractDocumentBase.java, DocumentBase.java,
	  LuceneDocumentBase.java: Started implementation of manual
	  documentbase optimization

2004-08-05 09:37  larcaini

	  src/webapp/sdx/: admin/explorer.xsp, admin/xsl/explorer.xsl,
	  resources/css/explore.css: Finalized implementation of manual
	  documentbase optimization in exploration interface + fixed index
	  display

2004-08-05 09:18  jlecren

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  remove the index's id value from initToSAX

2004-08-05 08:52  jlecren

	  src/java/fr/gouv/culture/sdx/utils/lucene/LuceneDataStore.java:
	  add a dummy initToSAX

2004-08-05 08:51  jlecren

	   src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java:
	  remove initToSAX

2004-08-05 08:50  jlecren

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  add index information in initToSAX

2004-08-05 08:44  larcaini

	  src/webapp/sdx/admin/: explorer.xsp, xsl/explorer.xsl:
	  Implementation of manual documentbase optimization in exploration
	  interface

2004-08-04 10:23  larcaini

	  src/webapp/sdxtest/upload.xsp: Removal of the sdx:debug here

2004-08-04 09:43  larcaini

	  src/java/fr/gouv/culture/sdx/framework/Framework.java, build.xml:
	  Version number change : preview release 1

2004-08-04 09:42  larcaini

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl:
	  DateInterval search : null pointer exception fix

2004-08-04 09:33  jlecren

	   src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java:
	  uncomment the old toSAX method

2004-08-04 09:22  jlecren

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-pipelines.xsl:
	  contextualualize the pipeline

2004-08-03 15:47  larcaini

	  src/java/fr/gouv/culture/sdx/utils/Utilities.java: Missing slash
	  in path fixed

2004-08-03 15:34  larcaini

	  src/webapp/sdxtest/documents/zip/documents.zip: Corrupted data
	  fixed

2004-08-03 15:16  larcaini

	  src/webapp/sdxtest/upload.xsp: Path fix

2004-08-03 15:15  larcaini

	  src/java/fr/gouv/culture/sdx/utils/Utilities.java: Added relative
	  path managment for resolveFile.  (ContextException still can
	  happen though)

2004-08-03 15:09  jlecren

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  oai/OAIError.java, oai/OAIObject.java, oai/OAIRepository.java,
	  oai/OAIRequest.java, oai/OAIRequestImpl.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java: change improper
	  _identifier param to identifier param

2004-08-03 09:23  larcaini

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  Major bug fix.  TODO: find a better way to handle it

2004-08-02 18:30  jlecren

	  src/java/fr/gouv/culture/oai/OAIComponent.java: implement the
	  component interface

2004-08-02 18:24  jlecren

	  src/webapp/sdx/oai/: harvest.xsp, oai.xsp: change
	  ComponentManager to ServiceManager

2004-08-02 17:45  jlecren

	  src/webapp/sdx/oai/oai.xsp: change ComponentManager to
	  ServiceManager

2004-08-02 15:59  jlecren

	  src/java/fr/gouv/culture/sdx/oai/BasicOAIMetadataFormat.java: a
	  second _context commented

2004-08-02 09:58  larcaini

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  sdx/search/lucene/query/AbstractQuery.java: Minor update

2004-07-28 10:15  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Minor update

2004-07-26 12:25  jlecren

	  src/java/fr/gouv/culture/sdx/pipeline/: AbstractPipeline.java,
	  AbstractTransformation.java: comment the parameters in initToSax

2004-07-26 09:30  jlecren

	  src/java/fr/gouv/culture/sdx/pipeline/AbstractPipeline.java:
	  uncomment toSAX

2004-07-26 08:52  larcaini

	  sdx.properties: Minor fix

2004-07-22 21:17  msevigny

	  src/java/fr/gouv/culture/: oai/OAIComponentImpl.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/framework/FrameworkImpl.java,
	  sdx/pipeline/AbstractPipeline.java,
	  sdx/pipeline/XSLTTransformation.java,
	  sdx/repository/AbstractDatabaseBackedRepository.java,
	  sdx/repository/URLRepository.java,
	  sdx/search/lucene/query/LuceneIndex.java,
	  sdx/sitemap/AdminAction.java, sdx/sitemap/DocumentReader.java,
	  sdx/sitemap/SuperuserAction.java,
	  sdx/thesaurus/LuceneThesaurus.java,
	  sdx/utils/lucene/LuceneDataStore.java: Minor modifications for
	  removing unused imports.

2004-07-22 21:16  msevigny

	  .cvsignore: Ignore the output folder.

2004-07-22 17:42  jlecren

	  src/java/fr/gouv/culture/sdx/pipeline/AbstractPipeline.java:
	  comment pipeline initToSax code

2004-07-22 14:24  jlecren

	  src/java/fr/gouv/culture/sdx/search/lucene/FieldList.java: add
	  analyzer_conf and analyzer_class in private members

2004-07-22 14:18  jlecren

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  add the QueryParser to the initToSax

2004-07-22 14:12  jlecren

	   src/java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java:
	  add the IDGenerator to the initToSax

2004-07-22 12:58  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Minor fix

2004-07-22 10:54  larcaini

	  src/java/fr/gouv/culture/sdx/utils/lucene/LuceneDataField.java:
	  Implementation of termVector : changed Lucene fields constructors
	  calls

2004-07-22 10:47  larcaini

	  src/java/fr/gouv/culture/sdx/search/lucene/Field.java:
	  Implementation of termVector : changed Lucene fields constructors
	  calls

2004-07-22 10:22  jlecren

	   src/java/fr/gouv/culture/sdx/search/lucene/query/AbstractQuery.java:
	  bug in the setBoost(string) method fixed

2004-07-22 09:28  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Now display TermVector too

2004-07-22 09:28  larcaini

	  src/webapp/sdx/resources/css/explore.css: Adjustments in view of
	  the recents changes in exploration interface

2004-07-22 09:20  larcaini

	  src/java/fr/gouv/culture/sdx/search/lucene/Field.java:
	  Implementation of termVector

2004-07-22 08:06  larcaini

	  src/webapp/sdx/resources/css/explore.css: Added a few highlights
	  for specific values

2004-07-22 08:06  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Some more infos displayed

2004-07-22 08:05  larcaini

	  src/webapp/sdx/admin/xsl/messages.es: Encoding fix

2004-07-21 15:05  jlecren

	   src/java/fr/gouv/culture/sdx/pipeline/AbstractTransformation.java:
	  implements the initVolatileObjectsToSax method

2004-07-21 15:04  jlecren

	  src/java/fr/gouv/culture/sdx/utils/xml/AbstractSdxXMLPipe.java:
	  calls initVolatileObjectsToSax() in toSAX

2004-07-21 15:02  jlecren

	  src/java/fr/gouv/culture/sdx/: utils/xml/AbstractSdxXMLPipe.java,
	  pipeline/AbstractPipeline.java: implements the
	  initVolatileObjectsToSax method

2004-07-21 14:45  jlecren

	  src/java/fr/gouv/culture/sdx/repository/HSQLRepository.java:
	  implements the initToSax method

2004-07-21 14:26  jlecren

	  src/java/fr/gouv/culture/sdx/repository/URLRepository.java:
	  implements the initVolatileObjectsToSax method

2004-07-21 14:25  jlecren

	  src/java/fr/gouv/culture/sdx/repository/: ORACLERepository.java,
	  POSTGRESQLRepository.java: removes the initToSax method

2004-07-21 14:22  jlecren

	  src/java/fr/gouv/culture/sdx/repository/:
	  AbstractDatabaseBackedRepository.java, FSRepository.java,
	  HSQLRepository.java, JDBCRepository.java, MYSQLRepository.java:
	  implements the initToSax method

2004-07-21 14:04  jlecren

	  src/java/fr/gouv/culture/sdx/repository/FSRepository.java:
	  implements the initToSax method

2004-07-21 13:07  jlecren

	  src/java/fr/gouv/culture/sdx/application/Application.java:
	  useless UserInformation and UserDatabase  in initToSax

2004-07-21 11:25  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Some more data displayed
	  to catch up with the toSAX

2004-07-21 10:50  larcaini

	   src/java/fr/gouv/culture/sdx/repository/AbstractDatabaseBackedRepository.java:
	  Minor fix

2004-07-21 10:13  jlecren

	   src/java/fr/gouv/culture/sdx/repository/AbstractDatabaseBackedRepository.java:
	  correction

2004-07-21 10:01  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Some more data displayed
	  to catch up with the toSAX

2004-07-21 09:41  jlecren

	  src/java/fr/gouv/culture/sdx/: documentbase/SDXDocumentBase.java,
	  documentbase/AbstractIDGenerator.java,
	  documentbase/DefaultIDGenerator.java,
	  documentbase/IndexParameters.java,
	  documentbase/SimpleIDGenerator.java,
	  application/Application.java, document/AbstractDocument.java,
	  document/BinaryDocument.java, document/HTMLDocument.java,
	  document/XMLDocument.java,
	  documentbase/AbstractDocumentBase.java,
	  framework/FrameworkImpl.java,
	  repository/AbstractDatabaseBackedRepository.java,
	  repository/AbstractRepositoryConnection.java,
	  repository/FSRepository.java, repository/JDBCRepository.java,
	  repository/JDBCRepositoryConnection.java,
	  repository/LuceneRepositoryConnection.java,
	  repository/URLRepository.java, search/lucene/Field.java,
	  search/lucene/FieldList.java,
	  search/lucene/analysis/AnalyzerManager.java,
	  search/lucene/query/AbstractQuery.java,
	  search/lucene/query/AbstractResponse.java,
	  search/lucene/query/ComplexQuery.java,
	  search/lucene/query/DateIntervalQuery.java,
	  search/lucene/query/ExactFieldQuery.java,
	  search/lucene/query/FieldQuery.java,
	  search/lucene/query/LinearQuery.java,
	  search/lucene/query/LuceneIndex.java,
	  search/lucene/query/ResultDocument.java,
	  search/lucene/query/ResultDocuments.java,
	  search/lucene/query/Results.java,
	  search/lucene/query/SearchLocations.java,
	  search/lucene/query/SimpleQuery.java,
	  search/lucene/query/SortSpecification.java,
	  search/lucene/query/TermInfo.java,
	  search/lucene/query/Terms.java,
	  thesaurus/LuceneQueryExpander.java,
	  thesaurus/LuceneThesaurus.java, user/UserDatabase.java,
	  user/UserInformation.java, utils/AbstractSdxObject.java,
	  utils/database/AbstractDatabase.java,
	  utils/database/DatabaseBacked.java,
	  utils/database/HSQLDatabase.java,
	  utils/database/JDBCDatabase.java, utils/database/Property.java,
	  utils/database/SQLDatabaseConnection.java,
	  utils/lucene/LuceneData.java, utils/lucene/LuceneDataStore.java,
	  utils/rdbms/JDBC.java, utils/rdbms/hsql/HSQLDB.java: implements
	  the initVolatileObjectsToSax method

2004-07-21 09:38  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Some more data displayed
	  to catch up with the toSAX

2004-07-21 09:30  jlecren

	   src/java/fr/gouv/culture/sdx/search/lucene/analysis/AbstractAnalyzer.java:
	  correction

2004-07-21 08:37  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Some more data displayed
	  to catch up with the toSAX

2004-07-21 08:36  larcaini

	  build.xml: Recommanded build set as the default webapp

2004-07-20 13:44  jlecren

	   src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java:
	  implements the initToSax method

2004-07-20 13:38  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Some more data displayed
	  to catch up with the toSAX

2004-07-20 13:12  jlecren

	  src/java/fr/gouv/culture/sdx/utils/: database/JDBCDatabase.java,
	  lucene/LuceneDataStore.java: implements the initToSax method

2004-07-20 13:08  jlecren

	  src/java/fr/gouv/culture/sdx/: repository/FSRepository.java,
	  repository/JDBCRepository.java,
	  search/lucene/query/LuceneIndex.java,
	  thesaurus/LuceneThesaurus.java, utils/database/HSQLDatabase.java:
	  implements the initToSax method

2004-07-20 12:19  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Some more data displayed
	  to catch up with the toSAX

2004-07-20 12:01  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Some more data displayed
	  to catch up with the toSAX

2004-07-20 11:22  larcaini

	  src/webapp/sdx/admin/xsl/: explorer.xsl, messages.es,
	  messages.pt: Full internationalization support for english,
	  french, spanish and portuguese

2004-07-20 10:23  jlecren

	  src/java/fr/gouv/culture/sdx/:
	  search/lucene/query/LuceneIndex.java,
	  thesaurus/LuceneThesaurus.java: implements the initToSax method

2004-07-20 09:50  larcaini

	  src/java/fr/gouv/culture/sdx/repository/JDBCRepository.java:
	  temporary fix

2004-07-20 09:28  jlecren

	  src/java/fr/gouv/culture/sdx/thesaurus/LuceneThesaurus.java:
	  correction

2004-07-20 09:22  jlecren

	  src/java/fr/gouv/culture/sdx/repository/JDBCRepository.java:
	  correction

2004-07-20 09:17  jlecren

	   src/java/fr/gouv/culture/sdx/repository/AbstractDatabaseBackedRepository.java:
	  correction

2004-07-20 08:32  jlecren

	  src/java/fr/gouv/culture/sdx/application/Application.java:
	  correction

2004-07-20 08:29  larcaini

	  src/webapp/sdx/: admin/explorer.xsp, admin/xsl/explorer.xsl,
	  resources/css/explore.css, resources/css/sdx.css: Improvements of
	  exploration interface : separate css and minor fixes

2004-07-19 18:07  jlecren

	  src/java/fr/gouv/culture/sdx/:
	  repository/AbstractDatabaseBackedRepository.java,
	  repository/HSQLRepository.java, repository/JDBCRepository.java,
	  repository/MYSQLRepository.java,
	  repository/ORACLERepository.java,
	  repository/POSTGRESQLRepository.java,
	  thesaurus/LuceneThesaurus.java, utils/database/HSQLDatabase.java,
	  utils/database/JDBCDatabase.java,
	  utils/database/MYSQLDatabase.java, application/Application.java,
	  documentbase/AbstractDocumentBase.java,
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java, user/UserDatabase.java,
	  utils/AbstractSdxObject.java: implements the initToSax method

2004-07-19 17:42  larcaini

	  src/webapp/sdx/admin/xsl/: explorer.xsl, messages.en: Improvments
	  of exploration interface : internationalization

2004-07-19 15:14  larcaini

	  src/webapp/sdx/: admin/xsl/explorer.xsl, resources/css/sdx.css:
	  Improvments of exploration interface

2004-07-19 15:12  larcaini

	  src/: java/fr/gouv/culture/sdx/application/Application.java,
	  java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java,
	  java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java,
	  java/fr/gouv/culture/sdx/utils/database/DatabaseBacked.java,
	  java/fr/gouv/culture/sdx/utils/lucene/LuceneDataStore.java,
	  java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java,
	  webapp/sdxtest/conf/application.xconf: Compound Files format fix

2004-07-19 13:09  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Improvments of exploration
	  interface

2004-07-19 12:55  larcaini

	  src/webapp/sdx/resources/css/sdx.css: Improvments of exploration
	  interface

2004-07-19 10:32  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Improvments of exploration
	  interface

2004-07-19 10:21  jlecren

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  search/lucene/query/LuceneIndex.java,
	  utils/database/DatabaseBacked.java,
	  utils/lucene/LuceneDataStore.java, application/Application.java,
	  documentbase/AbstractDocumentBase.java, search/lucene/Field.java,
	  user/UserDatabase.java: implements the initToSax method

2004-07-16 16:42  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Some stuff for the
	  recommanded build, and improvments of exploration interface

2004-07-16 16:17  jlecren

	  src/java/fr/gouv/culture/sdx/application/Application.java:
	  underscore ant slashes correction

2004-07-16 16:12  jlecren

	  src/java/fr/gouv/culture/sdx/utils/:
	  database/LuceneDatabase.java, lucene/LuceneDataStore.java:
	  correction

2004-07-16 16:08  jlecren

	  src/java/fr/gouv/culture/sdx/utils/database/HSQLDatabase.java:
	  correction

2004-07-16 15:44  jlecren

	  src/java/fr/gouv/culture/sdx/: pipeline/AbstractPipeline.java,
	  pipeline/AbstractTransformation.java,
	  pipeline/DeleteResultsTransformation.java,
	  pipeline/XSLTTransformation.java,
	  pipeline/FieldExpansionTransformation.java,
	  pipeline/GetDocumentsTransformation.java,
	  search/lucene/analysis/Analyzer_cn.java,
	  search/lucene/analysis/Analyzer_cz.java,
	  search/lucene/analysis/Analyzer_de.java,
	  search/lucene/analysis/Analyzer_en.java,
	  search/lucene/analysis/AbstractAnalyzer.java,
	  search/lucene/analysis/Analyzer_br.java,
	  search/lucene/analysis/Analyzer_ru.java,
	  search/lucene/analysis/DefaultAnalyzer.java,
	  search/lucene/analysis/Glosser_ar_en.java,
	  search/lucene/analysis/MetaAnalyzer.java,
	  search/lucene/analysis/Analyzer_fr.java,
	  search/lucene/analysis/Analyzer_ar.java,
	  user/GroupInformationInserter.java, user/UserDatabase.java,
	  user/UserInformation.java, documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  documentbase/AbstractDocumentBase.java,
	  repository/FSRepository.java,
	  repository/AbstractDatabaseBackedRepository.java,
	  repository/URLRepository.java, utils/database/HSQLDatabase.java,
	  utils/database/DatabaseBacked.java,
	  utils/database/LuceneDatabase.java, logicsheet/sdx-queries.xsl,
	  search/lucene/FieldList.java, search/lucene/Field.java,
	  application/Application.java,
	  sitemap/transformers/NodeCounter.java,
	  utils/AbstractSdxObject.java, utils/rdbms/hsql/HSQLDB.java:
	  implements the initToSax method

2004-07-16 15:31  larcaini

	  build.xml, src/webapp/sdx/sitemap.xmap,
	  src/webapp/sdx/admin/xsl/explorer.xsl,
	  src/webapp/sdx/resources/css/sdx.css: Some stuff for the
	  recommanded build, and improvments of exploration interface

2004-07-15 09:15  jlecren

	  src/java/fr/gouv/culture/sdx/search/lucene/query/:
	  AbstractQuery.java, Query.java: add the setBoost methods

2004-07-13 08:45  malo_pichot

	  src/documentation/src/xml/fr/reference/:
	  actions_alphabetique.xml, actions_amender.xml: Mauvaise
	  correspondance de terme.

2004-07-12 12:43  malo_pichot

	  src/documentation/src/xml/fr/: layout.xml, recherche/intro.xml,
	  recherche/thesaurus.xml, reference/actions_recherche.xml,
	  reference/actions_thesaurus.xml, reference/intro.xml:
	  Refactorisation de la section sur sdx:thesaurus.  Ajout d'une
	  section sur l'utilisation de thesauri dans la section de
	  recherche.

2004-07-12 12:10  jlecren

	  src/java/fr/gouv/culture/sdx/repository/: FSRepository.java,
	  URLRepository.java: implements the initToSax method

2004-07-12 11:47  malo_pichot

	  src/documentation/src/xml/fr/reference/: actions_requetes.xml,
	  actions_thesaurus.xml: Correction de liens morts vers
	  sdx:expandQuery

2004-07-12 10:53  larcaini

	  lib/core/: cocoon-2.1.5.jar, lucene-1.4-rc4-dev-2004-05-20.jar:
	  Really minor librairie update

2004-07-12 10:44  larcaini

	  lib/core/cocoon-2.1.5.1.jar: Really minor librairie update

2004-07-09 12:13  larcaini

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  utils/lucene/LuceneDataStore.java: Added a default value for
	  compound files usage

2004-07-08 14:08  jlecren

	  src/java/fr/gouv/culture/sdx/utils/lucene/LuceneDataStore.java:
	  implement initToSax method

2004-07-08 12:55  jlecren

	  src/java/fr/gouv/culture/sdx/utils/database/LuceneDatabase.java:
	  implement initToSax method

2004-07-08 12:21  larcaini

	  src/: webapp/sdxtest/conf/application.xconf,
	  java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java,
	  java/fr/gouv/culture/sdx/utils/lucene/LuceneDataStore.java,
	  java/fr/gouv/culture/sdx/application/Application.java: Parameter
	  added for compound files usage (see application.xconf)

2004-07-07 15:30  larcaini

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  Some toSAX infos to display

2004-07-07 14:20  larcaini

	   src/java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java:
	  Some toSAX infos to display

2004-07-07 14:16  larcaini

	  src/java/fr/gouv/culture/sdx/: user/UserInformation.java,
	  utils/database/DatabaseBacked.java: Some toSAX infos to display

2004-07-07 13:00  jlecren

	  src/java/fr/gouv/culture/sdx/search/lucene/: Field.java,
	  FieldList.java: implement initToSax method

2004-07-07 12:55  jlecren

	   src/java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java:
	  implement initToSax method : add the "locale" attribute

2004-07-07 12:24  larcaini

	  src/java/fr/gouv/culture/sdx/utils/database/DatabaseBacked.java:
	  Some toSAX infos to display

2004-07-07 12:12  jlecren

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  implement initToSax method

2004-07-07 12:07  larcaini

	  src/java/fr/gouv/culture/sdx/application/Application.java: Some
	  toSAX infos to display

2004-07-07 11:59  jlecren

	   src/java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java:
	  implement initToSax method

2004-07-07 11:36  larcaini

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  Some toSAX infos to display

2004-07-07 10:51  jlecren

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  implement the initToSax method

2004-07-07 10:27  larcaini

	  src/java/fr/gouv/culture/sdx/: user/UserInformation.java,
	  application/Application.java: Some toSAX infos to display

2004-07-07 10:13  jlecren

	  src/java/fr/gouv/culture/sdx/documentbase/:
	  AbstractDocumentBase.java: remove the toSAX method

2004-07-06 16:24  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  utils/database/DatabaseBacked.java, application/Application.java:
	  Some toSAX infos to display

2004-07-06 14:44  larcaini

	  src/java/fr/gouv/culture/sdx/application/Application.java: Some
	  toSAX infos to display

2004-07-06 14:18  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Basic working toSAX
	  display

2004-07-06 13:56  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Basic working toSAX
	  display

2004-07-05 16:43  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Basic working toSAX
	  display

2004-07-05 16:23  jlecren

	  src/java/fr/gouv/culture/sdx/application/Application.java:
	  Application's iniiToSAX initialization (test)

2004-07-05 16:18  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: Improved ToSAX display
	  method

2004-07-05 15:38  larcaini

	  src/webapp/sdx/admin/xsl/explorer.xsl: toSAX display

2004-07-05 14:19  larcaini

	  src/webapp/sdx/admin/explorer.xsp: Minor fix

2004-07-05 12:33  larcaini

	   src/java/fr/gouv/culture/sdx/search/lucene/query/LinearQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/Results.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/SimpleQuery.java,
	  src/java/fr/gouv/culture/sdx/document/BinaryDocument.java,
	  src/java/fr/gouv/culture/sdx/documentbase/DefaultIDGenerator.java,
	  src/java/fr/gouv/culture/sdx/documentbase/IndexParameters.java,
	  src/java/fr/gouv/culture/sdx/documentbase/SimpleIDGenerator.java,
	  src/java/fr/gouv/culture/sdx/framework/FrameworkImpl.java,
	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl,
	  src/java/fr/gouv/culture/sdx/pipeline/AbstractPipeline.java,
	  src/java/fr/gouv/culture/sdx/pipeline/AbstractTransformation.java,
	  src/java/fr/gouv/culture/sdx/repository/JDBCRepository.java,
	  src/java/fr/gouv/culture/sdx/repository/JDBCRepositoryConnection.java,
	  src/java/fr/gouv/culture/sdx/repository/LuceneRepositoryConnection.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/Field.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/FieldList.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/ComplexQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/DateIntervalQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/ExactFieldQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/FieldQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/ResultDocument.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/ResultDocuments.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/SearchLocations.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/SortSpecification.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/TermInfo.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/Terms.java,
	  src/java/fr/gouv/culture/sdx/user/UserInformation.java,
	  src/java/fr/gouv/culture/sdx/utils/rdbms/hsql/HSQLDB.java,
	  lib/core/lucene-1.4-final.jar,
	  src/java/fr/gouv/culture/sdx/application/Application.java,
	  src/java/fr/gouv/culture/sdx/document/HTMLDocument.java,
	  src/java/fr/gouv/culture/sdx/document/XMLDocument.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/AnalyzerManager.java,
	  src/java/fr/gouv/culture/sdx/thesaurus/LuceneQueryExpander.java,
	  src/java/fr/gouv/culture/sdx/utils/AbstractSdxObject.java,
	  src/java/fr/gouv/culture/sdx/utils/database/DatabaseBacked.java,
	  src/java/fr/gouv/culture/sdx/utils/database/HSQLDatabase.java,
	  src/java/fr/gouv/culture/sdx/utils/database/JDBCDatabase.java,
	  src/java/fr/gouv/culture/sdx/utils/database/LuceneDatabase.java,
	  src/java/fr/gouv/culture/sdx/utils/database/Property.java,
	  src/java/fr/gouv/culture/sdx/utils/database/SQLDatabaseConnection.java,
	  src/java/fr/gouv/culture/sdx/utils/lucene/LuceneData.java,
	  src/java/fr/gouv/culture/sdx/utils/xml/AbstractSdxXMLPipe.java,
	  src/webapp/sdx/admin/explorer.xsp,
	  src/webapp/sdx/admin/xsl/explorer.xsl: Update for Lucene 1.4
	  final and some toSAX adjustments

2004-07-02 16:03  jlecren

	  src/java/fr/gouv/culture/sdx/:
	  search/lucene/query/LinearQuery.java,
	  search/lucene/query/Terms.java, search/lucene/query/Results.java,
	  search/lucene/query/DateIntervalQuery.java,
	  search/lucene/query/SearchLocations.java,
	  search/lucene/query/SimpleQuery.java,
	  search/lucene/query/TermInfo.java,
	  search/lucene/query/SortSpecification.java,
	  search/lucene/query/ComplexQuery.java,
	  search/lucene/query/FieldQuery.java,
	  search/lucene/query/ResultDocument.java,
	  search/lucene/query/ResultDocuments.java,
	  search/lucene/query/ExactFieldQuery.java,
	  search/lucene/query/LuceneIndex.java, document/XMLDocument.java,
	  document/BinaryDocument.java, document/HTMLDocument.java,
	  search/lucene/analysis/AnalyzerManager.java,
	  utils/database/JDBCDatabase.java,
	  utils/database/DatabaseBacked.java, utils/database/Property.java,
	  utils/database/SQLDatabaseConnection.java,
	  utils/database/HSQLDatabase.java,
	  utils/database/LuceneDatabase.java, utils/lucene/LuceneData.java,
	  pipeline/AbstractTransformation.java,
	  pipeline/AbstractPipeline.java, search/lucene/FieldList.java,
	  documentbase/SimpleIDGenerator.java, search/lucene/Field.java,
	  documentbase/DefaultIDGenerator.java,
	  documentbase/IndexParameters.java, utils/AbstractSdxObject.java,
	  utils/xml/AbstractSdxXMLPipe.java, utils/rdbms/hsql/HSQLDB.java,
	  repository/JDBCRepositoryConnection.java,
	  repository/LuceneRepositoryConnection.java,
	  repository/JDBCRepository.java, framework/FrameworkImpl.java,
	  user/UserInformation.java, thesaurus/LuceneQueryExpander.java,
	  application/Application.java: add the initToSax() method

2004-07-02 14:18  rpandey

	  src/java/fr/gouv/culture/sdx/: utils/AbstractSdxObject.java,
	  search/lucene/Field.java, utils/xml/AbstractSdxXMLPipe.java:
	  updated toSAX infrastructure

2004-06-30 16:51  larcaini

	  src/: webapp/sdx/admin/bases.xsp,
	  webapp/sdx/admin/xsl/explorer.xsl,
	  webapp/sdx/admin/xsl/messages.fr,
	  java/fr/gouv/culture/sdx/application/Application.java,
	  java/fr/gouv/culture/sdx/logicsheet/sdx.xsl,
	  webapp/sdx/admin/explorer.xsp, webapp/sdx/admin/identities.xsp,
	  webapp/sdx/admin/login.xsp: Some changes and two files added.
	  Begining of application's exploration interface.

2004-06-30 09:32  larcaini

	  build.xml: fix for inexistant logs directory warning on first
	  launch

2004-06-29 17:14  larcaini

	  lib/optional/jena-2.0.0.jar, lib/optional/excalibur-cli-1.0.jar,
	  lib/optional/batik-all-1.5.1.jar, lib/optional/jing-20020724.jar,
	  lib/optional/jisp-2.5.1.jar, lib/optional/jstyle.jar,
	  lib/optional/rdffilter.jar, src/webapp/WEB-INF/cocoon.xconf,
	  src/webapp/WEB-INF/logkit.xconf, src/webapp/WEB-INF/slide.xconf,
	  src/webapp/WEB-INF/web.xml, build.xml, src/webapp/sitemap.xmap:
	  Structure changes for libraries and webapp files.  Changes in
	  build.xml too to allow 2 different webapp builds.  See build.xml
	  header for informations.

2004-06-29 17:11  larcaini

	  lib/: core/cocoon-eventcache-block.jar,
	  core/cocoon-javaflow-block.jar, core/cocoon-slide-block.jar,
	  core/excalibur-event-impl-1.1.jar, core/axis-saaj-1.1.jar,
	  core/commons-lang-2.0.jar, core/cocoon-batik-block.jar,
	  core/cocoon-deli-block.jar, core/cocoon-xsp-block.jar,
	  core/cocoon-databases-block.jar,
	  core/cocoon-session-fw-block.jar,
	  core/slide-webdavservlet-2.0.jar, core/util.concurrent-1.3.3.jar,
	  core/cocoon-apples-block.jar, core/cocoon-asciiart-block.jar,
	  core/cocoon-authentication-fw-block.jar,
	  core/cocoon-cron-block.jar, core/cocoon-forms-block.jar,
	  core/cocoon-hsqldb-block.jar, core/cocoon-jsp-block.jar,
	  core/cocoon-lucene-block.jar, core/cocoon-portal-fw-block.jar,
	  core/cocoon-profiler-block.jar, core/cocoon-xmldb-block.jar,
	  core/excalibur-event-api-1.1.jar,
	  core/geronimo-spec-jms-DEV-20031120.jar,
	  core/geronimo-spec-jta-DEV-20040202.jar,
	  core/jakarta-oro-2.0.8.jar, core/portlet-api-20040310.jar,
	  core/slide-stores-2.0.jar, core/cocoon-python-block.jar,
	  core/cocoon-repository-block.jar, core/quartz-1.3.2.jar,
	  core/castor-0.9.5.3-xml.jar, core/cocoon-ojb-block.jar,
	  core/cocoon-webdav-block.jar, core/commons-discovery-0.2.jar,
	  core/xindice-1.1b4.jar, core/axis-1.1.jar,
	  core/jdtcore-2.1.3.jar, core/axis-jaxrpc-1.1.jar,
	  core/cocoon-qdox-block.jar, core/cocoon-taglib-block.jar,
	  core/cocoon-web3-block.jar,
	  core/xreporter-expression-20030725.jar,
	  core/cocoon-mail-block.jar, core/jcs-1.0-dev-20040516.jar,
	  core/slide-kernel-2.0.jar, core/cocoon-jms-block.jar,
	  core/log4j-1.2.8.jar, core/cocoon-scratchpad-block.jar,
	  core/cocoon-portal-block.jar, core/db-ojb-1.0.rc6.jar,
	  core/cocoon-axis-block.jar, core/jdom-b9.jar,
	  core/pluto-20040310.jar, optional/luke-0.45.jar,
	  optional/excalibur-altrmi-server-interfaces-20020916.jar,
	  optional/commons-collections-3.0.jar,
	  optional/excalibur-collections-20020820.jar,
	  optional/commons-httpclient-2.0-final.jar,
	  optional/excalibur-store-1.0.jar,
	  optional/excalibur-instrument-manager-1.0.jar,
	  optional/xmldb-api-20030701.jar,
	  optional/jakarta-poi-1.5.0-dev-20020408.jar.jar,
	  optional/excalibur-logger-1.1.jar,
	  optional/maybeupload_1-0-5pre3.jar, optional/xml-apis.jar,
	  optional/excalibur-i18n-1.1.jar,
	  optional/commons-logging-1.0.3.jar, optional/saxon-6.5.3.jar,
	  optional/jimi-1.0.jar, optional/jfor-0.7.1.jar,
	  optional/rhino1.5r4-continuations-20040228.jar,
	  optional/mm.mysql-2.0.11-bin.jar,
	  optional/excalibur-component-1.2.jar, optional/fop-0.20.5.jar,
	  optional/servlet_2_2.jar, optional/velocity-1.4.jar,
	  optional/pizza-1.1.jar, optional/bsf-2.3.0.jar,
	  optional/excalibur-instrument-manager-interfaces-1.0.jar,
	  optional/xalan-2.6.0.jar, optional/commons-jxpath-20030909.jar,
	  optional/excalibur-altrmi-server-impl-20020916.jar,
	  optional/excalibur-instrument-1.0.jar,
	  optional/excalibur-altrmi-common-20020916.jar,
	  optional/excalibur-monitor-1.0.2.jar, optional/deli-0.9.8.jar,
	  optional/xercesImpl-2.6.2.jar, optional/hsqldb-1.7.1.jar,
	  optional/xt-19991105.jar, optional/excalibur-naming-1.0.jar,
	  optional/logkit-1.2.2.jar: Structure changes for libraries and
	  webapp files.  Changes in build.xml too to allow 2 different
	  webapp builds.  See build.xml header for informations.

2004-06-25 18:46  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  search/lucene/FieldList.java: corrections for global field list
	  declarations in an application.xconf

2004-06-25 18:05  rpandey

	   src/java/fr/gouv/culture/sdx/utils/configuration/ConfigurationUtils.java:
	  configuration passed to utility method could already be a field
	  list

2004-06-25 18:04  rpandey

	  src/java/fr/gouv/culture/sdx/utils/Utilities.java: logging
	  message in resolve... method

2004-06-24 20:35  brihaye

	  build.xml, sdx.bat, tools/jetty/lib/jetty-4.2.19.jar,
	  tools/jetty/lib/jetty-4.2.9.jar, tools/src/loader/Loader.java:
	  Synchronized Jetty management with current Cocoon's file
	  hierarchy

2004-06-24 14:07  rpandey

	  src/: java/fr/gouv/culture/sdx/resolver/entity/SDXResolver.java,
	  webapp/WEB-INF/cocoon.xconf: SDXResolver no longer needs to
	  implment LogEnable or contain a logger as the parent class
	  Default logger contains the logger

2004-06-24 14:00  larcaini

	  src/webapp/sdx/admin/applications.xsp: error fix

2004-06-24 13:31  larcaini

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl: sdx.xsl conflict
	  fix

2004-06-24 13:10  larcaini

	  src/: java/fr/gouv/culture/sdx/logicsheet/sdx.xsl,
	  webapp/sdx/admin/applications.xsp: Working SDX for Cocoon 2.1.5
	  (tested with Eclipse compiler)

2004-06-24 12:56  rpandey

	  src/java/fr/gouv/culture/sdx/: utils/Utilities.java,
	  application/Application.java: bug fixes for old refactoring

2004-06-24 12:17  jlecren

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl: cleaning
	  exception handling

2004-06-24 10:39  jlecren

	  src/webapp/sdxtest/sitemap.xmap: Change WildcardURIMatcherFactory
	  in WildcardURIMatcher

2004-06-24 09:14  larcaini

	  sdx.properties: JavaCC update

2004-06-24 09:11  larcaini

	  legal/LICENSE.javacc, tools/lib/javacc.jar, lib/javacc.jar:
	  JavaCC update

2004-06-23 20:50  rpandey

	  src/java/fr/gouv/culture/: oai/OAIComponentImpl.java,
	  sdx/document/AbstractIndexableDocument.java,
	  sdx/framework/FrameworkImpl.java,
	  sdx/pipeline/DeleteResultsPipeline.java,
	  sdx/pipeline/DeleteResultsTransformation.java,
	  sdx/pipeline/GetDocumentsPipeline.java,
	  sdx/pipeline/GetDocumentsTransformation.java,
	  sdx/pipeline/XSLTTransformation.java,
	  sdx/sitemap/AdminAction.java, sdx/sitemap/DocumentReader.java,
	  sdx/sitemap/SuperuserAction.java,
	  sdx/utils/configuration/ConfigurationUtils.java: some cleaning up
	  of serviceManager related code for 2.1.5

2004-06-23 20:32  rpandey

	  src/java/fr/gouv/culture/sdx/exception/: errors_en.properties,
	  errors_fr.properties: corrected error strings

2004-06-23 20:25  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  document/AbstractIndexableDocument.java,
	  document/XMLDocument.java,
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  pipeline/AbstractPipeline.java,
	  thesaurus/LuceneThesaurusBuilder.java: passing loggers to
	  XMLSerializers where possible for cocoon 2.1.5

2004-06-23 19:54  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  thesaurus/LuceneThesaurusBuilder.java,
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  pipeline/AbstractPipeline.java,
	  document/AbstractIndexableDocument.java,
	  document/XMLDocument.java: corrections for cocoon 2.1.5,
	  XMLSerializers now need a dummy configuration call

2004-06-23 17:59  rpandey

	  src/java/fr/gouv/culture/sdx/: logicsheet/sdx-actions.xsl,
	  logicsheet/sdx-pipelines.xsl, logicsheet/sdx-queries.xsl,
	  logicsheet/sdx.xsl, sitemap/SuperuserAction.java: corrections for
	  cocoon 2.1.5, sdx.xsl

2004-06-23 17:27  larcaini

	  lib/core/jdtcore-2.1.3.jar: [no log message]

2004-06-23 12:31  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl: verifying that
	  sdx:page has child sdx elements before adding try/catch
	  container, jdt eclipse compiler from cocoon 2.1.5 complains

2004-06-23 11:02  larcaini

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl: SDX first page
	  working  with Cocoon 2.1.5 !!

2004-06-23 10:48  jlecren

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl: change
	  FilePartFile to FilePartSource

2004-06-23 09:28  jlecren

	  src/webapp/WEB-INF/cocoon.xconf: add the name attribut to
	  "target-language" token in cocoon.xconf

2004-06-23 09:19  jlecren

	  src/java/fr/gouv/culture/sdx/: framework/Framework.java,
	  sitemap/SuperuserAction.java: The Framework interface is still a
	  Component in order to keep  compatibility with the "lookup"
	  method of the ServiceManager

2004-06-22 17:29  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIRepository.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java, oai/OAIError.java,
	  sdx/utils/Date.java: corrections

2004-06-22 13:02  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIRepository.java,
	  oai/OAIResponseImpl.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java: corrections

2004-06-22 12:35  rpandey

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  corrections

2004-06-22 11:30  larcaini

	  lib/core/axis-1.1.jar, lib/core/axis-jaxrpc-1.1.jar,
	  lib/core/axis-saaj-1.1.jar, lib/core/castor-0.9.5.3-xml.jar,
	  lib/core/cocoon-apples-block.jar,
	  lib/core/cocoon-python-block.jar, lib/core/jakarta-oro-2.0.8.jar,
	  lib/core/jcs-1.0-dev-20040516.jar, lib/core/jdom-b9.jar,
	  lib/core/pluto-20040310.jar, lib/core/portlet-api-20040310.jar,
	  lib/core/cocoon-asciiart-block.jar,
	  lib/core/cocoon-batik-block.jar,
	  lib/core/cocoon-javaflow-block.jar,
	  lib/core/commons-discovery-0.2.jar, lib/core/db-ojb-1.0.rc6.jar,
	  lib/core/log4j-1.2.8.jar, lib/core/quartz-1.3.2.jar,
	  lib/core/slide-stores-2.0.jar,
	  lib/core/xreporter-expression-20030725.jar,
	  src/webapp/WEB-INF/cocoon.xconf, src/webapp/WEB-INF/slide.xconf,
	  src/webapp/WEB-INF/web.xml, src/webapp/sdx/sitemap.xmap,
	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl,
	  src/webapp/sitemap.xmap, src/webapp/WEB-INF/logkit.xconf,
	  src/webapp/sdx/resources/xsl/dir.xsl,
	  src/webapp/sdx/resources/xsl/error.xsl: Almost working update for
	  full SDX-Cocoon 2.1.5

2004-06-22 11:29  rpandey

	  src/java/fr/gouv/culture/sdx/oai/:
	  LuceneDocumentBaseOAIRepository.java: bug fix for
	  earliestDatestamp

2004-06-22 11:26  jlecren

	  src/java/fr/gouv/culture/sdx/pipeline/XSLTTransformation.java:
	  change URLFactorySourceResolver in SourceResolver

2004-06-21 17:49  rpandey

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  utc date normalization before setting the class field
	  earliestDatestamp

2004-06-21 17:44  rpandey

	  src/: java/fr/gouv/culture/sdx/thesaurus/AbstractConcept.java,
	  java/fr/gouv/culture/sdx/thesaurus/AbstractThesaurus.java,
	  java/fr/gouv/culture/sdx/thesaurus/Concept.java,
	  java/fr/gouv/culture/sdx/thesaurus/LuceneThesaurus.java,
	  documentation/src/xml/schemas/sdx-concept.xsd: some normalizing
	  for constants, etc.

2004-06-21 16:15  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  oai/LuceneDocumentBaseOAIRepository.java,
	  search/lucene/query/LuceneIndex.java, utils/Date.java: oai bug
	  fixes

2004-06-21 15:59  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  oai/LuceneDocumentBaseOAIRepository.java, utils/Date.java: bug
	  fixes

2004-06-21 12:58  rpandey

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  bug fix

2004-06-18 15:59  larcaini

	  lib/core/: geronimo-spec-jta-DEV-20040202.jar,
	  slide-kernel-2.0.jar, slide-webdavservlet-2.0.jar: More
	  libraries..

2004-06-18 14:24  larcaini

	  src/java/fr/gouv/culture/sdx/resolver/entity/SDXResolver.java:
	  Updated to last version

2004-06-18 14:20  rpandey

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  added AND behavior to sdxall:1 query in
	  executeQuerForRequestParams method

2004-06-18 14:19  rpandey

	   src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java:
	  change last modification timestamp method

2004-06-18 14:16  rpandey

	  src/java/fr/gouv/culture/oai/OAIObject.java: corrected two string
	  values

2004-06-18 14:10  larcaini

	  lib/core/cocoon-databases-block.jar, lib/core/xindice-1.1b4.jar,
	  lib/core/cocoon-qdox-block.jar, lib/core/cocoon-xmldb-block.jar,
	  lib/core/cocoon-webdav-block.jar,
	  src/java/fr/gouv/culture/sdx/resolver/entity/SDXResolver.java:
	  Lasts cocoon-libs

2004-06-18 12:31  jlecren

	  lib/core/resolver-20020130.jar: nouvelle lib :
	  xml-commons-resolver-1.1.jar

2004-06-18 11:29  larcaini

	  src/: java/fr/gouv/culture/sdx/resolver/entity/SDXResolver.java,
	  webapp/WEB-INF/cocoon.xconf: Catalog fix

2004-06-18 10:52  larcaini

	  lib/core/xml-commons-resolver-1.1.jar: Updated to last version

2004-06-18 10:39  larcaini

	  lib/core/: cocoon-axis-block.jar, cocoon-deli-block.jar,
	  cocoon-forms-block.jar, cocoon-mail-block.jar,
	  cocoon-ojb-block.jar, cocoon-portal-block.jar,
	  cocoon-slide-block.jar, cocoon-taglib-block.jar,
	  geronimo-spec-jms-DEV-20031120.jar: Lasts cocoon-libs

2004-06-18 10:05  larcaini

	  lib/core/: cocoon-authentication-fw-block.jar,
	  cocoon-cron-block.jar, cocoon-eventcache-block.jar,
	  cocoon-hsqldb-block.jar, cocoon-jms-block.jar,
	  cocoon-jsp-block.jar, cocoon-lucene-block.jar,
	  cocoon-portal-fw-block.jar, cocoon-profiler-block.jar,
	  cocoon-repository-block.jar, cocoon-scratchpad-block.jar,
	  cocoon-session-fw-block.jar, cocoon-web3-block.jar,
	  cocoon-xsp-block.jar: More libraries.. should be ok now

2004-06-17 17:18  rpandey

	  src/documentation/src/xml/schemas/sdx-thesaurus.xsd: removed
	  software comment

2004-06-17 17:12  rpandey

	  src/:
	  java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java,
	  webapp/sdxtest/conf/application.xconf: bug fixes

2004-06-17 15:51  larcaini

	  lib/core/: commons-lang-2.0.jar, excalibur-event-api-1.1.jar,
	  excalibur-event-impl-1.1.jar, util.concurrent-1.3.3.jar: More
	  libraries..

2004-06-17 15:32  larcaini

	  lib/: core/xalan-2.6.0.jar, core/excalibur-component-1.2.jar,
	  core/excalibur-i18n-1.1.jar, core/jtidy-sdx.jar,
	  core/resolver-20020130.jar,
	  core/excalibur-instrument-manager-1.0.jar,
	  core/commons-collections-3.0.jar,
	  core/commons-httpclient-2.0-final.jar,
	  core/avalon-framework-impl-4.1.5.jar,
	  core/excalibur-collections-20020820.jar,
	  core/excalibur-instrument-1.0.jar, core/logkit-1.2.2.jar,
	  core/xml-apis.jar, core/avalon-framework-20020627.jar,
	  core/excalibur-cli-1.0.jar,
	  core/excalibur-instrument-manager-interfaces-1.0.jar,
	  core/excalibur-logger-1.1.jar, core/excalibur-store-1.0.jar,
	  core/saxon-6.5.3.jar, core/xercesImpl-2.6.2.jar,
	  core/ArabicAnalyzer.jar, core/excalibur-monitor-1.0.2.jar,
	  core/excalibur-naming-1.0.jar,
	  core/lucene-1.4-rc4-dev-2004-05-20.jar,
	  core/avalon-framework-api-4.1.5.jar,
	  optional/commons-collections-3.0.jar,
	  optional/commons-httpclient-2.0-final.jar, optional/xml-apis.jar,
	  optional/excalibur-collections-20020820.jar,
	  optional/excalibur-i18n-1.1.jar,
	  optional/excalibur-instrument-1.0.jar, optional/xalan-2.6.0.jar,
	  optional/excalibur-cli-1.0.jar,
	  optional/excalibur-instrument-manager-1.0.jar,
	  optional/saxon-6.5.3.jar, optional/ArabicAnalyzer.jar,
	  optional/excalibur-store-1.0.jar,
	  optional/excalibur-logger-1.1.jar,
	  optional/excalibur-monitor-1.0.2.jar, optional/logkit-1.2.2.jar,
	  optional/lucene-1.4-rc4-dev-2004-05-20.jar,
	  optional/excalibur-naming-1.0.jar, optional/xercesImpl-2.6.2.jar,
	  optional/resolver-20020130.jar,
	  optional/excalibur-component-1.2.jar,
	  optional/excalibur-instrument-manager-interfaces-1.0.jar,
	  optional/jtidy-sdx.jar: Libraries adjustments..

2004-06-17 15:06  larcaini

	  build.xml: Fix Lucene new path

2004-06-17 13:18  larcaini

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  sdx/exception/SDXException.java, oai/AbstractOAIRepository.java,
	  sdx/document/AbstractIndexableDocument.java,
	  sdx/document/ParsableDocumentSource.java,
	  sdx/oai/SDXOAIMetadataFormat.java,
	  sdx/pipeline/FieldExpansionTransformation.java,
	  sdx/pipeline/XSLTTransformation.java,
	  sdx/search/lucene/analysis/AbstractAnalyzer.java,
	  sdx/search/lucene/analysis/DefaultAnalyzer.java,
	  sdx/utils/xml/AbstractSdxXMLPipe.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/search/lucene/query/CachingRewrittenQueryWrapper.java,
	  sdx/thesaurus/LuceneQueryExpander.java,
	  sdx/thesaurus/AbstractThesaurus.java,
	  sdx/thesaurus/LuceneConcept.java: Some import cleaning...

2004-06-17 12:45  jlecren

	  src/java/fr/gouv/culture/:
	  sdx/document/ParsableDocumentSource.java,
	  sdx/pipeline/XSLTTransformation.java,
	  sdx/thesaurus/LuceneThesaurus.java,
	  util/apache/cocoon/components/source/URLSource.java: change
	  URLFactorySourceResolver to SourceResolverImpl +
	  ParsableDocumentSource is now an AbstractSource

2004-06-17 12:07  larcaini

	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/:
	  Analyzer_br.java, Analyzer_cz.java, DefaultAnalyzer.java: Back to
	  hashtable in Lucene, need to wait for full Set / HashSet
	  implementation in original library to update

2004-06-17 11:07  jlecren

	  src/java/fr/gouv/culture/sdx/:
	  oai/AbstractDocumentBaseOAIRepository.java,
	  pipeline/AbstractPipeline.java, pipeline/XSLTTransformation.java,
	  thesaurus/LuceneThesaurus.java,
	  thesaurus/LuceneThesaurusBuilder.java,
	  utils/AbstractSdxObject.java, utils/xml/AbstractSdxXMLPipe.java:
	  resolve some more unhandled exceptions

2004-06-17 11:05  larcaini

	  src/java/fr/gouv/culture/sdx/:
	  search/lucene/analysis/Analyzer_br.java,
	  search/lucene/analysis/Analyzer_cz.java,
	  search/lucene/analysis/DefaultAnalyzer.java,
	  utils/AbstractSdxObject.java,
	  utils/configuration/ConfigurationUtils.java: Working on Lucene
	  deprecations..

2004-06-17 10:33  jlecren

	  src/java/fr/gouv/culture/sdx/:
	  document/AbstractIndexableDocument.java,
	  document/XMLDocument.java, documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  oai/AbstractDocumentBaseOAIRepository.java,
	  oai/BasicOAIMetadataFormat.java,
	  oai/DocumentBaseOAIRepository.java,
	  oai/LuceneDocumentBaseOAIRepository.java,
	  pipeline/DeleteResultsPipeline.java,
	  pipeline/FieldExpansionTransformation.java,
	  pipeline/GetDocumentsPipeline.java, repository/FSRepository.java,
	  repository/JDBCRepository.java, repository/URLRepository.java,
	  thesaurus/LuceneThesaurus.java,
	  utils/database/AbstractJDBCDatabase.java,
	  search/lucene/analysis/AnalyzerManager.java: Some more changes :
	  from Component interface to Service interface + resolve some
	  unhandled exceptions

2004-06-17 09:55  larcaini

	  src/java/fr/gouv/culture/: oai/AbstractOAIRepository.java,
	  oai/OAIRecordImpl.java, sdx/oai/DocumentBaseOAIRecord.java,
	  sdx/thesaurus/LuceneThesaurus.java,
	  sdx/utils/AbstractSdxObject.java,
	  sdx/utils/xml/AbstractSdxXMLPipe.java: toSAX methods update

2004-06-16 18:31  jlecren

	  src/java/fr/gouv/culture/: sdx/oai/BasicOAIMetadataFormat.java,
	  sdx/exception/SDXException.java,
	  sdx/exception/SDXExceptionCode.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  util/apache/cocoon/components/source/URLSource.java,
	  sdx/document/ParsableDocumentSource.java,
	  sdx/pipeline/DeleteResultsPipeline.java,
	  sdx/pipeline/DeleteResultsTransformation.java,
	  sdx/pipeline/GetDocumentsPipeline.java,
	  sdx/pipeline/GetDocumentsTransformation.java,
	  sdx/pipeline/XSLTTransformation.java,
	  sdx/search/lucene/analysis/AbstractAnalyzer.java,
	  sdx/sitemap/AdminAction.java, sdx/sitemap/DocumentReader.java,
	  sdx/sitemap/SuperuserAction.java,
	  sdx/utils/database/DatabaseBacked.java,
	  oai/AbstractOAIHarvester.java, sdx/framework/FrameworkImpl.java,
	  sdx/utils/configuration/ConfigurationUtils.java,
	  sdx/utils/rdbms/DataSourceComponentBacked.java,
	  sdx/utils/AbstractSdxObject.java,
	  sdx/utils/xml/AbstractSdxXMLPipe.java: Some more changes : from
	  Component interface to Service interface

2004-06-16 15:59  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  document/AbstractIndexableDocument.java,
	  utils/AbstractSdxObject.java, utils/xml/AbstractSdxXMLPipe.java:
	  bug fixes

2004-06-16 15:43  jlecren

	  src/java/fr/gouv/culture/: sdx/framework/Framework.java,
	  sdx/framework/FrameworkImpl.java, sdx/utils/SdxObject.java,
	  sdx/utils/Utilities.java, sdx/utils/AbstractSdxObject.java,
	  oai/OAIComponent.java, sdx/exception/SDXExceptionCode.java,
	  sdx/application/Application.java: Some changes : from Component
	  interface to Service interface

2004-06-16 13:54  larcaini

	  src/java/fr/gouv/culture/: oai/OAIResponseImpl.java,
	  sdx/framework/Framework.java,
	  sdx/search/lucene/analysis/Analyzer.java,
	  sdx/search/lucene/analysis/AnalyzerManager.java,
	  sdx/search/lucene/query/RestrictedQuery.java: More fixes for
	  Cocoon 2.1.5...

2004-06-16 12:13  larcaini

	  src/java/fr/gouv/culture/:
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/BasicOAIMetadataFormat.java,
	  sdx/oai/DocumentBaseOAIHarvester.java,
	  sdx/oai/DocumentBaseOAIRecord.java,
	  sdx/oai/DocumentBaseOAIRepository.java,
	  oai/AbstractOAIRepository.java, oai/OAIError.java,
	  oai/OAIRecord.java, oai/OAIRecordImpl.java,
	  oai/OAIRequestImpl.java, oai/OAIResponseImpl.java,
	  sdx/document/AbstractDocument.java,
	  sdx/document/ParsableDocumentSource.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/exception/SDXException.java, sdx/framework/Framework.java,
	  sdx/pipeline/AbstractNodeBasedTransformation.java,
	  sdx/pipeline/AbstractPipeline.java,
	  sdx/pipeline/XSLTTransformation.java,
	  sdx/resolver/entity/SDXResolver.java,
	  sdx/sitemap/AdminAction.java, sdx/sitemap/SuperuserAction.java,
	  sdx/sitemap/serialization/GzipXMLSerializer.java,
	  sdx/thesaurus/AbstractThesaurus.java,
	  sdx/thesaurus/LuceneConcept.java,
	  sdx/thesaurus/LuceneThesaurus.java, sdx/thesaurus/Thesaurus.java,
	  sdx/user/SuperuserInformation.java,
	  sdx/utils/AbstractSdxObject.java, sdx/utils/Describable.java,
	  sdx/utils/Encodable.java, sdx/utils/Identifiable.java,
	  sdx/utils/Localizable.java, sdx/utils/SAXUtils.java,
	  sdx/utils/database/JDBCDatabase.java,
	  sdx/utils/database/JDBCDatabaseConnection.java,
	  sdx/utils/database/LuceneDatabase.java,
	  sdx/utils/database/MYSQLDatabase.java,
	  sdx/utils/logging/LoggingUtils.java,
	  sdx/utils/lucene/LuceneTools.java,
	  sdx/utils/xml/AbstractSdxXMLPipe.java,
	  util/apache/cocoon/components/source/URLSource.java: Some more
	  fixes on the way to Cocoon 2.1.5

2004-06-15 16:53  rpandey

	  src/java/fr/gouv/culture/sdx/oai/BasicOAIMetadataFormat.java:
	  removed _context class member as it was redundant

2004-06-15 16:06  larcaini

	   src/java/fr/gouv/culture/util/apache/cocoon/components/source/URLSource.java:
	  Some more fixes on the way to Cocoon 2.1.5

2004-06-15 14:23  larcaini

	  lib/core/excalibur-component-1.2.jar,
	  lib/core/excalibur-i18n-1.0.jar,
	  lib/core/excalibur-instrument-manager-1.0.jar,
	  lib/core/excalibur-logger-20020820.jar,
	  lib/core/jakarta-regexp-1.2.jar, lib/core/xalan-2.6.0.jar,
	  lib/core/excalibur-store-20020820.jar,
	  lib/core/commons-httpclient-2.0-final.jar,
	  lib/core/excalibur-instrument-1.0.jar,
	  lib/core/excalibur-monitor-20020820.jar,
	  lib/core/excalibur-sourceresolve-20020820.jar,
	  lib/core/excalibur-xmlutil-20020820.jar,
	  lib/core/jakarta-regexp-1.3.jar, lib/core/logkit-1.2.2.jar,
	  lib/core/logkit-20020529.jar, lib/core/xercesImpl-2.0.0.jar,
	  lib/core/cocoon-2.1.5.jar, lib/core/commons-collections-3.0.jar,
	  lib/core/commons-httpclient-20020423.jar,
	  lib/core/excalibur-component-20020916.jar,
	  lib/core/excalibur-instrument-20021108.jar,
	  lib/core/excalibur-logger-1.1.jar,
	  lib/core/excalibur-monitor-1.0.2.jar,
	  lib/core/excalibur-sourceresolve-1.1.jar,
	  lib/core/excalibur-store-1.0.jar,
	  lib/core/excalibur-xmlutil-1.0.jar, lib/core/cocoon-2.0.4.jar,
	  lib/core/commons-collections-2.1.jar,
	  lib/core/excalibur-datasource-1.1.1.jar,
	  lib/core/excalibur-i18n-1.1.jar,
	  lib/core/excalibur-instrument-manager-20021108.jar,
	  lib/core/excalibur-instrument-manager-interfaces-1.0.jar,
	  lib/core/excalibur-instrument-manager-interfaces-20021108.jar,
	  lib/core/excalibur-pool-1.2.jar,
	  lib/core/excalibur-pool-20020820.jar, lib/core/xalan-2.3.1.jar,
	  lib/core/xercesImpl-2.6.2.jar, lib/optional/deli-0.50.jar,
	  lib/optional/rhino-1.5r3.jar,
	  src/java/fr/gouv/culture/oai/AbstractOAIHarvester.java,
	  src/java/fr/gouv/culture/oai/OAIObject.java,
	  lib/optional/bsf-2.3.0.jar, lib/optional/commons-logging-1.0.jar,
	  lib/optional/jena-1.3.0.jar, lib/optional/jena-2.0.0.jar,
	  lib/optional/jfor-0.7.1.jar,
	  lib/optional/rhino1.5r4-continuations-20040228.jar,
	  lib/optional/velocity-1.4.jar,
	  lib/optional/xmldb-api-20011111.jar,
	  lib/optional/batik-all-1.5.1.jar, lib/optional/batik-all-1.5.jar,
	  lib/optional/bsf-2.2.jar,
	  lib/optional/commons-jxpath-20030909.jar,
	  lib/optional/commons-logging-1.0.3.jar,
	  lib/optional/jfor-0.7.0.jar, lib/optional/jisp_1_0_2.jar,
	  lib/optional/velocity-1.2.jar, .cvsignore, build.xml,
	  lib/javacc.jar, lib/optional/commons-jxpath-1.0.jar,
	  lib/optional/deli-0.9.8.jar, lib/optional/jisp-2.5.1.jar,
	  lib/optional/xmldb-api-20030701.jar, src/Manifest.mf,
	  src/java/fr/gouv/culture/sdx/application/Application.java,
	  src/java/fr/gouv/culture/sdx/document/HTMLDocument.java,
	  src/java/fr/gouv/culture/sdx/document/IndexableDocument.java,
	  src/java/fr/gouv/culture/sdx/document/ParsableDocument.java,
	  src/java/fr/gouv/culture/sdx/document/ParsableDocumentSource.java,
	  src/java/fr/gouv/culture/sdx/document/XMLDocument.java,
	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java,
	  src/java/fr/gouv/culture/sdx/repository/FSRepository.java,
	  src/java/fr/gouv/culture/sdx/repository/JDBCRepository.java,
	  src/java/fr/gouv/culture/sdx/repository/URLRepository.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/filter/AbstractFilter.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/filter/FilterCriteria.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/SearchLocations.java,
	  src/java/fr/gouv/culture/sdx/user/Group.java,
	  src/java/fr/gouv/culture/sdx/user/User.java,
	  src/java/fr/gouv/culture/sdx/utils/SdxObject.java,
	  tools/loader/Loader$RepositoryClassLoader.class,
	  tools/loader/Loader.class,
	  src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  src/java/fr/gouv/culture/sdx/thesaurus/LuceneThesaurus.java:
	  First update step to match Cocoon 2.1.5

2004-06-14 18:33  rpandey

	   src/java/fr/gouv/culture/sdx/search/lucene/query/ComplexQuery.java:
	  fixed null pointer

2004-06-14 15:49  larcaini

	  legal/GPL: retour au fichier d'origine (fin du test commit)

2004-06-14 11:03  rpandey

	  src/java/fr/gouv/culture/sdx/repository/:
	  AbstractDataSourceComponentBackedRepository.java,
	  JDBCRepository.java:
	  removing "this." prefix to method calls so approptriate
	  sub-classes can do their job

2004-06-13 19:04  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  oai/LuceneDocumentBaseOAIRepository.java,
	  search/lucene/query/AbstractQuery.java,
	  search/lucene/query/CachingRewrittenQueryWrapper.java,
	  search/lucene/query/ComplexQuery.java,
	  search/lucene/query/FieldQuery.java,
	  search/lucene/query/LinearQuery.java,
	  search/lucene/query/Query.java,
	  thesaurus/LuceneQueryExpander.java,
	  thesaurus/LuceneThesaurus.java, utils/Utilities.java,
	  utils/database/LuceneDatabase.java: Lucene BooleanQuery creation
	  now is done via a Utilities.newBooleanQuery() method so clauses
	  count can be set in one place

2004-06-13 17:54  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  search/lucene/query/AbstractQuery.java,
	  search/lucene/query/CachingRewrittenQueryWrapper.java,
	  thesaurus/LuceneQueryExpander.java,
	  utils/database/HSQLDatabase.java: minor corrections

2004-06-08 11:17  rpandey

	   src/java/fr/gouv/culture/sdx/utils/database/AbstractJDBCDatabase.java:
	  releaseConnection method should pass through overridden method in
	  concrete subclass

2004-06-07 12:59  rpandey

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  correction to document refreshing

2004-06-07 12:21  rpandey

	  changes.xml: updated

2004-06-07 12:13  rpandey

	  src/java/fr/gouv/culture/sdx/utils/database/:
	  DatabaseEntity.java, Property.java: more bug fixes

2004-06-07 12:03  rpandey

	  src/java/fr/gouv/culture/sdx/utils/database/HSQLDatabase.java:
	  fixed nullpointers

2004-06-07 11:20  rpandey

	   src/java/fr/gouv/culture/sdx/utils/database/AbstractJDBCDatabase.java:
	  fixed nullpointers exception again

2004-06-07 11:14  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  utils/database/AbstractJDBCDatabase.java,
	  documentbase/SDXDocumentBase.java: fixed nullpointers and an
	  indexoutofbounds exception again

2004-06-07 10:57  rpandey

	  src/java/fr/gouv/culture/sdx/: documentbase/SDXDocumentBase.java,
	  utils/database/AbstractJDBCDatabase.java,
	  utils/database/LuceneDatabase.java: fixed nullpointers and an
	  indexoutofbounds exception

2004-06-04 15:04  rpandey

	  src/webapp/sdxtest/conf/application.xconf: updated some comments

2004-06-04 15:01  rpandey

	  src/documentation/src/xml/schemas/application-xconf.xsd: updated
	  schema for referenced fieldLists

2004-06-04 14:22  rpandey

	  src/java/fr/gouv/culture/sdx/: documentbase/SDXDocumentBase.java,
	  logicsheet/sdx-parameters.xsl,
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  pipeline/FieldExpansionTransformation.java,
	  search/lucene/query/DateIntervalQuery.java,
	  thesaurus/AbstractConcept.java, thesaurus/AbstractThesaurus.java,
	  thesaurus/Concept.java, thesaurus/LuceneConcept.java,
	  thesaurus/LuceneThesaurus.java, thesaurus/SDXThesaurus.java,
	  thesaurus/Thesaurus.java, utils/AbstractSdxObject.java,
	  utils/xml/AbstractSdxXMLPipe.java: refactoring in thesaurus and
	  synchronization with taglib

2004-06-02 14:34  malo_pichot

	  build.xml: The task for the distribution WAR file with
	  documentation.

2004-06-01 12:31  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl: syncing with
	  changes made recently on the HEAD

2004-06-01 12:25  rpandey

	  src/webapp/sdxtest/conf/application.xconf: updated thesaurus
	  field list

2004-06-01 11:59  rpandey

	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/:
	  AbstractAnalyzer.java, DefaultAnalyzer.java: added empty toSAX
	  method to AbstractAnalyzer to fix compile problems

2004-06-01 11:41  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/AbstractDocumentBase.java,
	  documentbase/SDXDocumentBase.java, user/UserDatabase.java,
	  utils/database/AbstractJDBCDatabase.java,
	  utils/database/Database.java, utils/database/LuceneDatabase.java:
	  relation updates in SDXDocumentBase could perform better at
	  startup TO TEST

2004-06-01 10:33  malo_pichot

	  src/documentation/src/xml/fr/introduction/: analyseurs.xml: Bad
	  URL for linking file.

2004-06-01 10:32  malo_pichot

	  build.xml: A new task to have a WAR file with documentation  :
	  dist-war.

2004-05-27 16:50  malo_pichot

	  src/documentation/src/xml/fr/reference/: actions_amender.xml,
	  apiJava.xml: Ajout de quelques infos.

2004-05-27 11:02  rpandey

	  src/java/fr/gouv/culture/sdx/utils/: xml/AbstractSdxXMLPipe.java,
	  AbstractSdxObject.java: String handling in first level of
	  _xmlizable_objects map

2004-05-26 17:44  rpandey

	  src/java/fr/gouv/culture/sdx/utils/: AbstractSdxObject.java,
	  xml/AbstractSdxXMLPipe.java: changed _xmlizable_objects default
	  to a linked hashMap as assigning subclasses should use a linked
	  vs regular hashmap depending on their xml sequencing needs

2004-05-24 17:34  rpandey

	  src/java/fr/gouv/culture/sdx/: utils/xml/AbstractSdxXMLPipe.java,
	  utils/AbstractSdxObject.java,
	  search/lucene/analysis/Analyzer.java,
	  search/lucene/analysis/DefaultAnalyzer.java: slight
	  xmlizable/toSAX changes

2004-05-23 19:38  rpandey

	  src/java/fr/gouv/culture/sdx/utils/: AbstractSdxObject.java,
	  xml/AbstractSdxXMLPipe.java: changed datastructure used in
	  toSAX() XML creation

2004-05-21 17:31  rpandey

	  src/java/fr/gouv/culture/sdx/utils/Utilities.java: fix in
	  getClassForName, we will only throw the original exception (full
	  classname/user input) if all resolution fails

2004-05-21 17:19  rpandey

	  src/java/fr/gouv/culture/sdx/application/Application.java: fixed
	  logging error for application level fieldList was the same as for
	  application level repos

2004-05-21 14:21  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl: fixed
	  nullpointer

2004-05-21 13:35  rpandey

	  src/java/fr/gouv/culture/: sdx/application/Application.java,
	  sdx/document/AbstractDocument.java, sdx/document/Document.java,
	  sdx/documentbase/AbstractIDGenerator.java,
	  sdx/documentbase/IndexParameters.java,
	  sdx/framework/Framework.java, sdx/framework/FrameworkImpl.java,
	  sdx/pipeline/AbstractPipeline.java,
	  sdx/pipeline/AbstractTransformation.java,
	  sdx/repository/AbstractDataSourceComponentBackedRepository.java,
	  sdx/repository/AbstractDatabaseBackedRepository.java,
	  sdx/repository/AbstractRepository.java,
	  sdx/repository/AbstractRepositoryConnection.java,
	  sdx/repository/RepositoryConnection.java, sdx/search/Query.java,
	  sdx/search/Results.java, sdx/search/SearchLocations.java,
	  sdx/search/Terms.java, sdx/search/lucene/FieldList.java,
	  sdx/search/lucene/analysis/AnalyzerManager.java,
	  sdx/search/lucene/query/AbstractQuery.java,
	  sdx/search/lucene/query/Index.java,
	  sdx/search/lucene/query/LuceneIndex.java,
	  sdx/search/lucene/query/RemoteIndex.java,
	  sdx/search/lucene/query/ResultDocument.java,
	  sdx/search/lucene/query/ResultDocuments.java,
	  sdx/search/lucene/query/Results.java,
	  sdx/search/lucene/query/SearchLocations.java,
	  sdx/search/lucene/query/SortSpecification.java,
	  sdx/search/lucene/query/TermInfo.java,
	  sdx/search/lucene/query/Terms.java,
	  sdx/thesaurus/LuceneQueryExpander.java,
	  sdx/user/UserDatabase.java, sdx/user/UserInformation.java,
	  sdx/utils/AbstractSdxObject.java, sdx/utils/constants/Node.java,
	  sdx/utils/database/AbstractDatabase.java,
	  sdx/utils/database/AbstractJDBCDatabase.java,
	  sdx/utils/database/DatabaseBacked.java,
	  sdx/utils/database/DatabaseConnection.java,
	  sdx/utils/database/LuceneDatabase.java,
	  sdx/utils/database/Property.java,
	  sdx/utils/database/SQLDatabaseConnection.java,
	  sdx/utils/lucene/LuceneData.java,
	  sdx/utils/rdbms/hsql/HSQLDB.java,
	  sdx/utils/xml/AbstractSdxXMLPipe.java,
	  util/apache/avalon/cornerstone/services/scheduler/SimpleTimeScheduler.java:
	  synced codeslight refactorings reformatted code, optimized
	  imports

2004-05-20 19:24  rpandey

	  src/webapp/sdxtest/conf/application.xconf: synced code with
	  lucene patch for locks in FSDirectory, refactored a bit,
	  corrected bugs, reformatted code, optimized imports

2004-05-20 19:13  rpandey

	  src/java/fr/gouv/culture/sdx/: framework/FrameworkImpl.java,
	  repository/AbstractDataSourceComponentBackedRepository.java,
	  repository/HSQLRepository.java, repository/JDBCRepository.java,
	  repository/JDBCRepositoryConnection.java,
	  repository/MYSQLRepository.java,
	  repository/ORACLERepository.java,
	  repository/POSTGRESQLRepository.java,
	  search/lucene/query/LuceneIndex.java,
	  utils/AbstractSdxObject.java, utils/Utilities.java,
	  utils/database/HSQLDatabase.java,
	  utils/lucene/LuceneDataStore.java,
	  utils/xml/AbstractSdxXMLPipe.java: synced code with lucene patch
	  for locks in FSDirectory, refactored a bit, corrected bugs,
	  reformatted code, optimized imports

2004-05-20 19:07  rpandey

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  synced code with lucene patch for locks in FSDirectory,
	  refactored a bit, corrected bugs, reformatted code, optimized
	  imports

2004-05-20 18:30  rpandey

	  lib/optional/: lucene-1.4-rc4-dev-2004-05-17.jar,
	  lucene-1.4-rc4-dev-2004-05-20.jar: latest lucene for FSDirectory
	  patch (Bugzilla 28074)

2004-05-19 10:55  rpandey

	  src/webapp/sdxtest/conf/application.xconf: added xml lang field
	  for error message in logs

2004-05-19 10:52  rpandey

	  src/java/fr/gouv/culture/sdx/utils/Utilities.java: error handling
	  in getObjectForClassName was not printing each subexception
	  message

2004-05-18 20:24  brihaye

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java, framework/FrameworkImpl.java,
	  repository/AbstractRepository.java, utils/AbstractSdxObject.java,
	  utils/Utilities.java, utils/xml/AbstractSdxXMLPipe.java: Improved
	  logging messages, removed some comments.

2004-05-18 13:31  malo_pichot

	  src/documentation/src/xml/fr/: layout.xml,
	  reference/actions_indexation.xml, reference/intro.xml: Quelques
	  infos sur sdx:uploadDocument et un lien direct vers l'api Java

2004-05-17 17:37  rpandey

	  src/java/fr/gouv/culture/sdx/oai/DocumentBaseOAIHarvester.java:
	  new intf

2004-05-17 17:24  rpandey

	  lib/optional/: lucene-1.4-rc3.jar,
	  lucene-1.4-rc4-dev-2004-05-17.jar: lucene  update

2004-05-17 15:48  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  document/AbstractIndexableDocument.java,
	  documentbase/AbstractDocumentBase.java,
	  documentbase/DocumentBase.java, documentbase/IDGenerator.java,
	  documentbase/IndexParameters.java,
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  exception/errors_en.properties, exception/errors_fr.properties,
	  framework/Framework.java, framework/FrameworkImpl.java,
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  oai/AbstractDocumentBaseOAIRepository.java,
	  oai/DocumentBaseOAIRepository.java,
	  oai/LuceneDocumentBaseOAIRepository.java,
	  pipeline/AbstractPipeline.java,
	  pipeline/AbstractTransformation.java,
	  pipeline/DeleteResultsTransformation.java,
	  pipeline/Pipeline.java, pipeline/Transformation.java,
	  repository/AbstractDataSourceComponentBackedRepository.java,
	  repository/AbstractDatabaseBackedRepository.java,
	  repository/AbstractRepository.java, repository/Repository.java,
	  repository/URLRepository.java, search/lucene/FieldList.java,
	  search/lucene/query/Results.java,
	  search/lucene/query/SearchLocations.java,
	  thesaurus/AbstractConcept.java, thesaurus/LuceneThesaurus.java,
	  thesaurus/SDXThesaurus.java, user/UserInformation.java,
	  utils/AbstractSdxObject.java, utils/Describable.java,
	  utils/Encodable.java, utils/Identifiable.java,
	  utils/Localizable.java, utils/SdxObject.java,
	  utils/Utilities.java,
	  utils/configuration/ConfigurationUtils.java,
	  utils/constants/ContextKeys.java, utils/constants/Node.java,
	  utils/database/DatabaseBacked.java, utils/rdbms/hsql/HSQLDB.java,
	  utils/xml/AbstractSdxXMLPipe.java: some string refactoring and
	  misc. other refactoring

2004-05-14 13:22  rpandey

	  src/webapp/sdxtest/conf/application.xconf: added field to
	  thesaurus fieldList

2004-05-14 13:17  rpandey

	  lib/optional/: lucene-1.4-rc2.jar, lucene-1.4-rc3.jar: latest
	  lucene release

2004-05-14 13:17  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java, framework/FrameworkImpl.java,
	  logicsheet/sdx-queries.xsl, logicsheet/sdx.xsl,
	  pipeline/AbstractPipeline.java,
	  search/lucene/query/AbstractQuery.java,
	  search/lucene/query/DateIntervalQuery.java,
	  search/lucene/query/LuceneIndex.java,
	  search/lucene/query/SearchLocations.java,
	  search/lucene/query/SortSpecification.java,
	  search/lucene/query/Terms.java, user/UserDatabase.java,
	  utils/AbstractSdxObject.java,
	  utils/configuration/ConfigurationUtils.java,
	  utils/database/AbstractJDBCDatabase.java,
	  utils/database/DatabaseBacked.java,
	  utils/database/DatabaseEntity.java,
	  utils/database/HSQLDatabase.java,
	  utils/database/JDBCDatabase.java, utils/database/Property.java,
	  utils/rdbms/JDBC.java: miscellaneous changes, refactoring,
	  reformatted code, optimized imports, testing

2004-05-13 12:43  rpandey

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  avoiding unnecessary index update for
	  addParentRelationsToChildren if the database is already compliant

2004-05-13 12:26  rpandey

	   src/java/fr/gouv/culture/sdx/search/lucene/query/AbstractQuery.java:
	  removed new sort code calls as it is not yet ready for
	  implemenation

2004-05-13 12:18  rpandey

	  src/java/fr/gouv/culture/sdx/: exception/SDXExceptionCode.java,
	  exception/errors_en.properties, exception/errors_fr.properties,
	  search/lucene/query/AbstractQuery.java,
	  search/lucene/query/SearchLocations.java,
	  search/lucene/query/Terms.java: some more refactoring caution
	  these are untested changes

2004-05-13 11:28  rpandey

	  src/java/fr/gouv/culture/sdx/utils/: AbstractSdxObject.java,
	  database/AbstractJDBCDatabase.java, database/HSQLDatabase.java,
	  database/JDBCDatabase.java, xml/AbstractSdxXMLPipe.java: some
	  slight refactoring

2004-05-13 11:11  rpandey

	  src/java/fr/gouv/culture/sdx/utils/database/HSQLDatabase.java:
	  some corrections

2004-05-12 16:44  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  utils/database/DatabaseEntity.java,
	  search/lucene/query/DateIntervalQuery.java,
	  utils/database/Property.java,
	  documentbase/AbstractDocumentBase.java,
	  documentbase/SDXDocumentBase.java, logicsheet/sdx-queries.xsl:
	  somemore updates, DateIntervalQuery now uses a Lucene RangeQuery
	  like in the QueryParser; secondary documents in SDXDocumentBase
	  will now have links to their parents to speed up deletion

2004-05-12 12:10  rpandey

	  src/java/fr/gouv/culture/sdx/utils/database/:
	  AbstractJDBCDatabase.java, HSQLDatabase.java, JDBCDatabase.java:
	  hsqldatabase can no be used with a hsqlServer TODO: same for
	  hqslRepository

2004-05-10 11:41  rpandey

	  src/java/fr/gouv/culture/sdx/utils/: PropertiesException.java,
	  configuration/ConfigurationUtils.java: removing properties
	  exception as it is no longer needed

2004-05-07 19:44  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  repository/AbstractDataSourceComponentBackedRepository.java,
	  repository/JDBCRepository.java, repository/ORACLERepository.java,
	  repository/URLRepository.java, utils/Utilities.java,
	  utils/database/AbstractJDBCDatabase.java,
	  utils/database/HSQLDatabase.java, utils/rdbms/JDBC.java: jdbc
	  refactoring

2004-05-07 19:43  rpandey

	  src/java/fr/gouv/culture/sdx/: logicsheet/sdx-parameters.xsl,
	  thesaurus/AbstractConcept.java, thesaurus/LuceneThesaurus.java,
	  thesaurus/SDXThesaurus.java: thesaurus corrections

2004-05-07 19:42  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  oai/AbstractDocumentBaseOAIHarvester.java: optimized imports
	  reformatted code

2004-05-06 17:43  malo_pichot

	  src/documentation/src/xml/fr/reference/: actions_requetes.xml,
	  actions_thesaurus.xml: Mise à jour des informations sur les
	  thesaurus et la simpleQuery.

2004-05-06 16:51  rpandey

	  src/java/fr/gouv/culture/sdx/: logicsheet/sdx-parameters.xsl,
	  thesaurus/LuceneThesaurus.java: more thesaurus updates

2004-05-05 12:43  rpandey

	  src/java/fr/gouv/culture/sdx/: documentbase/SDXDocumentBase.java,
	  pipeline/GetDocumentsTransformation.java,
	  thesaurus/AbstractConcept.java, thesaurus/SDXThesaurus.java: bug
	  fixes

2004-05-05 12:35  rpandey

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  null pointer fixes

2004-05-04 16:02  rpandey

	  src/java/fr/gouv/culture/sdx/thesaurus/: AbstractConcept.java,
	  SDXThesaurus.java: thesaurus patches

2004-05-04 14:48  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-parameters.xsl:
	  sdx:base will now retrieve via app.getSearchable which can access
	  either a base or thesauraus see Application.getSearchable

2004-04-30 18:34  rpandey

	  src/java/fr/gouv/culture/: oai/OAIComponentImpl.java,
	  sdx/application/Application.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/documentbase/SDXDocumentBase.java,
	  sdx/framework/FrameworkImpl.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/BasicOAIMetadataFormat.java,
	  sdx/pipeline/FieldExpansionTransformation.java,
	  sdx/repository/JDBCRepository.java,
	  sdx/repository/URLRepository.java, sdx/search/lucene/Field.java,
	  sdx/search/lucene/FieldList.java,
	  sdx/search/lucene/query/LuceneIndex.java,
	  sdx/thesaurus/LuceneThesaurus.java, sdx/utils/Utilities.java,
	  sdx/utils/configuration/ConfigurationUtils.java,
	  sdx/utils/constants/Context.java,
	  sdx/utils/constants/ContextKeys.java,
	  sdx/utils/database/DatabaseBacked.java,
	  sdx/utils/database/DatabaseEntity.java,
	  sdx/utils/database/HSQLDatabase.java,
	  sdx/utils/database/JDBCDatabase.java,
	  sdx/utils/database/LuceneDatabase.java,
	  sdx/utils/lucene/LuceneDataStore.java: untested changes

2004-04-28 19:01  rpandey

	  src/java/fr/gouv/culture/sdx/utils/constants/Context.java:
	  refactored Properties to Contextualizable using DefaultContext

2004-04-28 18:23  rpandey

	  src/java/fr/gouv/culture/: oai/OAIObject.java,
	  oai/OAIObjectImpl.java, oai/SynchronizedOAIObjectImpl.java,
	  sdx/application/Application.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/documentbase/SDXDocumentBase.java,
	  sdx/framework/FrameworkImpl.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/BasicOAIMetadataFormat.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/pipeline/AbstractPipeline.java,
	  sdx/pipeline/FieldExpansionTransformation.java,
	  sdx/pipeline/XSLTTransformation.java,
	  sdx/repository/AbstractDataSourceComponentBackedRepository.java,
	  sdx/repository/AbstractDatabaseBackedRepository.java,
	  sdx/repository/FSRepository.java,
	  sdx/repository/JDBCRepository.java,
	  sdx/repository/URLRepository.java, sdx/search/lucene/Field.java,
	  sdx/search/lucene/FieldList.java,
	  sdx/thesaurus/LuceneThesaurus.java, sdx/user/UserDatabase.java,
	  sdx/utils/AbstractSdxObject.java, sdx/utils/Properties.java,
	  sdx/utils/SdxObject.java, sdx/utils/Utilities.java,
	  sdx/utils/configuration/ConfigurationUtils.java,
	  sdx/utils/database/DatabaseBacked.java,
	  sdx/utils/database/DatabaseEntity.java,
	  sdx/utils/database/HSQLDatabase.java,
	  sdx/utils/database/JDBCDatabase.java,
	  sdx/utils/database/LuceneDatabase.java,
	  sdx/utils/xml/AbstractSdxXMLPipe.java: refactored Properties to
	  Contextualizable using DefaultContext

2004-04-27 12:51  rpandey

	   src/java/fr/gouv/culture/sdx/search/lucene/queryparser/ZeroPositionIncrementTokenQueryParser.jj:
	  fixed comment TODO-MAINTAIN for Lucene sync version

2004-04-23 16:51  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  documentbase/SDXDocumentBase.java: removed Application dependence
	  in SDXDocumentBase

2004-04-22 18:54  brihaye

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  repository/AbstractDataSourceComponentBackedRepository.java: JDK
	  1.4.2 is picky about unusefull finally clauses. Made it happy :-)

2004-04-21 12:21  malo_pichot

	  src/documentation/src/xml/fr/configuration/: entrepot.xml:
	  Documentation correction on the syntax of the base URL of an URL
	  repository : "file:/" => "file://"

2004-04-19 13:55  rpandey

	  src/java/fr/gouv/culture/sdx/utils/PropertiesException.java:
	  refactoring

2004-04-19 13:55  rpandey

	  src/java/fr/gouv/culture/sdx/utils/database/HSQLDatabase.java:
	  table renaming should respect "sdx_" prefix and not "sdx" prefix
	  as an application name could begin with "sdx" like "sdxtest"

2004-04-19 13:52  rpandey

	  src/java/fr/gouv/culture/sdx/utils/database/HSQLDatabase.java:
	  old table names could be prefixed with "sdx" like
	  sdxtest_sdxworld so should exclude the "sdx" prefix but rather
	  "sdx_"

2004-04-19 13:08  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  documentbase/AbstractDocumentBase.java,
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java, exception/SDXException.java,
	  framework/FrameworkImpl.java,
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  oai/AbstractDocumentBaseOAIRepository.java,
	  oai/BasicOAIMetadataFormat.java, pipeline/AbstractPipeline.java,
	  pipeline/FieldExpansionTransformation.java,
	  repository/AbstractDataSourceComponentBackedRepository.java,
	  repository/AbstractDatabaseBackedRepository.java,
	  repository/AbstractRepository.java, repository/FSRepository.java,
	  repository/JDBCRepository.java, repository/URLRepository.java,
	  search/lucene/Field.java, search/lucene/FieldList.java,
	  thesaurus/LuceneThesaurus.java, utils/AbstractSdxObject.java,
	  utils/Properties.java, utils/Utilities.java,
	  utils/configuration/ConfigurationUtils.java,
	  utils/database/DatabaseBacked.java,
	  utils/database/HSQLDatabase.java,
	  utils/database/JDBCDatabase.java,
	  utils/database/LuceneDatabase.java,
	  utils/rdbms/DataSourceComponentBacked.java,
	  utils/xml/AbstractSdxXMLPipe.java: refactoring for
	  abstractsdxobject and Properties.java

2004-04-16 18:31  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  documentbase/AbstractDocumentBase.java,
	  documentbase/DocumentBase.java,
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  exception/errors_en.properties, exception/errors_fr.properties,
	  framework/FrameworkImpl.java,
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  oai/AbstractDocumentBaseOAIRepository.java,
	  oai/BasicOAIMetadataFormat.java,
	  oai/LuceneDocumentBaseOAIRepository.java,
	  pipeline/AbstractNodeBasedTransformation.java,
	  pipeline/AbstractPipeline.java,
	  pipeline/FieldExpansionTransformation.java,
	  pipeline/Pipeline.java, pipeline/Transformation.java,
	  pipeline/XSLTTransformation.java,
	  repository/AbstractDataSourceComponentBackedRepository.java,
	  repository/AbstractDatabaseBackedRepository.java,
	  repository/AbstractRepository.java, repository/FSRepository.java,
	  repository/JDBCRepository.java, repository/Repository.java,
	  repository/URLRepository.java, search/lucene/Field.java,
	  search/lucene/FieldList.java,
	  search/lucene/FieldsDefinition.java,
	  search/lucene/analysis/Analyzer_br.java,
	  search/lucene/analysis/MetaAnalyzer.java,
	  search/lucene/query/LuceneIndex.java,
	  search/lucene/query/SearchLocations.java,
	  thesaurus/LuceneThesaurus.java, thesaurus/SDXThesaurus.java,
	  utils/AbstractSdxObject.java, utils/ConfigurationUtils.java,
	  utils/Utilities.java,
	  utils/configuration/ConfigurationUtils.java,
	  utils/configuration/Node.java,
	  utils/database/AbstractDatabase.java,
	  utils/database/AbstractJDBCDatabase.java,
	  utils/database/DatabaseBacked.java,
	  utils/database/HSQLDatabase.java,
	  utils/database/LuceneDatabase.java,
	  utils/xml/AbstractSdxXMLPipe.java: refactoring

2004-04-13 16:37  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-pipelines.xsl: not
	  contextualizing pipeline for now

2004-04-13 13:29  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-pipelines.xsl:
	  sdx_pipeline is now passed a logger and a context

2004-04-13 13:14  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl: patching
	  for complexQuery "not" operator

2004-04-09 18:34  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  framework/FrameworkImpl.java, pipeline/AbstractPipeline.java,
	  search/lucene/query/SearchLocations.java,
	  utils/ConfigurationUtils.java, utils/Utilities.java,
	  utils/database/DatabaseBacked.java: more factoring

2004-04-06 21:01  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  documentbase/IDGenerator.java, documentbase/SDXDocumentBase.java,
	  exception/errors_en.properties, exception/errors_fr.properties,
	  framework/FrameworkImpl.java,
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  oai/AbstractDocumentBaseOAIRepository.java,
	  pipeline/AbstractPipeline.java, repository/URLRepository.java,
	  search/lucene/analysis/Analyzer_br.java,
	  search/lucene/analysis/Analyzer_cz.java,
	  search/lucene/query/SearchLocations.java,
	  search/lucene/queryparser/DefaultQueryParser.jj,
	  search/lucene/queryparser/ZeroPositionIncrementTokenQueryParser.jj,
	  utils/ConfigurationUtils.java, utils/Utilities.java,
	  utils/database/AbstractJDBCDatabase.java,
	  utils/database/Database.java, utils/database/DatabaseBacked.java,
	  utils/database/HSQLDatabase.java,
	  utils/lucene/LuceneDataStore.java: commiting code since cvs was
	  not functioning properly last week

2004-04-06 20:50  rpandey

	  lib/optional/lucene-1.4-rc1-dev-20040324.jar: removing after cvs
	  was not functioning properly last week

2004-04-01 15:44  rpandey

	  lib/optional/lucene-1.4-rc2.jar: updated lucene to 1.4rc2

2004-03-31 12:10  malo_pichot

	  create-docs.bat, create-docs.sh, create-jar.sh, create-war.sh:
	  *.sh files for unix machines

2004-03-29 18:09  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  utils/database/AbstractDatabase.java,
	  utils/database/AbstractJDBCDatabase.java, user/UserDatabase.java,
	  utils/database/Database.java, utils/database/HSQLDatabase.java,
	  utils/database/LuceneDatabase.java: changes for database querying

2004-03-29 16:14  rpandey

	   src/java/fr/gouv/culture/sdx/search/lucene/query/AbstractResponse.java:
	  fixed bug with getNbPages returning _hitsPerPage

2004-03-29 15:47  rpandey

	  src/java/fr/gouv/culture/sdx/pipeline/ElementFilter.java: fix for
	  _withinFilteredElement init and reinit

2004-03-29 15:08  rpandey

	  src/java/fr/gouv/culture/sdx/pipeline/:
	  AbstractNodeBasedTransformation.java, ElementFilter.java,
	  NodeCountTransformation.java, TagFilter.java: emptystackexception
	  fix on attribute peek

2004-03-29 14:15  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java, framework/FrameworkImpl.java,
	  pipeline/AbstractPipeline.java, thesaurus/LuceneThesaurus.java,
	  utils/AbstractSdxObject.java, utils/database/DatabaseBacked.java,
	  utils/xml/AbstractSdxXMLPipe.java: refactoring, document addition
	  and deletion changes for performance

2004-03-26 16:30  rpandey

	  src/java/fr/gouv/culture/sdx/utils/xml/AbstractSdxXMLPipe.java:
	  refactoring

2004-03-26 16:26  rpandey

	  src/java/fr/gouv/culture/: sdx/application/Application.java,
	  sdx/document/AbstractDocument.java,
	  sdx/documentbase/AbstractIDGenerator.java,
	  sdx/documentbase/IndexParameters.java,
	  sdx/documentbase/SDXDocumentBase.java,
	  sdx/exception/SDXExceptionCode.java,
	  sdx/exception/errors_en.properties,
	  sdx/exception/errors_fr.properties,
	  sdx/framework/FrameworkImpl.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/BasicOAIMetadataFormat.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/pipeline/AbstractNodeBasedTransformation.java,
	  sdx/pipeline/AbstractPipeline.java,
	  sdx/pipeline/AbstractTransformation.java,
	  sdx/pipeline/ElementFilter.java, sdx/pipeline/Pipeline.java,
	  sdx/pipeline/TagFilter.java,
	  sdx/repository/AbstractRepository.java,
	  sdx/repository/AbstractRepositoryConnection.java,
	  sdx/search/lucene/FieldsDefinition.java,
	  sdx/search/lucene/analysis/AnalyzerManager.java,
	  sdx/search/lucene/query/AbstractQuery.java,
	  sdx/search/lucene/query/AbstractResponse.java,
	  sdx/search/lucene/query/DateIntervalQuery.java,
	  sdx/search/lucene/query/ResultDocument.java,
	  sdx/search/lucene/query/ResultDocuments.java,
	  sdx/search/lucene/query/Results.java,
	  sdx/search/lucene/query/SearchLocations.java,
	  sdx/search/lucene/query/SortSpecification.java,
	  sdx/search/lucene/query/TermInfo.java,
	  sdx/search/lucene/query/Terms.java,
	  sdx/sitemap/transformers/ElementFilter.java,
	  sdx/sitemap/transformers/NodeCounter.java,
	  sdx/sitemap/transformers/TagFilter.java,
	  sdx/thesaurus/LuceneQueryExpander.java,
	  sdx/user/UserInformation.java, sdx/utils/AbstractSdxObject.java,
	  sdx/utils/Describable.java, sdx/utils/Localizable.java,
	  sdx/utils/Properties.java, sdx/utils/SdxObject.java,
	  sdx/utils/SdxObjectImpl.java, sdx/utils/Utilities.java,
	  sdx/utils/database/AbstractDatabase.java,
	  sdx/utils/database/DatabaseBacked.java,
	  sdx/utils/database/HSQLDatabase.java,
	  sdx/utils/database/Property.java,
	  sdx/utils/database/SQLDatabaseConnection.java,
	  sdx/utils/lucene/LuceneData.java,
	  sdx/utils/lucene/LuceneDataStore.java, sdx/utils/rdbms/JDBC.java,
	  sdx/utils/rdbms/hsql/HSQLDB.java,
	  util/apache/avalon/cornerstone/services/scheduler/SimpleTimeScheduler.java:
	  refactoring

2004-03-25 18:54  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  pipeline/AbstractNodeBasedTransformation.java,
	  pipeline/ElementFilter.java,
	  pipeline/NodeCountTransformation.java, pipeline/TagFilter.java,
	  search/lucene/query/AbstractResponse.java,
	  search/lucene/query/DateIntervalQuery.java,
	  search/lucene/query/Results.java, search/lucene/query/Terms.java,
	  sitemap/transformers/ElementFilter.java,
	  sitemap/transformers/NodeCounter.java,
	  sitemap/transformers/TagFilter.java: refactoring

2004-03-25 13:56  rpandey

	  src/java/fr/gouv/culture/sdx/pipeline/AbstractPipeline.java:
	  added prefix and suffix for Utilities.createTempDirectory call

2004-03-24 19:26  rpandey

	  lib/optional/lucene-1.4-rc1-dev-20040322.jar,
	  lib/optional/lucene-1.4-rc1-dev-20040324.jar,
	  src/java/fr/gouv/culture/oai/OAIComponentImpl.java,
	  src/java/fr/gouv/culture/oai/OAIObjectImpl.java,
	  src/java/fr/gouv/culture/oai/util/OAIUtilities.java,
	  src/java/fr/gouv/culture/sdx/application/Application.java,
	  src/java/fr/gouv/culture/sdx/document/AbstractDocument.java,
	  src/java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java,
	  src/java/fr/gouv/culture/sdx/document/HTMLDocument.java,
	  src/java/fr/gouv/culture/sdx/document/ParsableDocumentSource.java,
	  src/java/fr/gouv/culture/sdx/document/XMLDocument.java,
	  src/java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java,
	  src/java/fr/gouv/culture/sdx/documentbase/DocumentBase.java,
	  src/java/fr/gouv/culture/sdx/documentbase/IndexParameters.java,
	  src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java,
	  src/java/fr/gouv/culture/sdx/exception/SDXException.java,
	  src/java/fr/gouv/culture/sdx/framework/FrameworkImpl.java,
	  src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  src/java/fr/gouv/culture/sdx/oai/BasicOAIMetadataFormat.java,
	  src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIHarvester.java,
	  src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  src/java/fr/gouv/culture/sdx/pipeline/AbstractNodeBasedTransformation.java,
	  src/java/fr/gouv/culture/sdx/pipeline/AbstractPipeline.java,
	  src/java/fr/gouv/culture/sdx/pipeline/AbstractTransformation.java,
	  src/java/fr/gouv/culture/sdx/pipeline/DeleteResultsPipeline.java,
	  src/java/fr/gouv/culture/sdx/pipeline/GetDocumentsPipeline.java,
	  src/java/fr/gouv/culture/sdx/pipeline/NodeCountTransformation.java,
	  src/java/fr/gouv/culture/sdx/pipeline/XSLTTransformation.java,
	  src/java/fr/gouv/culture/sdx/repository/AbstractDataSourceComponentBackedRepository.java,
	  src/java/fr/gouv/culture/sdx/repository/AbstractDatabaseBackedRepository.java,
	  src/java/fr/gouv/culture/sdx/repository/AbstractRepository.java,
	  src/java/fr/gouv/culture/sdx/repository/AbstractRepositoryConnection.java,
	  src/java/fr/gouv/culture/sdx/repository/FSRepository.java,
	  src/java/fr/gouv/culture/sdx/repository/HSQLRepository.java,
	  src/java/fr/gouv/culture/sdx/repository/JDBCRepository.java,
	  src/java/fr/gouv/culture/sdx/repository/JDBCRepositoryConnection.java,
	  src/java/fr/gouv/culture/sdx/repository/LuceneRepositoryConnection.java,
	  src/java/fr/gouv/culture/sdx/repository/ORACLERepository.java,
	  src/java/fr/gouv/culture/sdx/repository/Repository.java,
	  src/java/fr/gouv/culture/sdx/repository/URLRepository.java,
	  src/java/fr/gouv/culture/sdx/resolver/entity/SDXResolver.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/Field.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/FieldsDefinition.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/AbstractAnalyzer.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/AnalyzerManager.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/Analyzer_ar.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/Glosser_ar_en.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/MetaAnalyzer.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/filter/FrenchStandardFilter.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/filter/ISOLatin1AccentFilter.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/filter/AbstractFilter.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/AbstractQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/ComplexQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/DateIntervalQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/ExactFieldQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/FieldQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/LinearQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/RestrictedQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/ResultDocument.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/ResultDocuments.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/Results.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/SearchLocations.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/SimpleQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/SortSpecification.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/TermInfo.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/Terms.java,
	  src/java/fr/gouv/culture/sdx/thesaurus/AbstractThesaurusBuilder.java,
	  src/java/fr/gouv/culture/sdx/thesaurus/LuceneQueryExpander.java,
	  src/java/fr/gouv/culture/sdx/thesaurus/LuceneThesaurus.java,
	  src/java/fr/gouv/culture/sdx/thesaurus/SDXThesaurus.java,
	  src/java/fr/gouv/culture/sdx/user/AbstractIdentity.java,
	  src/java/fr/gouv/culture/sdx/user/User.java,
	  src/java/fr/gouv/culture/sdx/user/UserDatabase.java,
	  src/java/fr/gouv/culture/sdx/user/UserInformation.java,
	  src/java/fr/gouv/culture/sdx/utils/ConfigurationUtils.java,
	  src/java/fr/gouv/culture/sdx/utils/SdxObjectImpl.java,
	  src/java/fr/gouv/culture/sdx/utils/Utilities.java,
	  src/java/fr/gouv/culture/sdx/utils/database/AbstractDatabase.java,
	  src/java/fr/gouv/culture/sdx/utils/database/AbstractJDBCDatabase.java,
	  src/java/fr/gouv/culture/sdx/utils/database/Database.java,
	  src/java/fr/gouv/culture/sdx/utils/database/DatabaseBacked.java,
	  src/java/fr/gouv/culture/sdx/utils/database/DatabaseEntity.java,
	  src/java/fr/gouv/culture/sdx/utils/database/HSQLDatabase.java,
	  src/java/fr/gouv/culture/sdx/utils/database/JDBCDatabase.java,
	  src/java/fr/gouv/culture/sdx/utils/database/LuceneDatabase.java,
	  src/java/fr/gouv/culture/sdx/utils/database/Property.java,
	  src/java/fr/gouv/culture/sdx/utils/database/SQLDatabaseConnection.java,
	  src/java/fr/gouv/culture/sdx/utils/logging/LoggingUtils.java,
	  src/java/fr/gouv/culture/sdx/utils/lucene/LuceneDataStore.java,
	  src/java/fr/gouv/culture/sdx/utils/rdbms/DataSourceComponentBacked.java,
	  src/java/fr/gouv/culture/sdx/utils/rdbms/JDBC.java,
	  src/java/fr/gouv/culture/sdx/utils/rdbms/hsql/HSQLDB.java:
	  refactoring

2004-03-24 17:10  malo_pichot

	  create-docs.bat, create-docs.sh, create-jar.sh, create-war.sh:
	  Adding "sh" to create *.jar, *.war and documentation on Unix.
	  Adding target to create javadocs in "create-docs" batchfile.

2004-03-23 20:04  rpandey

	  src/java/fr/gouv/culture/sdx/pipeline/TagFilter.java: changed
	  qualified parameter name

2004-03-23 17:16  rpandey

	  lib/optional/lucene-1.4-rc1-dev-20040322.jar: readded lucene jar
	  as binary

2004-03-23 17:15  rpandey

	  lib/optional/lucene-1.4-rc1-dev-20040322.jar: removing lucene jar
	  as it wasnt committed as binary

2004-03-23 16:15  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  pipeline/AbstractNodeBasedTransformation.java,
	  pipeline/AttributeLabeledElementFilter.java,
	  pipeline/ElementCountTransformation.java,
	  pipeline/NodeCountTransformation.java, pipeline/TagFilter.java,
	  sitemap/transformers/AttributeLabledElementFilter.java,
	  sitemap/transformers/ElementCounter.java,
	  sitemap/transformers/NodeCounter.java: work on transformation for
	  node counting and some refactoring

2004-03-23 13:24  rpandey

	  src/java/fr/gouv/culture/sdx/search/lucene/query/Results.java:
	  constructor changes

2004-03-22 19:23  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  pipeline/AbstractNodeBasedTransformation.java,
	  pipeline/AttributeLabeledElementFilter.java,
	  pipeline/ElementCountTransformation.java,
	  pipeline/ElementFilter.java, pipeline/TagFilter.java,
	  search/lucene/query/CachingRewrittenQueryWrapper.java,
	  sitemap/transformers/AttributeLabledElementFilter.java,
	  sitemap/transformers/ElementCounter.java,
	  sitemap/transformers/ElementFilter.java,
	  sitemap/transformers/TagFilter.java,
	  utils/xml/SimpleXPathString.java: some pipeline changes

2004-03-22 18:47  rpandey

	  src/java/: fr/gouv/culture/oai/AbstractOAIHarvester.java,
	  fr/gouv/culture/oai/AbstractOAIRepository.java,
	  fr/gouv/culture/oai/OAIComponentImpl.java,
	  fr/gouv/culture/oai/OAIError.java,
	  fr/gouv/culture/oai/OAIObject.java,
	  fr/gouv/culture/oai/OAIObjectImpl.java,
	  fr/gouv/culture/oai/OAIRecord.java,
	  fr/gouv/culture/oai/OAIRecordImpl.java,
	  fr/gouv/culture/oai/OAIRepository.java,
	  fr/gouv/culture/oai/OAIRequest.java,
	  fr/gouv/culture/oai/OAIRequestImpl.java,
	  fr/gouv/culture/oai/util/OAIUtilities.java,
	  fr/gouv/culture/sdx/application/Application.java,
	  fr/gouv/culture/sdx/document/AbstractDocument.java,
	  fr/gouv/culture/sdx/document/AbstractIndexableDocument.java,
	  fr/gouv/culture/sdx/document/Document.java,
	  fr/gouv/culture/sdx/document/HTMLDocument.java,
	  fr/gouv/culture/sdx/document/ParsableDocumentSource.java,
	  fr/gouv/culture/sdx/document/XMLDocument.java,
	  fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java,
	  fr/gouv/culture/sdx/documentbase/DocumentBase.java,
	  fr/gouv/culture/sdx/documentbase/IndexParameters.java,
	  fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java,
	  fr/gouv/culture/sdx/exception/SDXException.java,
	  fr/gouv/culture/sdx/framework/FrameworkImpl.java,
	  fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  fr/gouv/culture/sdx/oai/BasicOAIMetadataFormat.java,
	  fr/gouv/culture/sdx/oai/DocumentBaseOAIRecord.java,
	  fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIHarvester.java,
	  fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  fr/gouv/culture/sdx/pipeline/AbstractNodeBasedTransformation.java,
	  fr/gouv/culture/sdx/pipeline/AbstractPipeline.java,
	  fr/gouv/culture/sdx/pipeline/AbstractTransformation.java,
	  fr/gouv/culture/sdx/pipeline/AttributeLabeledElementFilter.java,
	  fr/gouv/culture/sdx/pipeline/DeleteResultsPipeline.java,
	  fr/gouv/culture/sdx/pipeline/DeleteResultsTransformation.java,
	  fr/gouv/culture/sdx/pipeline/ElementCountTransformation.java,
	  fr/gouv/culture/sdx/pipeline/FieldExpansionTransformation.java,
	  fr/gouv/culture/sdx/pipeline/GetDocumentsPipeline.java,
	  fr/gouv/culture/sdx/pipeline/GetDocumentsTransformation.java,
	  fr/gouv/culture/sdx/pipeline/Pipeline.java,
	  fr/gouv/culture/sdx/pipeline/TagFilter.java,
	  fr/gouv/culture/sdx/pipeline/Transformation.java,
	  fr/gouv/culture/sdx/pipeline/XSLTTransformation.java,
	  fr/gouv/culture/sdx/repository/AbstractDataSourceComponentBackedRepository.java,
	  fr/gouv/culture/sdx/repository/AbstractDatabaseBackedRepository.java,
	  fr/gouv/culture/sdx/repository/AbstractRepository.java,
	  fr/gouv/culture/sdx/repository/AbstractRepositoryConnection.java,
	  fr/gouv/culture/sdx/repository/FSRepository.java,
	  fr/gouv/culture/sdx/repository/HSQLRepository.java,
	  fr/gouv/culture/sdx/repository/JDBCRepository.java,
	  fr/gouv/culture/sdx/repository/JDBCRepositoryConnection.java,
	  fr/gouv/culture/sdx/repository/ORACLERepository.java,
	  fr/gouv/culture/sdx/repository/Repository.java,
	  fr/gouv/culture/sdx/repository/URLRepository.java,
	  fr/gouv/culture/sdx/resolver/entity/SDXResolver.java,
	  fr/gouv/culture/sdx/search/Query.java,
	  fr/gouv/culture/sdx/search/Results.java,
	  fr/gouv/culture/sdx/search/SearchLocations.java,
	  fr/gouv/culture/sdx/search/Terms.java,
	  fr/gouv/culture/sdx/search/lucene/Field.java,
	  fr/gouv/culture/sdx/search/lucene/FieldsDefinition.java,
	  fr/gouv/culture/sdx/search/lucene/analysis/AbstractAnalyzer.java,
	  fr/gouv/culture/sdx/search/lucene/analysis/AnalyzerManager.java,
	  fr/gouv/culture/sdx/search/lucene/analysis/Analyzer_ar.java,
	  fr/gouv/culture/sdx/search/lucene/analysis/Glosser_ar_en.java,
	  fr/gouv/culture/sdx/search/lucene/analysis/MetaAnalyzer.java,
	  fr/gouv/culture/sdx/search/lucene/analysis/filter/FrenchStandardFilter.java,
	  fr/gouv/culture/sdx/search/lucene/analysis/filter/ISOLatin1AccentFilter.java,
	  fr/gouv/culture/sdx/search/lucene/filter/AbstractFilter.java,
	  fr/gouv/culture/sdx/search/lucene/filter/Criteria.java,
	  fr/gouv/culture/sdx/search/lucene/filter/Filter.java,
	  fr/gouv/culture/sdx/search/lucene/filter/FilterCriteria.java,
	  fr/gouv/culture/sdx/search/lucene/highlight/LuceneTermHighlighter.java,
	  fr/gouv/culture/sdx/search/lucene/query/AbstractQuery.java,
	  fr/gouv/culture/sdx/search/lucene/query/ComplexQuery.java,
	  fr/gouv/culture/sdx/search/lucene/query/DateIntervalQuery.java,
	  fr/gouv/culture/sdx/search/lucene/query/ExactFieldQuery.java,
	  fr/gouv/culture/sdx/search/lucene/query/FieldQuery.java,
	  fr/gouv/culture/sdx/search/lucene/query/LinearQuery.java,
	  fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java,
	  fr/gouv/culture/sdx/search/lucene/query/Query.java,
	  fr/gouv/culture/sdx/search/lucene/query/RestrictedQuery.java,
	  fr/gouv/culture/sdx/search/lucene/query/ResultDocument.java,
	  fr/gouv/culture/sdx/search/lucene/query/ResultDocuments.java,
	  fr/gouv/culture/sdx/search/lucene/query/Results.java,
	  fr/gouv/culture/sdx/search/lucene/query/SearchLocations.java,
	  fr/gouv/culture/sdx/search/lucene/query/SimpleQuery.java,
	  fr/gouv/culture/sdx/search/lucene/query/SortSpecification.java,
	  fr/gouv/culture/sdx/search/lucene/query/TermInfo.java,
	  fr/gouv/culture/sdx/search/lucene/query/Terms.java,
	  fr/gouv/culture/sdx/sitemap/DocumentReader.java,
	  fr/gouv/culture/sdx/sitemap/transformers/AttributeLabledElementFilter.java,
	  fr/gouv/culture/sdx/thesaurus/AbstractThesaurusBuilder.java,
	  fr/gouv/culture/sdx/thesaurus/LuceneQueryExpander.java,
	  fr/gouv/culture/sdx/thesaurus/LuceneThesaurus.java,
	  fr/gouv/culture/sdx/thesaurus/SDXThesaurus.java,
	  fr/gouv/culture/sdx/user/AbstractIdentity.java,
	  fr/gouv/culture/sdx/user/User.java,
	  fr/gouv/culture/sdx/user/UserDatabase.java,
	  fr/gouv/culture/sdx/user/UserInformation.java,
	  fr/gouv/culture/sdx/utils/ConfigurationUtilities.java,
	  fr/gouv/culture/sdx/utils/ConfigurationUtils.java,
	  fr/gouv/culture/sdx/utils/Describable.java,
	  fr/gouv/culture/sdx/utils/Encodable.java,
	  fr/gouv/culture/sdx/utils/Identifiable.java,
	  fr/gouv/culture/sdx/utils/Localizable.java,
	  fr/gouv/culture/sdx/utils/Properties.java,
	  fr/gouv/culture/sdx/utils/SAXUtils.java,
	  fr/gouv/culture/sdx/utils/SdxObject.java,
	  fr/gouv/culture/sdx/utils/SdxObjectImpl.java,
	  fr/gouv/culture/sdx/utils/Utilities.java,
	  fr/gouv/culture/sdx/utils/constants/Node.java,
	  fr/gouv/culture/sdx/utils/database/AbstractDatabase.java,
	  fr/gouv/culture/sdx/utils/database/AbstractJDBCDatabase.java,
	  fr/gouv/culture/sdx/utils/database/Database.java,
	  fr/gouv/culture/sdx/utils/database/DatabaseBacked.java,
	  fr/gouv/culture/sdx/utils/database/DatabaseEntity.java,
	  fr/gouv/culture/sdx/utils/database/HSQLDatabase.java,
	  fr/gouv/culture/sdx/utils/database/JDBCDatabase.java,
	  fr/gouv/culture/sdx/utils/database/LuceneDatabase.java,
	  fr/gouv/culture/sdx/utils/database/Property.java,
	  fr/gouv/culture/sdx/utils/database/SQLDatabaseConnection.java,
	  fr/gouv/culture/sdx/utils/logging/LoggingUtils.java,
	  fr/gouv/culture/sdx/utils/lucene/LuceneDataStore.java,
	  fr/gouv/culture/sdx/utils/lucene/LuceneTools.java,
	  fr/gouv/culture/sdx/utils/rdbms/DataSourceComponentBacked.java,
	  fr/gouv/culture/sdx/utils/rdbms/JDBC.java,
	  fr/gouv/culture/sdx/utils/rdbms/hsql/HSQLDB.java,
	  fr/gouv/culture/sdx/utils/xml/SimpleXPathString.java,
	  fr/gouv/culture/util/apache/cocoon/xml/AbstractSynchronizedXMLConsumer.java,
	  fr/gouv/culture/util/apache/cocoon/xml/AbstractSynchronizedXMLPipe.java,
	  org/apache/lucene/search/UnanalyzedQuery.java: refactoring,
	  additions, optimized imports, reformatted code

2004-03-22 18:30  rpandey

	  lib/optional/: lucene-1.4-rc1-dev-20040110.jar,
	  lucene-1.4-rc1-dev-20040322.jar: updated lucene jar and removed
	  all dependencies between lucene/sdx, all lucene 1.3+ jars SHOULD
	  now work with sdx, TODO: maybe move UnanalyzedQuery into
	  fr.gouv.culture.sdx.search.lucene.query like
	  CachingRewrittenQueryWrapper so that we dont have to patch lucene
	  and can be indenpendent

2004-03-22 11:10  rpandey

	   src/java/fr/gouv/culture/sdx/pipeline/ElementCountTransformation.java:
	  underscore in key name was causing problems

2004-03-19 12:45  rpandey

	   src/java/fr/gouv/culture/sdx/pipeline/ElementCountTransformation.java:
	  [no log message]

2004-03-19 12:40  rpandey

	   src/java/fr/gouv/culture/sdx/pipeline/ElementCountTransformation.java:
	  [no log message]

2004-03-19 12:29  rpandey

	   src/java/fr/gouv/culture/sdx/pipeline/ElementCountTransformation.java:
	  [no log message]

2004-03-19 12:25  rpandey

	   src/java/fr/gouv/culture/sdx/pipeline/ElementCountTransformation.java:
	  [no log message]

2004-03-19 12:21  rpandey

	   src/java/fr/gouv/culture/sdx/pipeline/ElementCountTransformation.java:
	  automatically determining the key type

2004-03-19 12:10  rpandey

	   src/java/fr/gouv/culture/sdx/pipeline/ElementCountTransformation.java:
	  fixing fixing fixing

2004-03-19 12:05  rpandey

	  src/java/fr/gouv/culture/sdx/sitemap/transformers/:
	  AttributeLabledElementFilter.java, ElementCounter.java,
	  ElementFilter.java, TagFilter.java: parameters in match must
	  exist before global parameters will be overridden

2004-03-19 11:54  rpandey

	  src/java/fr/gouv/culture/sdx/sitemap/transformers/:
	  AttributeLabledElementFilter.java, ElementCounter.java,
	  ElementFilter.java, TagFilter.java: parameterize is called form
	  within setup method

2004-03-19 11:53  rpandey

	   src/java/fr/gouv/culture/sdx/pipeline/ElementCountTransformation.java:
	  more fixing

2004-03-19 11:46  rpandey

	   src/java/fr/gouv/culture/sdx/pipeline/ElementCountTransformation.java:
	  more fixing

2004-03-19 11:31  rpandey

	   src/java/fr/gouv/culture/sdx/pipeline/ElementCountTransformation.java:
	  determining whether the sort needs to be number or text based

2004-03-19 11:15  rpandey

	   src/java/fr/gouv/culture/sdx/pipeline/ElementCountTransformation.java:
	  updated counter for sorting

2004-03-18 13:15  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl: reverted
	  default behavior for joining complexQuery clauses to AND

2004-03-15 15:48  rpandey

	  src/webapp/WEB-INF/sdx/sdx.xconf: added sdxscore field for
	  sorting

2004-03-15 15:42  rpandey

	  src/webapp/WEB-INF/sdx/sdx.xconf: added sdxscore internal field
	  for sorting by score

2004-03-08 12:15  rpandey

	  src/: java/fr/gouv/culture/sdx/framework/Framework.java,
	  webapp/WEB-INF/logkit.xconf: changes to version number in
	  Framework and log-level to ERROR for logkit.xconf

2004-03-03 16:15  rpandey

	  build.xml: some fixes for buildClasspath and war name

2004-03-03 16:14  rpandey

	  src/java/fr/gouv/culture/sdx/: exception/SDXExceptionCode.java,
	  exception/errors_en.properties, exception/errors_fr.properties,
	  utils/database/HSQLDatabase.java: some exception handling

2004-03-03 15:24  rpandey

	  build.xml: reverting to old characters

2004-03-03 15:22  rpandey

	  build.xml: war naming change

2004-03-03 14:39  rpandey

	  build.xml: fixed buildClasspath decl. now created when
	  build.lib.dir is created

2004-03-03 14:12  rpandey

	  build.xml: final build version number

2004-03-03 13:54  rpandey

	  src/java/fr/gouv/culture/sdx/: exception/SDXExceptionCode.java,
	  exception/errors_en.properties, exception/errors_fr.properties,
	  utils/database/HSQLDatabase.java: created an error code

2004-03-02 18:39  rpandey

	  src/java/fr/gouv/culture/sdx/utils/database/HSQLDatabase.java:
	  added a better error message

2004-03-02 18:38  rpandey

	  src/java/fr/gouv/culture/sdx/utils/database/HSQLDatabase.java:
	  added some error info

2004-03-02 18:29  rpandey

	  src/java/fr/gouv/culture/sdx/documentbase/:
	  AbstractDocumentBase.java, SDXDocumentBase.java: corrections to
	  sax event output for indexation/deletion

2004-03-02 13:32  malo_pichot

	  build.xml: Debug javadoc construction because of a bad classpath
	  settings.

2004-03-02 13:26  malo_pichot

	  build.xml: Forget the "maxmemory" option for "javadoc" task.

2004-03-02 13:24  malo_pichot

	  build.xml: debug javadoc construction because of a bad classpath
	  settings

2004-03-02 12:51  rpandey

	  src/java/fr/gouv/culture/sdx/document/:
	  AbstractIndexableDocument.java: null init of attached docs vector

2004-03-02 12:49  rpandey

	  src/java/fr/gouv/culture/sdx/document/: IndexableDocument.java,
	  AbstractIndexableDocument.java: added method for manipulation of
	  attached documents

2004-03-02 12:48  rpandey

	   src/java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java:
	  added a method to help manipulation of attached docs

2004-02-27 14:47  rpandey

	  lib/optional/batik-all-1.5.jar: batik jar wasnt properly added
	  the first time??? so here it goes again

2004-02-25 12:40  rpandey

	  lib/optional/batik-all-1.5b2.jar: removing old batik

2004-02-25 12:36  rpandey

	  lib/optional/: batik-all-1.5.jar, batik-all-1.5b2.jar: batik jar
	  corrections for tomcat 5 deployer problems

2004-02-25 12:32  rpandey

	  lib/optional/: batik-all-1.5.jar, batik-all-1.5b2.jar: batik jar
	  corrections for tomcat 5 deployer problems

2004-02-25 10:50  rpandey

	  src/java/fr/gouv/culture/sdx/search/lucene/Field.java: sub fields
	  were demanding an analyzer from AnalyzerManager with null
	  configuratin files every time and not respecting parent fieldList
	  level decl.

2004-02-24 19:01  rpandey

	  src/java/fr/gouv/culture/sdx/search/lucene/Field.java: sub fields
	  were demanding an analyzer from AnalyzerManager with null
	  configuratin files every time and not respecting parent fieldList
	  level decl.

2004-02-23 12:12  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/AbstractDocumentBase.java,
	  documentbase/AbstractIDGenerator.java,
	  documentbase/IndexParameters.java,
	  documentbase/SDXDocumentBase.java, framework/Framework.java,
	  logicsheet/sdx-actions.xsl, logicsheet/sdx-queries.xsl,
	  search/lucene/queryparser/DefaultQueryParser.jj,
	  utils/Utilities.java, utils/constants/Node.java,
	  utils/database/Database.java, utils/database/DatabaseBacked.java,
	  utils/database/DatabaseEntity.java,
	  utils/database/JDBCDatabase.java,
	  utils/database/JDBCDatabaseConnection.java,
	  utils/database/LuceneDatabase.java, utils/database/Property.java,
	  utils/database/SQLDatabaseConnection.java: bug fixes, optimized
	  imports, reformatted code

2004-02-23 12:06  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/AbstractDocumentBase.java,
	  documentbase/IndexParameters.java,
	  documentbase/SDXDocumentBase.java, framework/Framework.java,
	  logicsheet/sdx-actions.xsl, utils/Utilities.java,
	  utils/constants/Node.java: adding corrections to 2.2 branch

2004-02-04 18:01  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl: fixed
	  potential null pointer

2004-02-04 18:00  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  documentbase/AbstractDocumentBase.java,
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  oai/AbstractDocumentBaseOAIRepository.java,
	  repository/AbstractDatabaseBackedRepository.java,
	  repository/FSRepository.java, repository/URLRepository.java,
	  search/lucene/FieldsDefinition.java,
	  thesaurus/LuceneThesaurus.java,
	  utils/database/AbstractJDBCDatabase.java,
	  utils/database/Database.java, utils/database/DatabaseBacked.java,
	  utils/database/DatabaseEntity.java,
	  utils/database/HSQLDatabase.java,
	  utils/database/JDBCDatabase.java,
	  utils/database/JDBCDatabaseConnection.java,
	  utils/database/LuceneDatabase.java,
	  utils/database/MYSQLDatabase.java, utils/database/Property.java,
	  utils/database/SQLDatabaseConnection.java,
	  documentbase/AbstractIDGenerator.java,
	  search/lucene/highlight/LuceneTermHighlighter.java,
	  search/lucene/query/ComplexQuery.java,
	  search/lucene/query/DateIntervalQuery.java,
	  search/lucene/query/ExactFieldQuery.java,
	  search/lucene/query/FieldQuery.java,
	  search/lucene/query/LinearQuery.java,
	  search/lucene/query/LuceneIndex.java,
	  search/lucene/query/SearchLocations.java,
	  search/lucene/query/SimpleQuery.java, utils/constants/Node.java:
	  changes for a rdbms database implementation, bug fixes, optimized
	  imports, reformatted code

2004-02-03 19:00  brihaye

	   src/java/fr/gouv/culture/sdx/search/lucene/highlight/LuceneTermHighlighter.java:
	  Stupid bug in NS prefix.

2004-02-03 16:29  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl:
	  corrected potential null pointer

2004-01-24 14:02  brihaye

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/AbstractDocumentBase.java,
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java, search/Index.java,
	  search/SearchLocations.java,
	  search/lucene/query/ComplexQuery.java,
	  search/lucene/query/DateIntervalQuery.java,
	  search/lucene/query/ExactFieldQuery.java,
	  search/lucene/query/FieldQuery.java,
	  search/lucene/query/LinearQuery.java,
	  search/lucene/query/LuceneIndex.java,
	  search/lucene/query/SearchLocations.java,
	  search/lucene/query/SimpleQuery.java, utils/constants/Node.java,
	  utils/database/DatabaseBacked.java,
	  utils/lucene/LuceneDataStore.java: Implemented
	  <sdx:searchLocations> as a child of <sdx:query>

2004-01-19 22:22  brihaye

	   src/java/fr/gouv/culture/sdx/search/lucene/queryparser/ZeroPositionIncrementTokenQueryParser.jj:
	  Slop implemented

2004-01-19 19:52  brihaye

	  build.xml,
	  src/java/fr/gouv/culture/sdx/search/lucene/highlight/LuceneTermHighlighter.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/SimpleQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/queryparser/ZeroPositionIncrementTokenQueryParser.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/queryparser/ZeroPositionIncrementTokenQueryParser.jj,
	  src/java/fr/gouv/culture/sdx/utils/constants/Node.java,
	  src/java/org/apache/lucene/search/UnanalyzedQuery.java:
	  ZeroPositionIncrementTokenQueryParser.jj, toSAX modifications in
	  simpleQuery and Highlighter, UnanalyzedQuery

2004-01-19 15:05  rpandey

	  lib/optional/: luke-0.4.jar, luke-0.45.jar: updated luke jar

2004-01-19 15:04  rpandey

	  lib/optional/: luke-0.4.jar, luke-0.45.jar: changed luke jar

2004-01-19 12:56  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  search/lucene/FieldsDefinition.java,
	  search/lucene/analysis/Analyzer_ru.java,
	  search/lucene/highlight/LuceneTermHighlighter.java,
	  framework/Framework.java: some bug fixes, thanks to pb

2004-01-15 16:38  rpandey

	  build.xml: change version numbers for head branch

2004-01-15 16:24  rpandey

	  build.xml: [no log message]

2004-01-15 16:00  rpandey

	  src/java/fr/gouv/culture/sdx/framework/Framework.java: changed
	  version in file for tagging and branching

2004-01-15 15:59  rpandey

	  build.xml: changed version in build file for tagging and
	  branching

2004-01-13 17:16  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  oai/AbstractOAIMetadataFormat.java, oai/OAIError.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/BasicOAIMetadataFormat.java,
	  sdx/oai/SDXOAIMetadataFormat.java,
	  sdx/search/lucene/highlight/LuceneTermHighlighter.java,
	  sdx/utils/constants/Node.java: some javadocumenting, hilites in
	  attribute value support, refactored a Node.Name, etc.

2004-01-13 17:14  rpandey

	  src/webapp/sdx/: admin/xsl/messages.es, admin/xsl/messages.langs,
	  admin/xsl/messages.pt, resources/conf/analysis/es.xml,
	  resources/conf/analysis/pt.xml: new language resources

2004-01-12 19:29  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  oai/OAIHarvester.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  util/apache/cocoon/xml/AbstractSynchronizedXMLProducer.java:
	  latest work: some documentation and refactoring

2004-01-12 16:07  rpandey

	  src/: java/fr/gouv/culture/sdx/oai/SDXOAIMetadataFormat.java,
	  java/fr/gouv/culture/sdx/search/lucene/analysis/Analyzer_br.java,
	  java/fr/gouv/culture/sdx/search/lucene/analysis/Analyzer_cz.java,
	  java/fr/gouv/culture/sdx/search/lucene/analysis/Analyzer_de.java,
	  java/fr/gouv/culture/sdx/search/lucene/analysis/DefaultAnalyzer.java,
	  java/fr/gouv/culture/sdx/search/lucene/analysis/filter/BrazilianStemFilter.java,
	  java/fr/gouv/culture/sdx/search/lucene/analysis/stemmer/BrazilianStemmer.java,
	  webapp/sdx/resources/conf/analysis/br.xml,
	  webapp/sdx/resources/conf/analysis/de.xml,
	  webapp/sdx/resources/conf/analysis/ge.xml: new brazilian analyzer
	  resources, added link for a default schema url to
	  SDXOAIMetadataFormat

2004-01-12 14:32  rpandey

	  lib/optional/: lucene-1.4-rc1-dev-20040110.jar: changing lucene
	  as it was added as a text file the first time

2004-01-12 13:53  rpandey

	  src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  fixed bug that affected user/group additions

2004-01-12 13:17  rpandey

	  lib/optional/luke-0.4.jar,
	  src/webapp/WEB-INF/sdx/hsqlDatabaseManager.bat,
	  src/webapp/WEB-INF/sdx/hsqlDatabaseManager.sh,
	  src/webapp/WEB-INF/sdx/luke-0.4.jar,
	  src/webapp/WEB-INF/sdx/luke.bat, src/webapp/WEB-INF/sdx/luke.sh,
	  src/webapp/WEB-INF/sdx/rmi.policy: luke jar refactoring, luke
	  script additions, comments in other files

2004-01-12 12:58  rpandey

	  lib/core/saxon-6.5.3.jar,
	  src/java/fr/gouv/culture/oai/AbstractOAIHarvester.java,
	  src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIHarvester.java,
	  src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/DateFilter.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/Results.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/queryparser/DefaultQueryParser.jj,
	  src/java/fr/gouv/culture/sdx/search/lucene/queryparser/ZeroPositionIncrementTokenQueryParser.java,
	  src/java/fr/gouv/culture/sdx/sitemap/serialization/GzipXMLSerializer.java,
	  src/java/fr/gouv/culture/sdx/utils/ConfigurationUtilities.java,
	  src/webapp/WEB-INF/sdx/luke-0.2.jar,
	  src/webapp/WEB-INF/sdx/luke-0.4.jar: latest work

2004-01-12 12:34  rpandey

	  lib/core/saxon-6.5.2.jar: removing old saxon

2004-01-12 04:45  msevigny

	  src/webapp/sdx/admin/identities.xsp: Added hpp=-1 to handle more
	  than 20 users/groups in the admin interface...

2004-01-10 21:43  rpandey

	  lib/optional/: lucene-1.3-rc2-dev-20030910.jar,
	  lucene-1.4-rc1-dev-20040110.jar: lucene updates

2004-01-10 21:38  rpandey

	  src/java/fr/gouv/culture/sdx/search/lucene/: DateField.java,
	  DateFilter.java, queryparser/DefaultQueryParser.jj: lucene
	  updates

2004-01-10 21:25  rpandey

	  src/webapp/: sdx/resources/xsl/sdx-default.xsl,
	  sdxtest/xsl/upload.xsl: edited stylesheets for new
	  uploadDocuments/deleteDocuments sax output

2004-01-09 17:48  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIRepository.java,
	  oai/OAIHarvester.java, oai/OAIMetadataFormat.java,
	  oai/OAIObject.java, oai/OAIObjectImpl.java, oai/OAIRequest.java,
	  oai/OAIRequestImpl.java, oai/OAIResponse.java,
	  oai/OAIResponseImpl.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/IDGenerator.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/documentbase/SDXDocumentBase.java,
	  sdx/logicsheet/sdx-actions.xsl, sdx/logicsheet/sdx.xsl,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/LuceneDocumentBaseOAIHarvester.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/search/lucene/query/LuceneIndex.java,
	  sdx/sitemap/serialization/GzipXMLSerializer.java,
	  sdx/utils/ConfigurationUtilities.java,
	  sdx/utils/database/AbstractJDBCDatabase.java: latest work

2004-01-07 14:44  rpandey

	   src/java/fr/gouv/culture/sdx/sitemap/serialization/GzipXMLSerializer.java:
	  new class

2004-01-07 14:43  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: in
	  uploadDocuments, we should verify if the dir param has been set,
	  if yes then don't look for a zip file, if no then we try to build
	  a dir from a zip param

2004-01-07 13:29  rpandey

	  src/: documentation/src/xml/schemas/sdx-oai-metadata-format.xsd,
	  documentation/src/xml/schemas/sdx-upload-output.xsd,
	  java/fr/gouv/culture/oai/AbstractOAIMetadataFormat.java,
	  java/fr/gouv/culture/oai/OAIMetadataFormat.java,
	  java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  webapp/sdxtest/conf/application.xconf: latest work

2004-01-06 18:51  rpandey

	  src/: documentation/src/xml/schemas/sdx-upload-output.xsd,
	  java/fr/gouv/culture/oai/OAIHarvester.java,
	  java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java,
	  java/fr/gouv/culture/sdx/sitemap/serialization/GzipXMLSerializer.java,
	  java/fr/gouv/culture/sdx/utils/database/AbstractJDBCDatabase.java:
	  latest work, new class

2004-01-05 18:33  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIRepository.java,
	  oai/OAIHarvester.java, oai/OAIMetadataFormat.java,
	  oai/OAIObjectImpl.java, oai/OAIRepository.java,
	  oai/OAIRequest.java, oai/OAIRequestImpl.java,
	  oai/OAIResponse.java, oai/OAIResponseImpl.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/documentbase/SDXDocumentBase.java, sdx/logicsheet/sdx.xsl,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java: some documentation

2004-01-05 11:49  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIRepository.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/LuceneDocumentBaseOAIHarvester.java: more oai changes

2004-01-05 11:11  rpandey

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  fixed attribute name bug

2004-01-04 20:43  rpandey

	  src/java/fr/gouv/culture/: oai/OAIHarvester.java,
	  oai/OAIRepository.java, sdx/document/IndexableFieldProperty.java,
	  sdx/exception/SDXExceptionCode.java,
	  sdx/exception/errors_en.properties,
	  sdx/exception/errors_fr.properties,
	  sdx/logicsheet/sdx-parameters.xsl,
	  sdx/logicsheet/sdx-queries.xsl,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  sdx/oai/LuceneDocumentBaseOAIHarvester.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/search/lucene/query/LuceneIndex.java,
	  sdx/thesaurus/AbstractConcept.java,
	  sdx/utils/database/AbstractJDBCDatabase.java: latest oai work,
	  refactoring, imports optimized, code reformatted

2004-01-02 21:17  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  document/AbstractIndexableDocument.java,
	  document/IndexableDocument.java,
	  document/IndexableFieldProperty.java,
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  exception/SDXExceptionCode.java, exception/errors_en.properties,
	  exception/errors_fr.properties,
	  search/lucene/FieldsDefinition.java, utils/SdxObjectImpl.java,
	  utils/Utilities.java, utils/constants/Node.java,
	  utils/database/Property.java: latest work, refactoring, imports
	  optimized, code reformatted

2003-12-31 18:26  rpandey

	  src/java/fr/gouv/culture/: oai/OAIRepository.java,
	  sdx/application/Application.java,
	  sdx/document/AbstractIndexableDocument.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/AbstractIDGenerator.java,
	  sdx/documentbase/DocumentBase.java,
	  sdx/documentbase/IDGenerator.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/documentbase/SDXDocumentBase.java,
	  sdx/logicsheet/sdx-parameters.xsl,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/search/lucene/query/LuceneIndex.java,
	  sdx/utils/SdxObjectImpl.java, sdx/utils/Utilities.java,
	  sdx/utils/database/DatabaseBacked.java,
	  sdx/utils/database/Property.java,
	  sdx/utils/jvm/vm14/URLCoderWrapper.java: some more work,
	  refactoring, optimization of imports, and a code reformat

2003-12-31 18:25  rpandey

	  src/webapp/sdx/resources/xsl/sdx-default.xsl: synced xsl with sdx
	  sax event output

2003-12-30 22:00  brihaye

	  src/documentation/src/xml/fr/oai/entrepot.xml: Typo in URL

2003-12-30 19:23  rpandey

	  src/webapp/WEB-INF/sdx/sdx.xconf: added a default encoding utf-8

2003-12-30 19:23  rpandey

	  src/:
	  java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  java/fr/gouv/culture/sdx/utils/constants/Node.java,
	  webapp/sdxtest/xsl/upload.xsl: 2.2 beta work for better
	  indexation events

2003-12-30 16:26  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  user/UserDatabase.java, user/UserInformation.java,
	  utils/database/AbstractJDBCDatabase.java,
	  utils/database/Property.java: bug tracking

2003-12-30 12:14  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-parameters.xsl:
	  commented debug strings for sdx_parameter verification, but did
	  not remove them as the problems still exists

2003-12-30 12:13  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-parameters.xsl:
	  commented debug strings, but did not remove them as the problems
	  still exists

2003-12-29 21:17  uid67066

	  build.xml: latest work

2003-12-29 20:45  uid67066

	  src/java/fr/gouv/culture/sdx/:
	  oai/LuceneDocumentBaseOAIRepository.java,
	  pipeline/AttributeLabeledElementFilter.java,
	  utils/Utilities.java: latest work

2003-12-23 20:16  uid67066

	  build.xml, lib/core/excalibur-datasource-vm12-20021121.jar,
	  src/java/fr/gouv/culture/oai/AbstractOAIHarvester.java,
	  src/java/fr/gouv/culture/oai/AbstractOAIRepository.java,
	  src/java/fr/gouv/culture/oai/OAIComponentImpl.java,
	  src/java/fr/gouv/culture/oai/OAIError.java,
	  src/java/fr/gouv/culture/oai/OAIHarvester.java,
	  src/java/fr/gouv/culture/oai/OAIRepository.java,
	  src/java/fr/gouv/culture/oai/OAIRequest.java,
	  src/java/fr/gouv/culture/oai/OAIRequestImpl.java,
	  src/java/fr/gouv/culture/oai/OAIResponseImpl.java,
	  src/java/fr/gouv/culture/sdx/application/Application.java,
	  src/java/fr/gouv/culture/sdx/document/AbstractDocument.java,
	  src/java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java,
	  src/java/fr/gouv/culture/sdx/document/Document.java,
	  src/java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java,
	  src/java/fr/gouv/culture/sdx/documentbase/AbstractIDGenerator.java,
	  src/java/fr/gouv/culture/sdx/documentbase/DocumentBase.java,
	  src/java/fr/gouv/culture/sdx/documentbase/IDGenerator.java,
	  src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  src/java/fr/gouv/culture/sdx/documentbase/SimpleIDGenerator.java,
	  src/java/fr/gouv/culture/sdx/framework/Framework.java,
	  src/java/fr/gouv/culture/sdx/framework/FrameworkImpl.java,
	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl,
	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-parameters.xsl,
	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl,
	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl,
	  src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  src/java/fr/gouv/culture/sdx/oai/BasicOAIMetadataFormat.java,
	  src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIHarvester.java,
	  src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  src/java/fr/gouv/culture/sdx/pipeline/AttributeLabeledElementFilter.java,
	  src/java/fr/gouv/culture/sdx/pipeline/ElementFilter.java,
	  src/java/fr/gouv/culture/sdx/pipeline/TagFilter.java,
	  src/java/fr/gouv/culture/sdx/repository/FSRepository.java,
	  src/java/fr/gouv/culture/sdx/repository/JDBCRepository.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/Field.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/Analyzer_ar.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/Glosser_ar_en.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/highlight/LuceneTermHighlighter.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/AbstractQuery.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/Results.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/Terms.java,
	  src/java/fr/gouv/culture/sdx/thesaurus/LuceneQueryExpander.java,
	  src/java/fr/gouv/culture/sdx/thesaurus/LuceneThesaurus.java,
	  src/java/fr/gouv/culture/sdx/user/UserDatabase.java,
	  src/java/fr/gouv/culture/sdx/user/UserInformation.java,
	  src/java/fr/gouv/culture/sdx/utils/Date.java,
	  src/java/fr/gouv/culture/sdx/utils/SdxObject.java,
	  src/java/fr/gouv/culture/sdx/utils/SdxObjectImpl.java,
	  src/java/fr/gouv/culture/sdx/utils/Utilities.java,
	  src/java/fr/gouv/culture/sdx/utils/database/AbstractJDBCDatabase.java,
	  src/java/fr/gouv/culture/sdx/utils/database/Property.java,
	  src/java/fr/gouv/culture/sdx/utils/jvm/vm14/URLCoderWrapper.java,
	  src/java/org/apache/lucene/search/UnanalyzedQuery.java: latest
	  work

2003-12-03 18:52  brihaye

	  src/documentation/src/xml/fr/oai/: entrepot.xml, intro.xml:
	  Typoes

2003-12-03 14:37  malo_pichot

	  src/documentation/src/xml/fr/reference/: actions_amender.xml,
	  actions_gestion.xml, actions_indexation.xml,
	  actions_recuperation.xml, actions_requetes.xml: Correction de
	  quelques erreurs et éclaircissements.

2003-12-02 18:57  msevigny

	  lib/optional/: fop-0.20.5.jar, fop-0.20.4.jar: Nouvelle version
	  de FOP: 0.20.5.

2003-12-02 12:45  malo_pichot

	  src/documentation/src/xml/fr/oai/: entrepot.xml, intro.xml:
	  Typoes.

2003-12-02 09:52  malo_pichot

	  src/documentation/src/xml/fr/oai/: moissonneur.xml, entrepot.xml:
	  Typoes.

2003-12-02 09:40  malo_pichot

	  src/documentation/src/xml/fr/oai/entrepot.xml: Typoes.

2003-12-02 08:42  malo_pichot

	  src/documentation/src/xml/fr/oai/intro.xml: Typoes.

2003-12-02 08:39  malo_pichot

	  src/documentation/src/xml/fr/oai/: intro.xml: Typoes.

2003-12-01 12:20  msevigny

	  src/documentation/src/xml/fr/oai/moissonneur.xml: Fin de la
	  documentation OAI.

2003-12-01 10:50  msevigny

	  src/documentation/src/xml/fr/: layout.xml, oai/entrepot.xml,
	  oai/intro.xml, oai/moissonneur.xml: Premiere partie de la
	  documentation OAI.

2003-11-26 18:59  brihaye

	  src/webapp/sdxtest/conf/application.xconf: Make sdxtest work as
	  an OAI repo.

2003-11-26 13:34  malo_pichot

	  src/webapp/sdxtest/: glossary.xsp, terms.xsp: Correction to fix
	  <sdx:location> problem with actual SDX logicsheet.

2003-11-26 13:24  malo_pichot

	  src/webapp/sdxtest/conf/application.xconf: Because of a bug in
	  OAI functions in SDX, I've disconnected this aspect in SDXTest.
	  Correction in few days...

2003-11-26 08:33  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-parameters.xsl:
	  debug: loop in <xsl:template match="sdx:locations>. Correction
	  from Pierre Dittgen.

2003-11-25 20:54  brihaye

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-parameters.xsl:
	  sdx:location bug-fix. Thxs to Pierre Dittgen.

2003-11-23 16:56  brihaye

	  src/documentation/src/xml/fr/: layout.xml,
	  introduction/analyseurs.xml: First draft on analyzers.

2003-11-19 18:42  rpandey

	   src/java/fr/gouv/culture/sdx/search/lucene/highlight/LuceneTermHighlighter.java:
	  another fix

2003-11-18 17:45  rpandey

	   src/java/fr/gouv/culture/sdx/search/lucene/highlight/LuceneTermHighlighter.java:
	  hilite changes for mulitple tokens coming from on input term

2003-11-12 18:22  rpandey

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  sax event changes

2003-11-12 18:21  rpandey

	  src/java/fr/gouv/culture/sdx/framework/FrameworkImpl.java: bug
	  fix, thanks malo

2003-11-12 18:16  rpandey

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  continued bug fix, thanks to pb

2003-11-12 13:26  rpandey

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  listMetadataFormats fixed idDoesNotExist error

2003-11-12 13:22  rpandey

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  now setting baseURL from user config attr and earliestDatestamp

2003-11-02 18:27  brihaye

	  src/documentation/src/xml/fr/introduction/multilinguisme.xml:
	  Added doc entry for arabic analyzer.

2003-10-28 15:05  msevigny

	  src/java/fr/gouv/culture/sdx/search/lucene/query/Results.java:
	  Bug fix: includeDocument with a qid not containing the document
	  was throwing an exception...

2003-10-28 12:00  rpandey

	  src/java/fr/gouv/culture/sdx/utils/Utilities.java: fixed bug in
	  resolveFile

2003-10-27 11:40  rpandey

	  src/java/fr/gouv/culture/sdx/utils/: Utilities.java: fixed bug in
	  resolveFile

2003-10-19 08:47  msevigny

	  src/webapp/: sitemap.xmap, WEB-INF/web.xml: Passage de l'encodage
	  HTML et du traitement des formulaires à UTF-8.

2003-10-17 12:41  rpandey

	  src/java/fr/gouv/culture/sdx/framework/FrameworkImpl.java: some
	  error checking that needed to be done for a long time

2003-10-15 18:30  brihaye

	  src/java/fr/gouv/culture/sdx/: logicsheet/sdx-actions.xsl,
	  search/lucene/query/Results.java: Improved <sdx:navigation>
	  generation. Same improvements could concern
	  <sdx:includeDocument>.

2003-10-15 18:27  brihaye

	  build.xml: Bug fix : build-number target wasn't executed anymore.

2003-10-15 18:17  brihaye

	  src/webapp/sdx/api-url/: datesearch.xsp, executeDateQuery.xsp:
	  Added useful xsp for api-url

2003-10-13 20:17  brihaye

	  src/java/fr/gouv/culture/sdx/search/lucene/query/Results.java:
	  Added query representation in <sdx:navigation>

2003-10-13 20:16  brihaye

	  src/java/fr/gouv/culture/sdx/search/lucene/query/:
	  AbstractQuery.java, ExactFieldQuery.java, FieldQuery.java:
	  Refactored defautl field management.

2003-10-12 10:40  brihaye

	  build.xml, lib/optional/ArabicAnalyzer.jar,
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/Analyzer_ar.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/Glosser_ar_en.java:
	  Repackaged arabic analyzer

2003-10-07 13:07  rpandey

	  src/java/fr/gouv/culture/sdx/thesaurus/LuceneQueryExpander.java:
	  change for OR behavoir in non-deep boolean query expansion

2003-10-01 12:22  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_recuperation.xml:
	  Update the second example for sdx:includeDocument : SDX need the
	  id of the document, not only the references of the request and
	  the number of the document in this resquest // Mise à jour du
	  second exeple de sdx:includeDocument : SDX a besoin de
	  l'identifiant du document, pas seulement des références de la
	  requête et du numéro du document dans le jeu de résultats.

2003-09-30 18:37  brihaye

	  lib/optional/ArabicAnalyzer.jar: Fixed license issue. Everything
	  is now GPLed :-P

2003-09-29 18:09  brihaye

	  build.xml: Fixes for JDK 1.3. Need real testing.

2003-09-28 18:00  brihaye

	  lib/optional/ArabicAnalyzer.jar: Better token handling in
	  whitespace filter

2003-09-28 15:28  brihaye

	  lib/optional/ArabicAnalyzer.jar: Bug fixes : diacritics and
	  tokens offsets.

2003-09-27 21:00  brihaye

	  src/java/org/apache/lucene/search/UnanalyzedQuery.class: Removed
	  binary file

2003-09-27 20:47  brihaye

	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/:
	  Analyzer_ar.java, Glosser_ar_en.java: SDX analyzers for arabic

2003-09-27 20:26  brihaye

	  build.xml: Take Arabic Analyzer in account. Dynamic patching of
	  Lucene distribution file.

2003-09-27 20:24  brihaye

	  lib/optional/ArabicAnalyzer.jar: Arabic Analyzer (JDK 1.4)

2003-09-27 20:16  brihaye

	  src/java/org/apache/lucene/search/: UnanalyzedQuery.class,
	  UnanalyzedQuery.java: Files to add to official Lucene distro.

2003-09-27 20:09  brihaye

	   src/java/fr/gouv/culture/sdx/search/lucene/queryparser/DefaultQueryParser.jj:
	  No allows queries with tokens having the same position.

2003-09-27 20:09  brihaye

	  src/java/fr/gouv/culture/sdx/search/lucene/Field.java: Added the
	  opportunity to define analyzer at run-time. Not very aware of
	  AnalyzerManager :-(

2003-09-26 11:20  rpandey

	  src/java/fr/gouv/culture/sdx/repository/FSRepository.java: bug
	  fix : change for unique filenames within fsrepo dirs

2003-09-24 12:00  rpandey

	  src/java/fr/gouv/culture/sdx/repository/FSRepository.java: change
	  for unique filenames within fsrepo dirs

2003-09-22 13:23  rpandey

	   src/java/fr/gouv/culture/sdx/search/lucene/highlight/LuceneTermHighlighter.java:
	  changes for highlighting terms for stemming implemenations, the
	  term will be highlited based upon the first token returned from
	  the analyzer matching the corresponding query term

2003-09-19 17:11  rpandey

	   src/java/fr/gouv/culture/sdx/search/lucene/highlight/LuceneTermHighlighter.java:
	  fix for multiToken analyzers, only the first token will be
	  associated with the source text for which it was returned

2003-09-17 14:36  rpandey

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  repoid fix in indexation document

2003-09-15 19:12  brihaye

	  src/documentation/src/xml/fr/reference/actions_requetes.xml:
	  Documented fallback/success on query preparations.

2003-09-11 16:04  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-parameters.xsl: bug
	  fix for search locations according to malo's bug report

2003-09-11 14:42  rpandey

	  src/java/fr/gouv/culture/sdx/search/lucene/query/FieldQuery.java:
	  using provided analyzer for specific field when parsing query for
	  a field of type word

2003-09-10 18:03  rpandey

	  legal/LICENSE.luke.apache, legal/LICENSE.luke.thinlet,
	  lib/optional/lucene-1.3-rc2-dev-20030812.jar,
	  lib/optional/lucene-1.3-rc2-dev-20030910.jar,
	  src/java/fr/gouv/culture/oai/AbstractOAIHarvester.java,
	  src/java/fr/gouv/culture/sdx/document/AbstractDocument.java,
	  src/java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java,
	  src/java/fr/gouv/culture/sdx/document/Document.java,
	  src/java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java,
	  src/java/fr/gouv/culture/sdx/documentbase/AbstractIDGenerator.java,
	  src/java/fr/gouv/culture/sdx/documentbase/DefaultIDGenerator.java,
	  src/java/fr/gouv/culture/sdx/documentbase/IDGenerator.java,
	  src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  src/java/fr/gouv/culture/sdx/documentbase/SimpleIDGenerator.java,
	  src/java/fr/gouv/culture/sdx/exception/SDXException.java,
	  src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  src/java/fr/gouv/culture/sdx/pipeline/AttributeLabeledElementFilter.java,
	  src/java/fr/gouv/culture/sdx/search/lucene/query/Terms.java,
	  src/webapp/WEB-INF/sdx/luke-0.2.jar: multiple changes

2003-09-10 17:51  rpandey

	  src/webapp/sdx/resources/conf/analysis/cz.xml: fixed encoding
	  value

2003-09-10 15:36  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_requetes.xml:
	  correction for the third example of 'sdx:executeListQuery' //
	  correction du 3ème exemple pour 'sdx:executeListQuery'

2003-09-10 09:41  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_index.xml: update
	  sdx:terms information about @field // mise à jour des
	  informations sur sdx:terms à propos de l'attribut @field

2003-09-02 18:26  rpandey

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIHarvester.java:
	  changes to method determining if a document should be updated

2003-09-02 15:05  rpandey

	  src/java/fr/gouv/culture/oai/OAIComponent.java: changes in hilite
	  template for handling a user specified qid within the a page that
	  may contain preceeding query

2003-09-01 16:23  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-pipelines.xsl:
	  changes in hilite template for handling a user specified qid
	  within the a page that may contain preceeding query

2003-09-01 16:13  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl: fixed
	  session problem when executing a query with a static qid

2003-08-29 14:02  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx-parameters.xsl: uploadDocument now accepts a url that can be
	  a directory

2003-08-27 19:36  rpandey

	  changes.xml: updated changes

2003-08-27 19:35  rpandey

	  src/webapp/sdx/sitemap.xmap: changed strippers to filters

2003-08-27 19:33  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  pipeline/AttributeLabeledElementFilter.java,
	  pipeline/AttributeLabeledElementStripper.java,
	  pipeline/ElementFilter.java, pipeline/ElementStripper.java,
	  pipeline/NamespacedElementStripper.java,
	  pipeline/NamespacedTagStripper.java, pipeline/TagFilter.java,
	  pipeline/TagStripper.java, repository/JDBCRepository.java,
	  sitemap/transformers/AttributeLabledElementFilter.java,
	  sitemap/transformers/AttributeLabledElementStripper.java,
	  sitemap/transformers/ElementFilter.java,
	  sitemap/transformers/ElementStripper.java,
	  sitemap/transformers/NamespacedElementStripper.java,
	  sitemap/transformers/NamespacedTagStripper.java,
	  sitemap/transformers/TagFilter.java,
	  sitemap/transformers/TagStripper.java,
	  utils/xml/SimpleXPathString.java: changed strippers to filters
	  which now can take a parameter as to wheter to strip or send
	  elements and made some jdbc changes for weird case sensitivity
	  issues

2003-08-26 17:07  rpandey

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  queries for resumption tokens are now behaving properly

2003-08-26 16:04  rpandey

	  build.xml: bug fix by myriam

2003-08-26 15:23  rpandey

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIHarvester.java:
	  bug fix

2003-08-26 14:04  rpandey

	   src/java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java:
	  lucene limitation work around and other changes

2003-08-25 19:51  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/logicsheet/sdx-pipelines.xsl,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/LuceneDocumentBaseOAIHarvester.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/repository/JDBCRepository.java,
	  sdx/search/lucene/DateField.java,
	  sdx/search/lucene/DateFilter.java,
	  sdx/search/lucene/query/DateIntervalQuery.java,
	  sdx/search/lucene/query/Results.java,
	  sdx/utils/database/DatabaseBacked.java,
	  sdx/utils/database/HSQLDatabase.java: changes, reformatted code,
	  optimized imports

2003-08-21 19:10  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/search/lucene/query/Results.java: changes

2003-08-21 12:56  rpandey

	  src/java/fr/gouv/culture/: oai/util/OAIUtilities.java,
	  sdx/document/AbstractDocument.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/BasicOAIMetadataFormat.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/pipeline/AbstractPipeline.java,
	  sdx/repository/HSQLRepository.java,
	  sdx/repository/JDBCRepository.java,
	  sdx/repository/JDBCRepositoryConnection.java,
	  sdx/utils/Utilities.java,
	  sdx/utils/database/AbstractJDBCDatabase.java,
	  sdx/utils/database/DatabaseConnection.java,
	  sdx/utils/database/HSQLDatabase.java,
	  sdx/utils/database/SQLDatabaseConnection.java: oai work, jdbc
	  changes, reformatted code, optimized imports

2003-08-18 19:49  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  oai/LuceneDocumentBaseOAIRepository.java,
	  pipeline/AbstractPipeline.java: changes

2003-08-18 18:00  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  oai/AbstractOAIMetadataFormat.java,
	  oai/AbstractOAIRepository.java,
	  sdx/document/AbstractIndexableDocument.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/BasicOAIMetadataFormat.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/oai/SDXOAIMetadataFormat.java,
	  sdx/pipeline/AbstractPipeline.java,
	  sdx/pipeline/ElementCountTransformation.java,
	  sdx/pipeline/NamespacedElementStripper.java,
	  sdx/pipeline/NamespacedTagStripper.java,
	  sdx/pipeline/TagStripper.java,
	  sdx/repository/AbstractDataSourceComponentBackedRepository.java,
	  sdx/repository/AbstractRepositoryConnection.java,
	  sdx/repository/JDBCRepository.java,
	  sdx/search/lucene/filter/Filter.java,
	  sdx/search/lucene/query/Terms.java,
	  sdx/sitemap/transformers/ElementCounter.java,
	  sdx/utils/Utilities.java, sdx/utils/database/DatabaseBacked.java,
	  sdx/utils/database/DatabaseEntity.java,
	  sdx/utils/database/HSQLDatabase.java,
	  util/apache/avalon/excalibur/concurrent/Mutex.java: changes,
	  optimized imports, reformatted code

2003-08-14 12:59  rpandey

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  bug fix

2003-08-13 19:43  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/AbstractDocumentBase.java,
	  documentbase/LuceneDocumentBase.java,
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  oai/LuceneDocumentBaseOAIRepository.java,
	  pipeline/XSLTTransformation.java: changes

2003-08-13 19:32  rpandey

	  lib/optional/: lucene-1.3-rc2-dev-20030728.jar,
	  lucene-1.3-rc2-dev-20030812.jar: lucene changes

2003-08-07 19:57  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/pipeline/AbstractPipeline.java,
	  sdx/pipeline/AbstractTransformation.java,
	  sdx/pipeline/NamespacedElementStripper.java,
	  sdx/pipeline/NamespacedTagStripper.java,
	  sdx/repository/AbstractDataSourceComponentBackedRepository.java,
	  sdx/repository/AbstractDatabaseBackedRepository.java,
	  sdx/repository/HSQLRepository.java,
	  sdx/repository/JDBCRepository.java,
	  sdx/repository/JDBCRepositoryConnection.java,
	  sdx/repository/Repository.java, sdx/utils/Utilities.java,
	  sdx/utils/database/AbstractJDBCDatabase.java,
	  sdx/utils/database/HSQLDatabase.java, sdx/utils/rdbms/JDBC.java:
	  corrections

2003-08-06 17:42  rpandey

	  src/java/fr/gouv/culture/sdx/: repository/HSQLRepository.java,
	  repository/JDBCRepository.java,
	  utils/database/AbstractJDBCDatabase.java,
	  utils/database/HSQLDatabase.java, utils/rdbms/JDBC.java: table
	  name escape change

2003-08-04 21:28  rpandey

	  src/java/fr/gouv/culture/sdx/pipeline/:
	  ElementCountTransformation.java, NamespacedElementStripper.java:
	  corrections

2003-08-04 20:13  rpandey

	  src/java/fr/gouv/culture/sdx/: logicsheet/sdx.xsl,
	  pipeline/ElementCountTransformation.java,
	  pipeline/NamespacedElementStripper.java,
	  pipeline/NamespacedTagStripper.java, pipeline/TagStripper.java:
	  small changes, fixed compile error in taglib

2003-08-04 19:53  msevigny

	  INSTALL: Testting.

2003-07-31 13:20  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl: fixed bug

2003-07-30 21:39  rpandey

	  src/java/fr/gouv/culture/sdx/: framework/FrameworkImpl.java,
	  logicsheet/sdx-actions.xsl, logicsheet/sdx.xsl,
	  pipeline/AbstractPipeline.java: changes

2003-07-30 16:00  fglorieux

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl: fix bug on unzip
	  files

2003-07-30 14:04  rpandey

	  lib/optional/lucene-1.3-dev1-20021205.jar: remvoing old lucene

2003-07-30 11:47  rpandey

	  src/java/fr/gouv/culture/sdx/: document/AbstractDocument.java,
	  document/AbstractIndexableDocument.java,
	  document/IndexableDocument.java,
	  documentbase/LuceneDocumentBase.java,
	  exception/errors_fr.properties,
	  repository/AbstractRepositoryConnection.java,
	  search/lucene/queryparser/DefaultQueryParser.jj,
	  utils/Utilities.java: changes, updated query parser, ragtag
	  rollback on indexation documents that fail to add sub/attached
	  docs, etc.

2003-07-29 20:25  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl: added missing
	  import statement to correspond with fred's changes on the 10th of
	  july

2003-07-29 12:14  rpandey

	  lib/optional/lucene-1.3-rc2-dev-20030728.jar: lucene update

2003-07-28 18:59  rpandey

	  src/java/fr/gouv/culture/sdx/utils/Utilities.java: handling
	  relative urls better

2003-07-28 18:37  rpandey

	   src/java/fr/gouv/culture/sdx/pipeline/ElementCountTransformation.java:
	  small change

2003-07-28 15:32  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/AbstractDocumentBase.java,
	  logicsheet/sdx-actions.xsl,
	  pipeline/ElementCountTransformation.java,
	  search/lucene/query/Terms.java,
	  sitemap/transformers/ElementCounter.java: changes

2003-07-25 20:55  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: term
	  generation from a previous query in an xsp page will now take
	  precedence over term building from a simple locations definition,
	  if you have a query before you terms then you will always get
	  terms ONLY for that query unless you nullify the sdx_results
	  object before the terms are exectued is this good, useful,
	  meaningful?

2003-07-24 21:27  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-parameters.xsl:
	  better test in sdx:build-locations for attribute names starting
	  with 'base'

2003-07-24 17:45  rpandey

	  src/java/fr/gouv/culture/:
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  oai/AbstractOAIHarvester.java: changed default behavior of
	  identifier class field

2003-07-24 17:45  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: one more
	  change for locations, things seem to be standardized now

2003-07-24 17:43  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx-parameters.xsl, sdx-queries.xsl: some changes for handling of
	  locations, things seem to be standardized now

2003-07-24 15:11  rpandey

	  src/java/fr/gouv/culture/sdx/utils/database/:
	  AbstractJDBCDatabase.java, HSQLDatabase.java: changes 2.1
	  compatibility and portability

2003-07-23 19:30  rpandey

	  src/java/fr/gouv/culture/sdx/: logicsheet/sdx-queries.xsl,
	  pipeline/ElementStripper.java,
	  utils/database/AbstractJDBCDatabase.java,
	  utils/database/HSQLDatabase.java: changes

2003-07-23 15:36  malo_pichot

	  src/webapp/WEB-INF/logkit.xconf: just a little cleanning // un
	  petit coup de balai

2003-07-23 12:47  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_indexation.xml:
	  adding documentation on sameId and attachedDocumentSameId //
	  documentation de sameId et attachedDocumentSameId

2003-07-22 20:24  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  oai/AbstractOAIMetadataFormat.java, oai/OAIResponseImpl.java,
	  sdx/application/Application.java,
	  sdx/document/BinaryDocument.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/IndexParameters.java,
	  sdx/pipeline/AbstractPipeline.java,
	  sdx/pipeline/AttributeLabeledElementStripper.java,
	  sdx/pipeline/ElementStripper.java,
	  sdx/pipeline/NamespacedElementStripper.java,
	  sdx/pipeline/NamespacedTagStripper.java,
	  sdx/pipeline/TagStripper.java,
	  sdx/repository/AbstractDataSourceComponentBackedRepository.java,
	  sdx/repository/FSRepository.java,
	  sdx/repository/JDBCRepository.java, sdx/search/lucene/Field.java,
	  sdx/search/lucene/analysis/filter/FrenchStandardFilter.java,
	  sdx/search/lucene/filter/Criteria.java,
	  sdx/search/lucene/filter/Filter.java,
	  sdx/search/lucene/filter/FilterCriteria.java,
	  sdx/search/lucene/highlight/LuceneTermHighlighter.java,
	  sdx/search/lucene/query/AbstractQuery.java,
	  sdx/search/lucene/query/ComplexQuery.java,
	  sdx/search/lucene/query/DateIntervalQuery.java,
	  sdx/search/lucene/query/ExactFieldQuery.java,
	  sdx/search/lucene/query/FieldQuery.java,
	  sdx/search/lucene/query/LinearQuery.java,
	  sdx/search/lucene/query/Query.java,
	  sdx/search/lucene/query/RestrictedQuery.java,
	  sdx/search/lucene/query/ResultDocuments.java,
	  sdx/search/lucene/query/SimpleQuery.java,
	  sdx/search/lucene/query/SortSpecification.java,
	  sdx/search/lucene/query/Terms.java,
	  sdx/sitemap/transformers/AttributeLabledElementStripper.java,
	  sdx/sitemap/transformers/NamespacedTagStripper.java,
	  sdx/sitemap/transformers/TagStripper.java,
	  sdx/thesaurus/AbstractConcept.java,
	  sdx/thesaurus/LuceneQueryExpander.java,
	  sdx/thesaurus/LuceneThesaurus.java, sdx/utils/Bits.java,
	  sdx/utils/Date.java,
	  sdx/utils/database/AbstractJDBCDatabase.java,
	  sdx/utils/database/DatabaseBacked.java,
	  sdx/utils/database/HSQLDatabase.java,
	  sdx/utils/lucene/LuceneDataField.java,
	  sdx/utils/lucene/LuceneTools.java,
	  sdx/utils/tests/CurrentDirectory.java,
	  util/apache/cocoon/xml/SynchronizedXMLPipe.java: changes,
	  reformatted code, optimized imports

2003-07-22 12:18  rpandey

	  src/webapp/sdx/sitemap.xmap: one more line for the fix

2003-07-22 12:17  rpandey

	  src/webapp/sdx/sitemap.xmap: fixing api-url calls

2003-07-21 18:43  brihaye

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: Readded
	  deleted code.

2003-07-21 18:23  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/AbstractDocumentBase.java,
	  documentbase/LuceneDocumentBase.java, logicsheet/sdx-actions.xsl,
	  logicsheet/sdx-parameters.xsl, logicsheet/sdx-pipelines.xsl,
	  logicsheet/sdx-queries.xsl, logicsheet/sdx.xsl,
	  repository/AbstractDataSourceComponentBackedRepository.java,
	  repository/AbstractDatabaseBackedRepository.java,
	  repository/FSRepository.java, repository/JDBCRepository.java,
	  repository/Repository.java, search/lucene/query/TermInfo.java,
	  search/lucene/query/Terms.java, user/UserDatabase.java,
	  utils/database/AbstractJDBCDatabase.java,
	  utils/database/Database.java, utils/database/LuceneDatabase.java:
	  changes

2003-07-16 18:28  rpandey

	  src/java/fr/gouv/culture/sdx/search/lucene/query/Terms.java:
	  changes

2003-07-16 16:54  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  framework/FrameworkImpl.java, pipeline/TagStripper.java:
	  classloading changes

2003-07-16 16:53  rpandey

	  src/webapp/WEB-INF/cocoon.xconf: loading sdx objects first now

2003-07-16 14:29  rpandey

	  src/java/fr/gouv/culture/sdx/pipeline/TagStripper.java: removed
	  abstract class keyword

2003-07-15 18:51  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  logicsheet/sdx-actions.xsl, logicsheet/sdx.xsl,
	  pipeline/AttributeLabeledElementStripper.java,
	  pipeline/ElementStripper.java,
	  pipeline/NamespacedElementStripper.java,
	  pipeline/NamespacedTagStripper.java, pipeline/TagStripper.java,
	  search/lucene/query/Results.java,
	  search/lucene/query/TermInfo.java,
	  search/lucene/query/Terms.java,
	  sitemap/transformers/AttributeLabledElementStripper.java,
	  utils/database/DatabaseBacked.java,
	  utils/database/HSQLDatabase.java, utils/rdbms/hsql/HSQLDB.java:
	  changes

2003-07-15 12:08  rpandey

	   src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  bug fix

2003-07-15 12:07  rpandey

	  src/webapp/sdx/sitemap.xmap: changes to transformers

2003-07-10 17:20  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl: init page
	  changes

2003-07-10 17:13  rpandey

	  src/java/fr/gouv/culture/sdx/pipeline/ElementStripper.java:
	  refactoring

2003-07-10 17:12  rpandey

	  src/java/fr/gouv/culture/sdx/: application/Application.java,
	  documentbase/LuceneDocumentBase.java: some changes for config
	  time

2003-07-10 17:11  rpandey

	  src/java/fr/gouv/culture/sdx/exception/errors_fr.properties:
	  removed special chars

2003-07-10 17:10  rpandey

	  src/java/fr/gouv/culture/sdx/pipeline/: AbstractPipeline.java,
	  ElementStripper.java, NamespacedElementStripper.java,
	  NamespacedTagStripper.java, TagStripper.java: new strippers
	  transformations

2003-07-10 17:10  rpandey

	  src/java/fr/gouv/culture/sdx/search/lucene/: Field.java,
	  FieldsDefinition.java: better exception message

2003-07-10 17:09  rpandey

	  src/java/fr/gouv/culture/sdx/sitemap/transformers/:
	  NamespacedTagStripper.java, TagStripper.java: additions

2003-07-10 14:39  fglorieux

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-parameters.xsl:
	  reformat parameter template to fix a bug on keeping the name of
	  the parameter (used for indexation param) + more comments to
	  avoid same error

2003-07-10 12:26  malo_pichot

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl: debug
	  local sdx:show (sdx_show2) to work with "results" and "fields"
	  parameters // débogage du paramètre sdx:show local (sdx_show2)
	  pour fonctionner avec les paramètres "results" et "fields"

2003-07-09 11:19  fglorieux

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl: fix show
	  param on queries

2003-07-09 10:29  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_thesaurus.xml:
	  Adding sdx:app in sdx:thesaurus content // Ajout de sdx:app dans
	  le contenu possible de sdx:terms

2003-07-09 10:29  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_index.xml: Adding
	  an example for sdx:terms //Ajout d'un exemple pour sdx:terms

2003-07-08 12:11  malo_pichot

	  src/documentation/src/xml/fr/reference/: actions_amender.xml,
	  actions_gestion.xml, actions_requetes.xml,
	  parametres_requetes.xml: correction : the default opertor is an
	  logical or // l'opérateur par défaut est un ou logique (inclusif)

2003-07-07 21:35  rpandey

	  src/java/fr/gouv/culture/:
	  util/apache/avalon/excalibur/concurrent/Semaphore.java,
	  oai/AbstractOAIHarvester.java: changes for oai

2003-07-03 19:47  brihaye

	  src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx.xsl: One statement per line ; comments to come.

2003-07-02 10:08  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_gestion.xml:
	  correction : example for sdx:userIsMember

2003-07-01 17:46  rpandey

	  src/java/fr/gouv/culture/: oai/OAIHarvester.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/BasicOAIMetadataFormat.java,
	  sdx/oai/LuceneDocumentBaseOAIHarvester.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/oai/SDXOAIMetadataFormat.java,
	  sdx/pipeline/ElementStripper.java,
	  sdx/pipeline/NamespacedElementStripper.java,
	  sdx/sitemap/transformers/ElementStripper.java,
	  sdx/sitemap/transformers/NamespacedElementStripper.java,
	  sdx/thesaurus/LuceneQueryExpander.java: changes for oai

2003-06-30 18:55  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  oai/BasicOAIMetadataFormat.java,
	  oai/LuceneDocumentBaseOAIRepository.java,
	  oai/SDXOAIMetadataFormat.java, pipeline/ElementStripper.java,
	  pipeline/NamespacedElementStripper.java,
	  sitemap/transformers/ElementStripper.java,
	  sitemap/transformers/NamespacedElementStripper.java: changes for
	  oai

2003-06-26 14:26  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_indexation.xml:
	  sdx:deleteDocuments : update example // mise à jour de l'exemple

2003-06-25 10:21  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_indexation.xml:
	  correction for sdx:deleteDocuments

2003-06-18 18:51  rpandey

	  src/: java/fr/gouv/culture/oai/AbstractOAIMetadataFormat.java,
	  java/fr/gouv/culture/oai/OAIHarvester.java,
	  java/fr/gouv/culture/sdx/oai/BasicOAIMetadataFormat.java,
	  java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIHarvester.java,
	  java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  java/fr/gouv/culture/sdx/oai/SDXOAIMetadataFormat.java,
	  webapp/sdx/oai/harvest.xsp: changes

2003-06-18 09:27  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_indexation.xml:
	  correction in id parameter of sdx:uploadDocument // correction de
	  la définition du paramètre id de sdx:uploadDocument

2003-06-17 16:53  rpandey

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  bug fix for fred

2003-06-17 15:10  rpandey

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  bug fix for fred

2003-06-16 17:31  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_indexation.xml:
	  documentation : id parameter for sdx:uploadDocument

2003-06-16 16:52  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_amender.xml:
	  Update informations about sdx:expand : we can use field parameter
	  to indicate wich field we want to expand

2003-06-15 19:32  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  oai/OAIHarvester.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/LuceneDocumentBaseOAIHarvester.java: changes

2003-06-15 17:10  rpandey

	  src/java/fr/gouv/culture/sdx/: logicsheet/sdx-queries.xsl,
	  thesaurus/LuceneQueryExpander.java,
	  thesaurus/LuceneThesaurus.java, thesaurus/SDXThesaurus.java:
	  implemented ability to limit query expansion to one field when
	  using a lucene query which will search multiple fields

2003-06-13 18:53  rpandey

	  src/webapp/sdx/oai/harvest.xsp: changes

2003-06-13 18:47  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: added
	  two more options as indexation parameters

2003-06-13 18:44  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: added
	  two more options for indexation parameters

2003-06-13 18:38  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  oai/SynchronizedOAIObjectImpl.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/IndexParameters.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/exception/SDXExceptionCode.java,
	  sdx/exception/errors_en.properties,
	  sdx/exception/errors_fr.properties,
	  sdx/logicsheet/sdx-actions.xsl,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/search/lucene/highlight/LuceneTermHighlighter.java,
	  sdx/search/lucene/query/Terms.java: multiple changes

2003-06-13 18:17  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/AbstractDocumentBase.java,
	  documentbase/IndexParameters.java,
	  documentbase/LuceneDocumentBase.java,
	  exception/SDXExceptionCode.java, exception/errors_en.properties,
	  exception/errors_fr.properties, logicsheet/sdx-actions.xsl:
	  implementations for shared attached document replacement during
	  indexation

2003-06-13 14:18  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  util/apache/avalon/cornerstone/services/scheduler/CronTimeTrigger.java,
	  util/apache/avalon/cornerstone/services/scheduler/PeriodicTimeTrigger.java,
	  util/apache/avalon/cornerstone/services/scheduler/SimpleTimeScheduler.java,
	  util/apache/avalon/cornerstone/services/scheduler/Target.java,
	  util/apache/avalon/cornerstone/services/scheduler/TimeScheduler.java,
	  util/apache/avalon/cornerstone/services/scheduler/TimeTrigger.java,
	  util/apache/avalon/cornerstone/services/scheduler/TimeTriggerFactory.java,
	  util/apache/avalon/cornerstone/services/scheduler/Trigger.java,
	  util/apache/avalon/excalibur/concurrent/Mutex.java,
	  util/apache/avalon/excalibur/concurrent/Semaphore.java,
	  util/apache/cocoon/components/source/URLSource.java,
	  util/apache/cocoon/xml/AbstractSynchronizedXMLConsumer.java,
	  util/apache/cocoon/xml/AbstractSynchronizedXMLPipe.java,
	  util/apache/cocoon/xml/AbstractSynchronizedXMLProducer.java,
	  util/apache/cocoon/xml/SynchronizationException.java,
	  util/apache/cocoon/xml/SynchronizedXMLConsumer.java,
	  util/apache/cocoon/xml/SynchronizedXMLConsumerWrapper.java,
	  util/apache/cocoon/xml/SynchronizedXMLPipe.java,
	  util/apache/cocoon/xml/SynchronizedXMLPipeWrapper.java,
	  util/apache/cocoon/xml/SynchronizedXMLProducer.java: refactoring

2003-06-13 14:05  rpandey

	  src/java/fr/gouv/culture/util/apache/:
	  avalon/cornerstone/services/scheduler/CronTimeTrigger.java,
	  avalon/cornerstone/services/scheduler/PeriodicTimeTrigger.java,
	  avalon/cornerstone/services/scheduler/SimpleTimeScheduler.java,
	  avalon/cornerstone/services/scheduler/Target.java,
	  avalon/cornerstone/services/scheduler/TimeScheduler.java,
	  avalon/cornerstone/services/scheduler/TimeTrigger.java,
	  avalon/cornerstone/services/scheduler/TimeTriggerFactory.java,
	  avalon/cornerstone/services/scheduler/Trigger.java,
	  avalon/excalibur/concurrent/Mutex.java,
	  avalon/excalibur/concurrent/Semaphore.java,
	  cocoon/xml/AbstractSynchronizedXMLConsumer.java,
	  cocoon/xml/AbstractSynchronizedXMLPipe.java,
	  cocoon/xml/AbstractSynchronizedXMLProducer.java,
	  cocoon/xml/SynchronizationException.java,
	  cocoon/xml/SynchronizedXMLConsumer.java,
	  cocoon/xml/SynchronizedXMLConsumerWrapper.java,
	  cocoon/xml/SynchronizedXMLPipe.java,
	  cocoon/xml/SynchronizedXMLPipeWrapper.java,
	  cocoon/xml/SynchronizedXMLProducer.java,
	  cocoon/components/source/URLSource.java: refactoring

2003-06-13 13:31  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  oai/OAIHarvester.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/IndexParameters.java,
	  sdx/logicsheet/sdx-actions.xsl,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/LuceneDocumentBaseOAIHarvester.java,
	  sdx/utils/xml/AbstractSynchronizedXMLPipe.java,
	  sdx/utils/xml/AbstractSynchronizedXMLProducer.java,
	  sdx/utils/xml/SynchronizedXMLConsumer.java,
	  sdx/utils/xml/SynchronizedXMLConsumerWrapper.java,
	  sdx/utils/xml/SynchronizedXMLPipe.java,
	  sdx/utils/xml/SynchronizedXMLPipeWrapper.java,
	  sdx/utils/xml/SynchronizedXMLProducer.java: changes

2003-06-11 21:52  brihaye

	  src/documentation/src/xml/fr/reference/: intro.xml,
	  parametres_sdx.xml, xsp.xml: Typoes ; clarifications

2003-06-11 14:18  rpandey

	  src/webapp/sitemap.xmap: updated sitemap for resource-exists
	  support

2003-06-10 14:16  malo_pichot

	  src/documentation/src/xml/fr/reference/:
	  actions_alphabetique.xml, actions_amender.xml,
	  actions_controle.xml, actions_generalites.xml,
	  actions_indexation.xml, actions_pipelines.xml,
	  actions_recherche.xml, actions_thematique.xml,
	  actions_thesaurus.xml, conteneurs_parametres.xml: Suppression :
	  <webpage @lang="fr">

2003-06-10 11:16  malo_pichot

	  src/documentation/src/xml/fr/reference/parametres_requetes.xml:
	  correction : link error // mauvais lien

2003-06-06 17:23  rpandey

	  src/java/fr/gouv/culture/sdx/search/: TermHighlighter.java,
	  Terms.java, lucene/highlight/LuceneTermHighlighter.java: changes
	  made for term highlighting using a terms object

2003-06-06 15:50  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  oai/AbstractOAIMetadataFormat.java,
	  oai/AbstractOAIRepository.java, oai/OAIComponent.java,
	  oai/OAIComponentImpl.java, oai/OAIError.java,
	  oai/OAIHarvester.java, oai/OAIObject.java,
	  oai/OAIObjectImpl.java, oai/OAIRequestImpl.java,
	  oai/OAIResponseImpl.java, oai/OAIUtilities.java,
	  oai/util/OAIUtilities.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  sdx/oai/BasicOAIMetadataFormat.java,
	  sdx/oai/LuceneDocumentBaseOAIHarvester.java,
	  sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  sdx/oai/SDXOAIMetadataFormat.java, sdx/utils/constants/Node.java:
	  refactoring

2003-06-05 19:56  rpandey

	   src/java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBaseOAIHarvester.java:
	  refactoring

2003-06-05 19:39  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  oai/LuceneDocumentBaseOAIHarvester.java,
	  oai/LuceneDocumentBaseOAIRepository.java,
	  utils/xml/AbstractSynchronizedXMLPipe.java,
	  utils/xml/AbstractSynchronizedXMLProducer.java,
	  utils/xml/SynchronizedXMLConsumerWrapper.java,
	  utils/xml/SynchronizedXMLProducer.java: changes

2003-06-05 19:33  rpandey

	  src/java/fr/gouv/culture/sdx/utils/xml/:
	  AbstractSynchronizedXMLPipe.java, BasicSynchronizedXMLPipe.java,
	  SynchronizedXMLConsumerWrapper.java,
	  SynchronizedXMLPipeWrapper.java, SynchronizedXMLProducer.java:
	  new sources

2003-06-05 18:52  rpandey

	  src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  documentbase/LuceneDocumentBaseOAIHarvester.java,
	  documentbase/LuceneDocumentBaseOAIRepository.java,
	  oai/AbstractDocumentBaseOAIHarvester.java,
	  oai/LuceneDocumentBaseOAIHarvester.java,
	  oai/LuceneDocumentBaseOAIRepository.java,
	  utils/xml/AbstractSynchronizedXMLPipe.java,
	  utils/xml/BasicSynchronizedXMLConsumer.java,
	  utils/xml/SynchronizedXMLConsumerWrapper.java: refactoring

2003-06-05 14:10  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  sdx/documentbase/AbstractDocumentBase.java,
	  sdx/documentbase/AbstractDocumentBaseOAIHarvester.java,
	  sdx/documentbase/LuceneDocumentBase.java,
	  sdx/documentbase/LuceneDocumentBaseOAIRepository.java,
	  sdx/utils/Utilities.java,
	  sdx/utils/xml/AbstractSynchronizedXMLPipe.java,
	  sdx/utils/xml/AbstractSynchronizedXMLProducer.java: changes

2003-06-04 19:40  rpandey

	   src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBaseOAIRepository.java:
	  fixed problem

2003-06-04 19:13  rpandey

	  src/: java/fr/gouv/culture/oai/AbstractOAIHarvester.java,
	  java/fr/gouv/culture/oai/OAIObject.java,
	  java/fr/gouv/culture/oai/OAIRequest.java,
	  java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBaseOAIHarvester.java,
	  java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBaseOAIHarvester.java,
	  java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBaseOAIRepository.java,
	  java/fr/gouv/culture/sdx/oai/SDXOAIMetadataFormat.java,
	  java/fr/gouv/culture/sdx/utils/Utilities.java,
	  java/fr/gouv/culture/sdx/utils/xml/AbstractSynchronizedXMLPipe.java,
	  java/fr/gouv/culture/sdx/utils/xml/AbstractSynchronizedXMLProducer.java,
	  java/fr/gouv/culture/sdx/utils/xml/BasicSynchronizedXMLConsumer.java,
	  java/fr/gouv/culture/sdx/utils/xml/BasicSynchronizedXMLPipe.java,
	  java/fr/gouv/culture/sdx/utils/xml/SynchronizedXMLConsumer.java,
	  java/fr/gouv/culture/sdx/utils/xml/SynchronizedXMLPipe.java,
	  java/fr/gouv/culture/sdx/utils/xml/SynchronizedXMLProducer.java,
	  webapp/sdx/oai/harvest.xsp, webapp/sdx/sitemap.xmap: changes,
	  reformat code, optimize imports

2003-06-04 15:55  malo_pichot

	  src/documentation/src/xml/fr/recherche/modele.xml: first
	  redaction // première rédaction

2003-06-04 15:54  malo_pichot

	  src/documentation/src/xml/fr/introduction/multilinguisme.xml: an
	  id for the sections // un identifiant pour les sections

2003-06-04 11:37  rpandey

	  src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  oai/OAIComponentImpl.java, oai/OAIHarvester.java,
	  sdx/documentbase/AbstractDocumentBaseOAIHarvester.java,
	  sdx/documentbase/LuceneDocumentBaseOAIHarvester.java,
	  sdx/documentbase/LuceneDocumentBaseOAIRepository.java,
	  sdx/search/lucene/Field.java,
	  sdx/search/lucene/query/AbstractQuery.java,
	  sdx/search/lucene/query/ExactFieldQuery.java,
	  sdx/search/lucene/query/FieldQuery.java,
	  sdx/search/lucene/query/SortSpecification.java,
	  sdx/utils/constants/Node.java,
	  sdx/utils/database/HSQLDatabase.java: changes, reformat code,
	  optimize imports

2003-06-04 11:10  malo_pichot

	  src/documentation/src/xml/fr/recherche/intro.xml: development and
	  links // développement et introduction de liens

2003-06-04 10:52  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_amender.xml:
	  modify the title // modification du titre

2003-06-04 10:45  malo_pichot

	  src/documentation/src/xml/fr/reference/:
	  actions_alphabetique.xml, actions_controle.xml,
	  actions_generalites.xml, actions_gestion.xml,
	  actions_identification.xml, actions_index.xml,
	  actions_indexation.xml, actions_localisation.xml,
	  actions_parametres.xml, actions_pipelines.xml,
	  actions_recherche.xml, actions_recuperation.xml,
	  actions_thesaurus.xml, conteneurs_parametres.xml, intro.xml,
	  parametres_requetes.xml, parametres_sdx.xml, xsp.xml: typoes //
	  orthographe

2003-06-04 09:39  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_requetes.xml:
	  typoes // orthographe

2003-06-04 09:38  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_amender.xml:
	  Precisions : sdx:filter

2003-06-03 19:34  malo_pichot

	  src/documentation/src/xml/fr/recherche/: autres.xml, modele.xml,
	  resultats.xml, types.xml: Just opened sections ; redaction not
	  complete // Simplement des sections ouvertes ; le travail de
	  rédaction est à faire

2003-06-03 19:33  malo_pichot

	  src/documentation/src/xml/fr/layout.xml: Addition of the Research
	  chapter // Ajout du chapitre Recherche documentaire

2003-06-03 19:31  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_alphabetique.xml:
	  Addition sdx:filter and modification of sdx:baseQuery and
	  sdx:expand link // Ajout de sdx:filte et modification des liens
	  vers sdx:baseQuery et sdx:expand

2003-06-03 19:30  malo_pichot

	  src/documentation/src/xml/fr/reference/: actions_controle.xml,
	  actions_indexation.xml, actions_parametres.xml, xsp.xml,
	  actions_recuperation.xml: typoes // orthographe

2003-06-03 19:30  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_requetes.xml:
	  Moving sdx:expand and sdx:baseQuery // Déplacement de sdx:expand
	  and sdx:baseQuery

2003-06-03 19:29  malo_pichot

	  src/documentation/src/xml/fr/reference/parametres_requetes.xml:
	  Addition sdx:filter // Ajout de sdx:filter

2003-06-03 19:29  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_amender.xml:
	  sdx:expand sdx:filter sdx:baseQuery

2003-06-03 19:28  malo_pichot

	  src/documentation/src/xml/fr/recherche/intro.xml: introduction
	  for the chapter Research // introduction pour le chapitre
	  Recherche documentaire

2003-06-03 16:46  malo_pichot

	  src/documentation/src/xml/fr/introduction/: debuter.xml,
	  multilinguisme.xml, serveur.xml: invalid links // liens invalides

2003-06-03 16:45  malo_pichot

	  src/documentation/src/xml/fr/indexation/pipeline.xml: invalide
	  link // lien invalide

2003-06-03 15:29  malo_pichot

	  src/documentation/src/xml/en/: installer.xml,
	  configuration/base.xml, configuration/configuration.xml,
	  introduction/architecture.xml, introduction/bases.xml,
	  introduction/entrepots.xml, introduction/multilinguisme.xml,
	  introduction/presentation.xml, introduction/serveur.xml:
	  Corrections : typoes and invalides links  // orthographe et liens
	  invalides

2003-06-03 15:04  rpandey

	  src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl: removed
	  invalid unicode character

2003-06-03 15:00  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_requetes.xml:
	  Precisions : complexop in sdx:complexQuery

2003-06-03 14:59  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_alphabetique.xml:
	  typoes // orthographe

2003-06-03 14:32  malo_pichot

	  src/documentation/src/xml/fr/reference/xsp.xml: corrections :
	  examples

2003-06-03 14:31  malo_pichot

	  src/documentation/src/xml/fr/reference/parametres_requetes.xml:
	  Precision : show

2003-06-03 14:30  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_generalites.xml:
	  typoes // orthographe

2003-06-03 14:30  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_alphabetique.xml:
	  Sorting elements by actions/parameter-elements // Classement des
	  éléments par action/éléments-paramètres

2003-06-03 11:36  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_indexation.xml:
	  There was an error in an exemple "sdx:all" for "sdxall" // Il y a
	  avait une erreur dans un exemple "sdx:all" au lieu de "sdxall"

2003-06-03 11:06  malo_pichot

	  src/documentation/src/xml/fr/reference/:
	  actions_alphabetique.xml, actions_recherche.xml,
	  actions_thematique.xml, intro.xml: Links update // Mise à jour
	  des liens

2003-06-03 08:22  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_alphabetique.xml:
	  Adding news // Ajout de nouvelles actions ou éléments-paramètres

2003-06-03 08:21  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_gestion.xml:
	  Indentation

2003-06-03 08:19  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_localisation.xml:
	  Suppression : sdx:id

2003-06-03 08:18  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_indexation.xml:
	  View TODO and CHECK and FIXME

2003-06-03 08:17  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_pipelines.xml:
	  sdx:pipeline sdx:transformation

2003-06-03 08:17  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_requetes.xml:
	  Precision on sdx:fallback et sdx:success with search actions //
	  Précision sur l'utilisation des actions de contrôle du flux avec
	  les actions de requête

2003-06-03 08:15  malo_pichot

	  src/documentation/src/xml/fr/layout.xml: New entry for the common
	  parameters for search actions // Nouvelle entrée pour les
	  paramètres communs des actions de requête

2003-06-02 18:01  rpandey

	   src/java/fr/gouv/culture/sdx/search/lucene/query/SortSpecification.java:
	  added a comment

2003-06-02 17:57  rpandey

	   src/java/fr/gouv/culture/sdx/search/lucene/query/SortSpecification.java:
	  testing if we can sort by date

2003-05-28 18:46  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_index.xml: Moving
	  sdx:index // Déplacement de sdx:index

2003-05-28 18:45  malo_pichot

	  src/documentation/src/xml/fr/reference/parametres_requetes.xml:
	  Precising a target // Préciser une cible

2003-05-28 18:44  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_requetes.xml:
	  Developping sdx:simpleQuery // Développement sur la recherche
	  simple

2003-05-28 18:21  malo_pichot

	  src/documentation/src/xml/fr/reference/: actions_index.xml,
	  actions_indexation.xml: Moving sdx:index from actions_index.xml
	  to actions_indexation // Déplacement de sdx:index

2003-05-28 18:19  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_requetes.xml:
	  Restructuring the entire page // Restructuration complète de la
	  page

2003-05-28 18:18  malo_pichot

	  src/documentation/src/xml/fr/reference/parametres_requetes.xml: A
	  page for the commons parameters of the request actions :
	  sdx:execute*Query // Une page pour les paramètres communs à
	  l'ensemble des actions de requêtes : sdx:execute*Query

2003-05-28 18:17  malo_pichot

	  src/documentation/src/xml/fr/reference/intro.xml: Precisions for
	  the actions and parameters section // Précisions pour la section
	  sur les actions et les paramètres

2003-05-28 18:15  malo_pichot

	  src/documentation/src/xml/fr/reference/xsp.xml: i don't know
	  what's different // je ne sais plus ce qui a changé

2003-05-28 18:15  brihaye

	  build.xml, src/java/fr/gouv/culture/sdx/framework/Framework.java:
	  Updated version to 2.2.

2003-05-28 09:14  malo_pichot

	  src/documentation/src/xml/fr/reference/:
	  actions_localisation.xml, actions_requetes.xml,
	  actions_thesaurus.xml: typoe // orthographe

2003-05-28 08:49  malo_pichot

	  src/documentation/src/xml/fr/reference/actions_recherche.xml:
